<p align="center"><a href="https://laravel.com" target="_blank"><img src="https://raw.githubusercontent.com/laravel/art/master/logo-lockup/5%20SVG/2%20CMYK/1%20Full%20Color/laravel-logolockup-cmyk-red.svg" width="400" alt="Laravel Logo"></a></p>

## Laravel Multi-Auth System

## Features

### User Dashboard
Separate user dashboard with dedicated functionality.

### Admin Dashboard
Admin-specific dashboard for complete control over the system.

### Multiple Authentication Guards
Different guards for users and admins to ensure secure authentication.

### User Registration
Seamless registration process for users with validation and security.

### Admin Login
Focused on secure login process for admins, bypassing registration.

### Middleware Integration
Custom middleware for guest access, authenticated routes, and role-based access control.

### Secure Authentication Mechanisms
Utilizes Laravel’s built-in authentication with enhanced security features.

## Requirements
- Laravel 11
- PHP 8.1
- Composer 2.x

## Getting Started
- Clone the repository.
- Run composer install to install dependencies.
- Set up your database configuration in the .env file.
- Run php artisan migrate to set up the necessary tables.
- Implement and customize as needed.

```javascript
composer install
```

```javascript
php artisan migrate
```

```javascript
php artisan serve
```

