<?php
namespace App\Exports;

use App\Models\Enquiry;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class EnquiriesExport implements FromCollection, WithHeadings
{
    /**
     * @return \Illuminate\Support\Collection
     */
    public function collection()
    {
        return Enquiry::select('name','email','mobile_no','location','questions','status')->get();  // Fetch all enquiries
    }

    /**
     * Define the headings for the CSV/Excel file.
     */
    public function headings(): array
    {
        return [
            'Name', 'Email', 'Phone No', 'Location','questions', 'Status'
        ];
    }
}
