<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Setting;
use App\Models\Enquiry;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;


class AboutController extends Controller
{
    // Show the "About Us" content
    public function showAboutUs()
    {
        $user = Auth::guard('admin')->user(); // Fetch the logged-in admin user
        $enquries =Enquiry::all();

        $setting = Setting::first();  // Fetch the first record from the settings table
        return view('backend.admin.about-us', compact('setting','user','enquries'));  // Pass the setting to the view
    }

    public function updateAboutUs(Request $request)
    {
        
        $request->validate([
            'content' => 'required', // Validate content
        ]);
    
        $setting = Setting::first(); // Get the first record
    
        // Image1 Upload
        if ($request->hasFile('image1')) {
            if ($setting->image1) {
                Storage::disk('public')->delete($setting->image1);
            }
            $image1Path = $request->file('image1')->store('about_us_images1', 'public');
            $setting->image1 = $image1Path;
        }

        // Image2 Upload
        if ($request->hasFile('image2')) {
            if ($setting->image2) {
                Storage::disk('public')->delete($setting->image2);
            }
            $image2Path = $request->file('image2')->store('about_us_images2', 'public');
            $setting->image2 = $image2Path;
        }
    
        // HTML content
        $setting->content = $request->content;
        $setting->save(); // Save data in DB
    
        return redirect()->route('admin.aboutUs')->with('success', 'About Us updated successfully');
    }


}
