<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Setting;
use App\Models\Enquiry;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class WhyStudyMBBSAbroadController extends Controller
{
    // Show the "Why Study MBBS Abroad" content
    public function index()
    {
        $setting = Setting::where('type', 'why_study_mbbs_abroad')->first();
        $user = Auth::guard('admin')->user();
        $enquries = Enquiry::all();

        return view('backend.admin.carrear', compact('setting', 'user', 'enquries'));
    }

    public function update(Request $request)
    {
        $request->validate([
            'content' => 'required', // Validate content
            'image1' => 'nullable|image|mimes:jpeg,png,jpg,gif|max:2048', // Validate image1 (optional, image file)
        ]);

        $setting = Setting::where('type', 'why_study_mbbs_abroad')->first(); // Get the correct record

        // Image1 Upload
        if ($request->hasFile('image1')) {
            // Delete old image if it exists
            if ($setting->image1) {
                Storage::disk('public')->delete($setting->image1);
            }
            // Store the new image under the new path
            $image1Path = $request->file('image1')->store('why_study_mbbs_abroad', 'public'); // Change folder name here
            $setting->image1 = $image1Path;
        }

        // Update the content
        $setting->content = $request->content;
        $setting->save(); // Save data in DB

        return redirect()->route('admin.why_study_mbbs_abroad.index')->with('success', 'Carreard updated successfully');
    }

}
