<?php
namespace App\Http\Controllers\frontend;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;
use App\Models\Blog;
use App\Models\Faq;
use App\Models\Testimonial;
use App\Models\Slider;
use App\Models\Setting;
use App\Models\Category;
use App\Models\Team;
use App\Models\Product;
use App\Models\TrainingAndDevelopment;
use App\Models\Certificate;
use App\Models\Subcategory;
use App\Models\Investor;


use Illuminate\Support\Facades\Storage;
use App\Models\GeneralSettings;

class IndexController extends Controller
{




    public function index()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $aboutUs = Setting::where('type', 'about_us')->first();
        $testimonials = Testimonial::all();

        $blogs = Blog::where('status', 1)
            ->orderBy('publish_date', 'desc')
            ->paginate(4);

        $sliders = Slider::all();
        $teams = Team::all();

        return view('frontend/frontendpages/index', compact('settings', 'teams', 'blogs', 'testimonials', 'aboutUs', 'headerLogoUrl', 'footerLogoUrl', 'sliders'));
    }





    public function teams()
    {

        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $teams = Team::all();

        return view('frontend/frontendpages/teams', compact('teams', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }





    public function trannings()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $trainings = TrainingAndDevelopment::all();
        return view('frontend.frontendpages.tranning', compact('trainings', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }




    public function career()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $setting = Setting::where('type', operator: 'why_study_mbbs_abroad')->first();

        return view('frontend.frontendpages.carrear', compact('setting', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }



    // public function certificate()
    // {
    //     $settings = GeneralSettings::first();
    //     $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
    //     $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
    //     $certificates = Certificate::all();

    //     return view('frontend.frontendpages.carrear', compact('certificates', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    // }

    public function certificate()
    {

        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $certificates = Certificate::all();
        return view('frontend.frontendpages.certificates', compact('certificates', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }




    public function investors($subcategory_slug = null)
    {


        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $subcategories = Subcategory::all();

        if ($subcategory_slug) {
            $subcategory = Subcategory::where('slug', $subcategory_slug)->firstOrFail();
            $investors = Investor::where('subcategory_id', $subcategory->id)->get();
        } else {
            $investors = Investor::all();
        }

        return view('frontend.frontendpages.investors', compact('subcategories', 'investors', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }



    // ✅ 2. Subcategory Click Kare To Uske Investors Dikhaye
    public function investorsBySubcategory($subcategory_slug)
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;

        $subcategory = Subcategory::where('slug', $subcategory_slug)->firstOrFail();
        $investors = Investor::where('subcategory_id', $subcategory->id)->get();

        return view('frontend.frontendpages.investors', compact('subcategories', 'investors', 'settings', 'headerLogoUrl', 'footerLogoUrl', 'subcategory'));
    }

    // ✅ 3. Investor Details Page
    public function investorDetails($slug)
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $investor = Investor::where('slug', $slug)->firstOrFail();

        return view('frontend.frontendpages.investors-details', compact('investor', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }












    public function contact_us()
    {

        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $faqs = Faq::all();

        return view('frontend/frontendpages/contact-us', compact('faqs', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }







    public function about_us()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $aboutUs = Setting::where('type', 'about_us')->first();


        return view('frontend/frontendpages/about', compact('settings', 'headerLogoUrl', 'footerLogoUrl', 'aboutUs'));
    }





    public function blogs()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;


        $blogs = Blog::where('status', 1)
            ->orderBy('publish_date', 'desc')
            ->paginate(4);

        return view('frontend/frontendpages/blog', compact(
            'blogs',
            'settings',
            'headerLogoUrl',
            'footerLogoUrl',
        ));
    }


    public function privacypolicy()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $privacypolicy = Setting::where('type', 'privacypolicy')->first();

        return view('frontend/frontendpages/privacypolicy', compact('settings', 'headerLogoUrl', 'footerLogoUrl', 'privacypolicy'));
    }


    public function tearms_conditions()
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $tearms_conditions = Setting::where('type', 'tearms_conditions')->first();

        return view('frontend/frontendpages/tearms_conditions', compact('settings', 'headerLogoUrl', 'footerLogoUrl', 'tearms_conditions'));
    }



public function productListing($category_slug)
{
    $settings = GeneralSettings::first();
    $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
    $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;

    // Category खोजें और साथ में उसके Products भी लाएं
    $category = Category::whereRaw("LOWER(REPLACE(name, ' ', '-')) = ?", [strtolower($category_slug)])
        ->with('products')
        ->firstOrFail();

    return view('frontend.frontendpages.products', compact('category', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
}





    public function productDetail($category_slug, $product_slug)
    {
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;

        $product = Product::where('slug', $product_slug) // Match slug
            ->whereHas('category', function ($query) use ($category_slug) {
                $query->whereRaw("LOWER(REPLACE(name, ' ', '-')) = ?", [strtolower($category_slug)]);
            })
            ->firstOrFail();
        return view('frontend.frontendpages.product-detail', compact('product', 'settings', 'headerLogoUrl', 'footerLogoUrl'));
    }









    public function blog_details($slug)
    {
        // Fetch the specific blog using the slug and make sure the status is active (1)
        $blog = Blog::where('slug', $slug)
            ->where('status', 1)
            ->firstOrFail();
        $blogFaqs = json_decode($blog->faqs, true) ?? [];

        // Fetch general settings for header and footer logos
        $settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $latestBlogs = Blog::all();

        // Fetch all categories (useful if you want to display a list of blog categories)
        $categories = Category::all();



        // Pass all data to the view
        return view('frontend.frontendpages.blog-details', compact(
            'blog',
            'latestBlogs',
            'settings',
            'headerLogoUrl',
            'footerLogoUrl',
            'categories' // Pass the categories to the view
        ));
    }

















}




