<?php

namespace App\Http\Controllers\frontend;

use App\Models\Subscription;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Mail;
use App\Mail\SubscriptionEmail;

class SubscriptionController extends Controller
{
    public function store(Request $request)
    {
        // Validate the email
        $request->validate([
            'email' => 'required|email|unique:subscriptions,email',
        ]);

        // Save the subscription
        $subscription = Subscription::create(['email' => $request->email]);

        // Send the subscription confirmation email
        Mail::to($subscriptaion->email)->send(new SubscriptionEmail($subscription));

        // Return JSON response
        return response()->json(['message' => 'Thank you for subscribing!']);
    }
}
