<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class EnquirySubmitted extends Mailable
{
    use Queueable, SerializesModels;

    public $enquiry;

     /**
     * Create a new message instance.
     */
    public function __construct($enquiry)
    {
        $this->enquiry = $enquiry;
    }

    /**
     * Build the message.
     */
    public function build()
    {
        return $this->subject('Thank You for Your Enquiry')
                    ->view('emails.enquiry_submitted')
                    ->with([
                        'enquiry' => $this->enquiry,
                    ]);
    }
}
