<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Blog extends Model
{
    use HasFactory;

    protected $fillable = [
        'title', 'author', 'category_id', 'publish_date', 'content', 'status', 'slug', 'images', 'seo_title',   // Add SEO fields
        'seo_description',
        'seo_keywords',
        'status',
        'faqs',
        
    ];

    // Cast images attribute to array (or JSON)
    protected $casts = [
        'images' => 'array', // Automatically converts the images column to an array
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }
}
