<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InvestorContent extends Model
{
    use HasFactory;

    protected $fillable = [
        'investor_category_id', 'investor_subcategory_id', 'type', 'title', 'pdf', 'content'
    ];

    public function category()
    {
        return $this->belongsTo(InvestorCategory::class, 'investor_category_id');
    }

    public function subcategory()
    {
        return $this->belongsTo(InvestorCategory::class, 'investor_subcategory_id');
    }
}
