<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InvestorCategory extends Model
{
    use HasFactory;

    protected $table = 'investorcategories';

    protected $fillable = [
        'category',
        'subcategory_parent_id'
    ];

    // Define relationship to itself (Parent-Child)
    public function parentCategory()
    {
        return $this->belongsTo(InvestorCategory::class, 'subcategory_parent_id');
    }

    public function subcategories()
    {
        return $this->hasMany(InvestorCategory::class, 'subcategory_parent_id');
    }
}
