@extends('backend.layouts.adminlayouts')

@section('content')
    <main id="main" class="main">

        <section class="section">
            <div class="row">
                <!-- Success and Error Alerts -->
                @if (session('success'))
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        {{ session('success') }}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                @endif
                @if (session('error'))
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        {{ session('error') }}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                @endif

                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Edit Certificate</h5>

                            <!-- Edit Form -->
                            <form action="{{ route('admin.certificates.update', $certificate->id) }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                            
                                <!-- Certificate Name (Fixed) -->
                                <div class="row mb-3">
                                    <label for="name" class="col-sm-2 col-form-label">Certificate Name:</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control @error('name') is-invalid @enderror"
                                            id="name" name="name"
                                            value="{{ old('name', $certificate->name) }}" required>
                                        @error('name')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            
                                <!-- Image Upload -->
                                <div class="mb-3">
                                    <label for="image" class="form-label">Certificate Image</label>
                                    <input type="file" class="form-control" id="image" name="image">
                                    @if($certificate->image)
                                        <img src="{{ asset('storage/' . $certificate->image) }}" width="100" class="mt-2">
                                    @endif
                                </div>
                            
                                <!-- Submit Button -->
                                <div class="row mb-3">
                                    <div class="col-sm-10 offset-sm-2">
                                        <button type="submit" class="btn btn-primary">Update Certificate</button>
                                    </div>
                                </div>
                            </form>
                            

                        </div>
                    </div>
                </div>
            </div>
        </section>

    </main>
@endsection

