@extends('backend.layouts.adminlayouts')

@section('content')

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1 style="color: black;">Certificates</h1> <!-- Added Inline CSS for Black Color -->
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item">Certificates</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="{{ route('admin.certificates.create') }}" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Certificates
            </a>
        </div>
    </div>

    <!-- Success and Error Alerts -->
    @if(session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    @endif
    @if(session('error'))
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session('error') }}
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    @endif

       

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Certificate Name</th>
                                    <th>Image</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($certificates as $key => $certificate)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $certificate->name }}</td>
                                        <td>
                                            @if ($certificate->image)
                                                <img src="{{ asset('storage/' . $certificate->image) }}" width="50">
                                            @endif
                                        </td>
                                        <td>
                                            <a href="{{ route('admin.certificates.edit', $certificate->id) }}" class="btn btn-warning">Edit</a>
                                            <form action="{{ route('admin.certificates.destroy', $certificate->id) }}" method="POST" style="display:inline;">
                                                @csrf @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
