@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Edit Investor Category</h5>

                         <form action="{{ route('investorcategories.update', $investorcategory->id) }}" method="POST">
                            @csrf
                            @method('PUT')
                            <div class="mb-3">
                                <label for="category" class="form-label">Category Name</label>
                                <input type="text" name="category" class="form-control" value="{{ $investorcategory->category }}" required>
                            </div>
                            <div class="mb-3">
                                <label for="subcategory_parent_id" class="form-label">Parent Category</label>
                                <select name="subcategory_parent_id" class="form-control">
                                    <option value="">None</option>
                                    @foreach($categories as $category)
                                        <option value="{{ $category->id }}" @if($investorcategory->subcategory_parent_id == $category->id) selected @endif>
                                            {{ $category->category }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                            <button type="submit" class="btn btn-success">Update Category</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
