@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Add Investor Content</h5>

                       <form action="{{ route('investor-contents.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="mb-3">
                                <label>Category</label>
                                <select name="investor_category_id" id="category" class="form-control">
                                    <option value="">Select Category</option>
                                    @foreach($categories as $category)
                                        <option value="{{ $category->id }}">{{ $category->category }}</option>
                                    @endforeach
                                </select>
                            </div>
        
                            <div class="mb-3">
                                <label>Subcategory</label>
                                <select name="investor_subcategory_id" id="subcategory" class="form-control">
                                    <option value="">Select Subcategory</option>
                                </select>
                            </div>
        
                            <div class="mb-3">
                                <label>Type</label>
                                <select name="type" id="type" class="form-control">
                                    <option value="pdf">PDF</option>
                                    <option value="text">Text</option>
                                </select>
                            </div>
        
                            <div id="pdf_section">
                                <label>PDF File</label>
                                <input type="file" name="pdf" class="form-control">
                            </div>
        
                            <div id="text_section" style="display:none;">
                                <label>Content</label>
                                <textarea name="content" class="form-control"></textarea>
                            </div>
        
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

<script>
    $('#category').change(function () {
        $.get("{{ route('fetch-subcategories') }}", { category_id: $(this).val() }, function (data) {
            $('#subcategory').html('<option value="">Select Subcategory</option>');
            $.each(data, function (key, value) {
                $('#subcategory').append(`<option value="${value.id}">${value.category}</option>`);
            });
        });
    });

    $('#type').change(function () {
        $('#pdf_section').toggle($(this).val() === 'pdf');
        $('#text_section').toggle($(this).val() === 'text');
    });
</script>
