@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Edit Investor</h5>

                       <form action="{{ route('investor-contents.update', $investorContent->id) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <div class="mb-3">
                                <label class="form-label">Category</label>
                                <select name="investor_category_id" class="form-control" required>
                                    <option value="">Select Category</option>
                                    @foreach($categories as $category)
                                        <option value="{{ $category->id }}" {{ $investorContent->investor_category_id == $category->id ? 'selected' : '' }}>
                                            {{ $category->category }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="mb-3">
                                <label class="form-label">Subcategory</label>
                                <select name="investor_subcategory_id" class="form-control">
                                    <option value="">Select Subcategory</option>
                                    @foreach($subcategories as $subcategory)
                                        <option value="{{ $subcategory->id }}" {{ $investorContent->investor_subcategory_id == $subcategory->id ? 'selected' : '' }}>
                                            {{ $subcategory->category }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="mb-3">
                                <label class="form-label">Type</label>
                                <select name="type" id="typeSelect" class="form-control" required>
                                    <option value="pdf" {{ $investorContent->type == 'pdf' ? 'selected' : '' }}>PDF</option>
                                    <option value="text" {{ $investorContent->type == 'text' ? 'selected' : '' }}>Text</option>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label class="form-label">Title</label>
                                <input type="text" name="title" class="form-control" value="{{ $investorContent->title }}" required>
                            </div>

                            <div class="mb-3" id="pdfField" style="{{ $investorContent->type == 'pdf' ? 'display:block;' : 'display:none;' }}">
                                <label class="form-label">Upload PDF</label>
                                <input type="file" name="pdf" class="form-control">
                                @if($investorContent->pdf)
                                    <a href="{{ asset('storage/' . $investorContent->pdf) }}" target="_blank">View Current PDF</a>
                                @endif
                            </div>

                            <div class="mb-3" id="textField" style="{{ $investorContent->type == 'text' ? 'display:block;' : 'display:none;' }}">
                                <label class="form-label">Content</label>
                                <textarea name="content" class="form-control">{{ $investorContent->content }}</textarea>
                            </div>

                            <button type="submit" class="btn btn-success">Update</button>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
<script>
    document.getElementById('typeSelect').addEventListener('change', function () {
        if (this.value === 'pdf') {
            document.getElementById('pdfField').style.display = 'block';
            document.getElementById('textField').style.display = 'none';
        } else {
            document.getElementById('pdfField').style.display = 'none';
            document.getElementById('textField').style.display = 'block';
        }
    });
</script>
