@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Investors List</h5>

                        <a href="{{ route('investor-contents.create') }}" class="btn btn-primary mb-3">Add Investor Content</a>

                        @if(session('success'))
                            <div class="alert alert-success">{{ session('success') }}</div>
                        @endif

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Category</th>
                                    <th>Subcategory</th>
                                    <th>Type</th>
                                    <th>Title</th>
                                    <th>PDF/Text</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($investorContents as $content)
                                <tr>
                                    <td>{{ $content->id }}</td>
                                    <td>{{ $content->category->category }}</td>
                                    <td>{{ optional($content->subcategory)->category }}</td>
                                    <td>{{ ucfirst($content->type) }}</td>
                                    <td>{{ $content->title }}</td>
                                    <td>
                                        @if($content->type == 'pdf' && $content->pdf)
                                            <a href="{{ asset('storage/' . $content->pdf) }}" target="_blank" class="btn btn-info">View PDF</a>
                                        @elseif($content->type == 'text')
                                            {{ Str::limit($content->content, 50) }}
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{ route('investor-contents.edit', $content->id) }}" class="btn btn-warning">Edit</a>
                                        <form action="{{ route('investor-contents.destroy', $content->id) }}" method="POST" style="display:inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
