@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Edit Investor</h5>

                        <form action="{{ route('investors.update', $investor->id) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <label>Subcategory</label>
                            <select name="subcategory_id" class="form-control" required>
                                <option value="">Select Subcategory</option>
                                @foreach($subcategories as $subcategory)
                                    <option value="{{ $subcategory->id }}" {{ $investor->subcategory_id == $subcategory->id ? 'selected' : '' }}>
                                        {{ $subcategory->name }}
                                    </option>
                                @endforeach
                            </select>

                            <label>Name</label>
                            <input type="text" name="name" class="form-control" value="{{ $investor->name }}" required>

                            <!--<label>Description</label>-->
                            <!--<textarea name="description" class="form-control" required>{{ $investor->description }}</textarea>-->

                            <!--<label>Current Image</label><br>-->
                            <!--@if($investor->image)-->
                            <!--    <img src="{{ asset('storage/' . $investor->image) }}" width="100">-->
                            <!--@endif-->
                            <!--<input type="file" name="image" class="form-control mt-2">-->

                            <label>Current PDF</label><br>
                            @if($investor->pdf)
                                <a href="{{ asset('storage/' . $investor->pdf) }}" target="_blank">View PDF</a>
                            @endif
                            <input type="file" name="pdf" class="form-control mt-2">

                            <button type="submit" class="btn btn-primary mt-3">Update Investor</button>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
