@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Investors List</h5>

                        <a href="{{ route('investors.create') }}" class="btn btn-primary mb-3">Add Investor</a>

                        @if(session('success'))
                            <div class="alert alert-success">{{ session('success') }}</div>
                        @endif

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>PDF</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($investors as $investor)
                                <tr>
                                    <td>{{ $investor->id }}</td>
                                   
                                    <td>{{ $investor->name }}</td>
                                    <td>
                                        @if($investor->pdf)
                                            <a href="{{ asset('storage/' . $investor->pdf) }}" target="_blank" class="btn btn-info">Download PDF</a>
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{ route('investors.edit', $investor->id) }}" class="btn btn-warning">Edit</a>
                                        <form action="{{ route('investors.delete', $investor->id) }}" method="POST" style="display:inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
