@extends('backend.layouts.adminlayouts')

@section('content')

<main id="main" class="main">
    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1 style="color: black;">Team Members</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item">Team</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="{{ route('teams.create') }}" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Team Member
            </a>
        </div>
    </div>

    @if(session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    @endif

    <table class="table table-bordered datatable">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Designation</th>
                <th>Image</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($teams as $team)
            <tr>
                <td>{{ $team->id }}</td>
                <td>{{ $team->name }}</td>
                <td>{{ $team->designation }}</td>
                <td>
                    <img src="{{ asset(path: 'storage/' . $team->image) }}" alt="Image" width="50">
                </td>
                <td>
                    <a href="{{ route('teams.edit', $team->id) }}" class="text-warning" style="font-size: 24px; margin-right: 10px;">
                        <i class='bx bx-edit' style='color:#29e718; font-size:24px;'></i>
                    </a>

                    <form action="{{ route('teams.destroy', $team->id) }}" method="POST" style="display:inline;" onsubmit="return confirm('Are you sure you want to delete this team member?');">
                        @csrf
                        @method('DELETE')
                        <button type="submit" class="btn btn-link text-danger" style="border: none; background: none;">
                            <i class='bx bx-trash' style='color:red; font-size:24px;'></i>
                        </button>
                    </form>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</main>

@endsection
