<!-- resources/views/backend/admin/GuideEveryStep/create.blade.php -->

@extends('backend.layouts.adminlayouts')

@section('content')

<main id="main" class="main">

@if(session('error'))
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    {{ session('error') }}
    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
@endif
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Add Guide</h5>
                        <form action="{{ route('guide_every_step.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf

                            <!-- Heading Field -->
                            <div class="row mb-3">
                                <label for="heading" class="col-sm-2 col-form-label">Heading:</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" id="heading" name="heading" placeholder="Enter guide heading" required>
                                </div>
                            </div>

                            <!-- Slug Field -->
                            <div class="row mb-3">
                                <label for="slug" class="col-sm-2 col-form-label">Slug:</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" id="slug" name="slug" placeholder="Enter slug" required>
                                </div>
                            </div>

                            <!-- Content Field -->
                            <div class="row mb-3">
                                <label for="content" class="col-sm-2 col-form-label">Content:</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" id="content" name="content" placeholder="Enter guide content" rows="5"></textarea>
                                </div>
                            </div>

                            <!-- Background Image Field -->
                            <div class="row mb-3">
                                <label for="background_image" class="col-sm-2 col-form-label">Background Image:</label>
                                <div class="col-sm-10">
                                    <input type="file" class="form-control" id="background_image" name="background_image" accept="image/*" onchange="previewImage(event)">
                                    <div class="mt-2">
                                        <img id="imagePreview" src="#" alt="Image Preview" style="display: none; max-width: 200px;">
                                    </div>
                                </div>
                            </div>

                            <!-- Submit Button -->
                            <div class="row mb-3">
                                <div class="col-sm-10 offset-sm-2">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<script>
    function previewImage(event) {
        const input = event.target;
        const imagePreview = document.getElementById('imagePreview');
        if (input.files && input.files[0]) {
            const reader = new FileReader();
            reader.onload = function(e) {
                imagePreview.src = e.target.result;
                imagePreview.style.display = 'block';
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>

@endsection
