<!-- resources/views/backend/admin/slider/edit.blade.php -->

@extends('backend.layouts.adminlayouts')

@section('content')

<main id="main" class="main">

@if(session('error'))
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    {{ session('error') }}
    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
@endif
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Edit Slider</h5>
                        <form action="{{ route('admin.slider.update', $slider->id) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <!-- Heading Field -->
                            <div class="row mb-3">
                                <label for="heading" class="col-sm-2 col-form-label">Heading:</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" id="heading" name="heading" value="{{ old('heading', $slider->heading) }}" required>
                                </div>
                            </div>

                            <!-- Subheading Field -->
                            <div class="row mb-3">
                                <label for="subheading" class="col-sm-2 col-form-label">Subheading:</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" id="subheading" name="subheading" value="{{ old('subheading', $slider->subheading) }}" required>
                                </div>
                            </div>

                            <!-- URL Field -->
                            <div class="row mb-3">
                                <label for="url" class="col-sm-2 col-form-label">URL:</label>
                                <div class="col-sm-10">
                                    <input type="url" class="form-control" id="url" name="url" value="{{ old('url', $slider->url) }}" required>
                                </div>
                            </div>

                            <!-- Background Image Field -->
                            <div class="row mb-3">
                                <label for="background_image" class="col-sm-2 col-form-label">Background Image:</label>
                                <div class="col-sm-10">
                                    <input type="file" class="form-control" id="background_image" name="background_image" accept="image/*" onchange="previewImage(event)">
                                    <div class="mt-2">
                                        @if($slider->background_image)
                                            <img id="imagePreview" src="{{ asset('storage/' . $slider->background_image) }}" alt="Current Image" style="max-width: 200px;">
                                        @else
                                            <img id="imagePreview" src="#" alt="Image Preview" style="display: none; max-width: 200px;">
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <!-- Submit Button -->
                            <div class="row mb-3">
                                <div class="col-sm-10 offset-sm-2">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<script>
    function previewImage(event) {
        const input = event.target;
        const imagePreview = document.getElementById('imagePreview');
        if (input.files && input.files[0]) {
            const reader = new FileReader();
            reader.onload = function(e) {
                imagePreview.src = e.target.result;
                imagePreview.style.display = 'block';
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>

@endsection
