@extends('backend.layouts.adminlayouts')

@section('content')

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1>Sliders</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item">Sliders</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="{{ route('admin.slider.create') }}" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Sliders
            </a>
        </div>
    </div>

   <!-- Success and Error Alerts -->
@if(session('success'))
<div class="alert alert-success alert-dismissible fade show" role="alert">
    {{ session('success') }}
    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
@endif
@if(session('error'))
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    {{ session('error') }}
    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
@endif

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Sliders</h5>
                        <table class=" table datatable ">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th> Slider Image</th>
                                    <th>Heading</th>
                                    <th>Subheading</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($sliders as $slider)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>

                                        <!-- Slider Image with Rounded Corners -->
                                        <td>
                                            <img src="{{ asset('storage/' . $slider->background_image) }}" alt="Slider Image" style="width: 100px; height: 60px; border-radius: 10px;">
                                        </td>
                                        <td>{{ $slider->heading }}</td>
                                        <td>{{ $slider->subheading }}</td>
                                       
                                        <td>
                                            <!-- Edit Icon -->
                                            <a href="{{ route('admin.slider.edit', $slider->id) }}" class="btn btn-warning btn-sm" title="Edit">
                                                <i class="bx bx-edit"></i>
                                            </a>

                                            <!-- Delete Icon -->
                                            <form action="{{ route('admin.slider.destroy', $slider->id) }}" method="POST" style="display:inline-block;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger btn-sm" title="Delete">
                                                    <i class="bx bx-trash"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

@endsection
