@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Investor Categories</h5>

                        <a href="{{ route('admin.subcategories.create') }}" class="btn btn-primary mb-3">Add Investor Categories</a>

                        @if(session('success'))
                            <div class="alert alert-success">{{ session('success') }}</div>
                        @endif

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($subcategories as $subcategory)
                                <tr>
                                    <td>{{ $subcategory->id }}</td>
                                    <td>
                                        <img src="{{ asset('storage/' . $subcategory->image) }}" alt="Slider Image" style="width: 100px; height: 60px; border-radius: 10px;">

                                    </td>
                                    <td>{{ $subcategory->name }}</td>
                                    <td>{{ ucfirst($subcategory->status) }}</td>
                                    <td>
                                        <a href="{{ route('admin.subcategories.edit', $subcategory->id) }}" class="btn btn-warning">Edit</a>
                                        <form action="{{ route('admin.subcategories.delete', $subcategory->id) }}" method="POST" style="display:inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection
