@extends('backend.layouts.adminlayouts')

@section('content')
<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1 style="color: black;">Training & Development</h1> <!-- Added Inline CSS for Black Color -->
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item">Training & Development</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="{{ route('admin.training.create') }}" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Training & Development
            </a>
        </div>
    </div>

    <!-- Success and Error Alerts -->
    @if(session('success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session('success') }}
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    @endif
    @if(session('error'))
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session('error') }}
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    @endif


        <h2>Training & Development</h2>
        <table class="table table-bordered mt-3">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Description</th>
                    <th>Image</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach($data as $item)
                    <tr>
                        <td>{{ $item->id }}</td>
                        <td>{{ $item->description }}</td>
                        <td><img src="{{ asset('storage/' . $item->image) }}" width="100"></td>
                        <td>
                            <a href="{{ route('admin.training.edit', $item->id) }}" class="btn btn-warning">Edit</a>
                            <a href="{{ route('admin.training.delete', $item->id) }}" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>



</main>
@endsection