<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>New Blog Notification</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f7f8fc;
        }
        .email-container {
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
            background-color: #ffffff;
            border-radius: 10px;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
            padding: 20px;
        }
        .header {
            text-align: center;
            color: #ffffff;
            padding: 25px;
            border-radius: 10px 10px 0 0;
        }
        .header h1 {
            margin: 0;
            font-size: 24px;
            font-weight: bold;
        }
        .content {
            margin: 30px 0;
            font-size: 16px;
            line-height: 1.6;
            color: #333;
        }
        .content p {
            margin: 12px 0;
        }
        .content h2 {
            font-size: 18px;
            color: #1e82a9;
            margin-bottom: 15px;
        }
        .content .blog-text {
            background-color: #f1f1f1;
            padding: 15px;
            border-radius: 5px;
            margin-top: 10px;
            color: #444;
        }
        .footer {
            text-align: center;
            margin-top: 30px;
            font-size: 14px;
            color: #3d3737;
            line-height: 1.5;
        }
        .footer p {
            margin: 5px 0;
        }
        .btn {
            display: inline-block;
            background-color: #1e82a9;
            color: #fff;
            padding: 12px 25px;
            border-radius: 5px;
            text-decoration: none;
            font-weight: bold;
            margin-top: 25px;
            text-align: center;
        }
        .btn:hover {
            background-color: #1697c3;
        }
        @media only screen and (max-width: 600px) {
            .email-container {
                padding: 15px;
            }
            .header h1 {
                font-size: 20px;
            }
            .content {
                font-size: 14px;
            }
        }
    </style>
</head>
<body>
    <div class="email-container">
        <div class="header">
            <h1>New Blog Published: {{ $blog->title }}</h1>
        </div>
        <div class="content">
            <p><strong>Author:</strong> {{ $blog->author }}</p>
            {{-- <p><strong>Category:</strong> {{ $blog->category_id }}</p> --}}
            <p><strong>Publish Date:</strong> {{ \Carbon\Carbon::parse($blog->publish_date)->format('d-m-Y') }}</p>
            
            <h2>Blog Content:</h2>
            <div class="blog-text">
                <p>{!! nl2br(e(Str::limit(strip_tags($blog->content), 200))) !!}</p>
            </div>
            

            <a href="" class="btn">Read Full Blog</a>
        </div>

        <div class="footer">
            <p>Thank you for subscribing to our blog updates.</p>
            <p>If you no longer wish to receive these notifications, you can <a href="#" style="color: #34b7f1;">unsubscribe here</a>.</p>
        </div>
    </div>
</body>
</html>
