<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Subscription Confirmation</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f7f7f7;
            margin: 0;
            padding: 0;
        }
        .email-container {
            width: 100%;
            max-width: 600px;
            margin: 50px auto;
            background-color: #ffffff;
            padding: 20px;
            border-radius: 12px;
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
            border: 1px solid #e5e5e5;
        }
        .email-header {
            text-align: center;
            padding-bottom: 20px;
        }
        .email-header img {
            width: 160px;
            height: auto;
        }
        .email-content {
            font-size: 16px;
            color: #333;
            line-height: 1.6;
        }
        .email-content h1 {
            color: #4CAF50;
            font-size: 26px;
            font-weight: bold;
        }
        .email-content p {
            margin-bottom: 15px;
        }
        .email-button {
            display: inline-block;
            padding: 12px 25px;
            margin-top: 20px;
            background-color: #13bfcc;
            color: white;
            text-decoration: none;
            border-radius: 8px;
            font-size: 16px;
            text-align: center;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            transition: background-color 0.3s ease, transform 0.3s ease;
        }
        .email-button:hover {
            background-color: #58b82c;
            transform: translateY(-3px);
        }
        .email-footer {
            text-align: center;
            font-size: 14px;
            color: #999;
            padding-top: 20px;
        }
        .email-footer a {
            color: #0c00f7;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="email-container">
        <div class="email-header">
            <!-- Logo -->
            <img class="logo-img" src="{{ asset('frontend/assets/img/image.png') }}" alt="Website Logo">
        </div>
        <div class="email-content">
            <h1>Thank you for subscribing!</h1>
            <p>Hello, {{ $subscription->email }}</p>
            <p>We are thrilled to have you with us. You will now receive the latest updates, news, and notifications directly in your inbox.</p>
            <p>If you have any questions or need assistance, don't hesitate to reach out to us at any time.</p>
            <a href="" class="email-button" style="color: white">Visit Our Website</a>
        </div>
        <div class="email-footer">
            <p>Best Regards,<br>The Admission Advisor Team</p>
            <p><a href="">security</a></p>
        </div>
    </div>
</body>
</html>
