@extends('frontend.layouts.layout')

@section('title', 'Blogs')

@section('content')

<div class="bg_green container  pt-md-4" style="
    box-shadow: 0px 2px 2px 11px #b4eaff;
">
    <nav class="breadcrumb my-2 mt-md-3  pt_48" style="--bs-breadcrumb-divider: url(&quot;data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8'%3E%3Cpath d='M2.5 0L1 1.5 3.5 4 1 6.5 2.5 8l4-4-4-4z' fill='currentColor'/%3E%3C/svg%3E&quot;);" aria-label="breadcrumb">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"> <a class="breadcrumb-item color_2" href="">Home</a> </li>


            <span class="breadcrumb-item active text-dark" aria-current="page">Blogs</span>
        </ol>
    </nav>
    <div class="container-fluid  bg_5">
        <div class="row  align-items-center">

            <h1 class="bg_yellow color_1 fw-bold mb-2 py-4">Blogs</h1>
        </div>
    </div>
</div>

<div class="container my-4">
    <div class="row justify-content-between">
        <p>Explore our latest blogs on various topics.</p>
        @foreach ($blogs as $blog)
            <div class="col-md-3 pt-3">
                <div class="mt-md-3">
                    <div class="new property-entry pro_card1">
                        <a href="{{ route('frontend.blog_details', $blog->slug) }}" class="property-thumbnail col-md-12 position-relative">
                            @if(!empty($blog->images))
                                @php
                                    $images = json_decode($blog->images, true);
                                @endphp
                                @if(is_array($images) && count($images) > 0)
                                    <img src="{{ asset('storage/' . $images[0]) }}" alt="{{ $blog->title }}" class="img-fluid w-100">
                                @endif
                            @endif
                            <div class="position-absolute top-0">
                                <span class="bg-black d-block m-3 p-2 rounded-3 small text-white">
                                    {{ date('M d Y', strtotime($blog->publish_date)) }}
                                </span>
                            </div>
                        </a>
                        <div class="p-4 bg-white text col-md-12">
                            <h2 class="h5 mb-3">
                                <a href="{{ route('frontend.blog_details', $blog->slug) }}" class="fw-bold">{{ $blog->title }}</a>
                            </h2>
                            <p class="fs-6">{{ Str::limit(strip_tags($blog->content), 100) }}</p>
                            <div>
                                <a href="{{ route('frontend.blog_details', $blog->slug) }}">
                                    <div class="d-inline-block p-2 pro_card_btn rounded-3 bg_1 border">Learn More</div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    </div>

    {{-- Pagination --}}
    <div class="mt-4">
        {{ $blogs->links() }}
    </div>
</div>



<div class="container py-md-5">
  <div class="site-section-title title_1  position-relative">
     <h2 class="text-center py-md-0 py-4"><span>O</span>ur <span> C</span>lients</h2>
     <!-- <img src="images/icon.png" alt="Image"  style="    background: #f9f9f9;"> -->
  </div>
  <div class="row">
     <div class="col">
        <div class="slide-four-item home-slider owl-carousel mt-md-4">
           <div href="blog-detail.php" class="shadow-lg p-3 border">
              <img src="{{ asset('frontend/assets/images/client-1.png')}}" alt="Image" class="img-fluid" style="height: 120px;">
           </div>
           <div href="blog-detail.php" class="shadow-lg p-3 border">
              <img src="{{ asset('frontend/assets/images/client-2.jpg')}}" alt="Image" class="img-fluid" style="height: 120px;">
           </div>
        </div>
     </div>
  </div>
</div>

@endsection
