@extends('frontend.layouts.layout')
@section('title', 'Page Title')
@section('content')
    <style>
        td {
            border-right: 1px solid #00000033;
            font-size: 25px;
            font-weight: 400;
            line-height: 36px;
        }

        /* Remove the border from the last td in each row */
        td:last-child {
            border-right: none;
        }
        .info-item {
    display: flex;
    align-items: center;
    gap: 10px; /* ✅ Icon और Text के बीच gap */
    margin-bottom: 15px;
}

.info-item i {
    font-size: 22px; /* ✅ Icon का साइज */
    color: #0d6efd; /* ✅ Icon का कलर */
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #e3f2fd; /* ✅ हल्का Blue Background */
    border-radius: 50%;
}

.info-item div h4 {
    margin: 0;
    font-size: 18px; /* ✅ Title Size */
    font-weight: bold;
}

.info-item div p,
.info-item div a {
    margin: 0;
    font-size: 16px;
    color: #333;
}

    </style>
    @if ($errors->any())
        <div class="alert alert-danger alert-dismissible fade show custom-alert" role="alert" id="validationErrors">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    @endif
    @if (session('success'))
        <div class="alert alert-success alert-dismissible fade show custom-alert" role="alert" id="successAlert">
            {{ session('success') }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    @endif
    @if (session('error'))
        <div class="alert alert-danger alert-dismissible fade show custom-alert" role="alert" id="errorAlert">
            {{ session('error') }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    @endif
    <div class="container-fluid overlay back_img2 overlay1 px-0">

        <div class=" position-relative">


            <div class=" text_white  fs-1 ps-3   d-md-block position-absolute" data-aos="fade-down"
                data-aos-delay="1000"><a href="#" class="text-white big_text fs-1   py-3 rounded-0 btn-2">CONTACT US
                </a>
                <br />
               <h6>Innovative Security  |  Reliable Quality  |  End-to-End Service</h6>
            </div>


        </div>
    </div>
    <main class="main">
        <!-- Page Title -->
        <div class="page-title dark-background" data-aos="fade"
            style="background-image: url(assets/img/page-title-bg.webp);">
            <div class="container position-relative">
            </div>
        </div>
        <!-- End Page Title -->
        <!-- Contact Section -->
        <section id="contact" class="contact section">
            <div class="mb-5">
                <iframe style="width: 100%; height: 400px;"
                    src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d12097.433213460943!2d-74.0062269!3d40.7101282!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xb89d1fe6bc499443!2sDowntown+Conference+Center!5e0!3m2!1smk!2sbg!4v1539943755621"
                    frameborder="0" allowfullscreen=""></iframe>
            </div>
            <!-- End Google Maps -->
            <div class="container mb-4" data-aos="fade">
                <div class="row gy-5 gx-lg-5">
                    <div class="col-lg-6">
                        <div class="info">
                            <h3 class="heading1">Get in touch</h3>
                            <p style="text-decoration: none; color: inherit; font-size:18px;">
                                If you need more information about universities, feel free to contact us. We can assist with
                                admission details, courses, and campus facilities. Reach out via email or phone, and we’ll
                                help guide you through the university selection process to find the best opportunities for
                                you.
                            </p>
                            <div class="info-item d-flex">
                                <i class="fas fa-map-marker-alt flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Location:</h4>
                                    <p>{{ $settings->contact_address }}</p>
                                </div>
                            </div>
                            <!-- End Info Item -->
                            <div class="info-item d-flex">
                                <i class="fa fa-envelope flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Email:</h4>
                                    <a href="mailto:contact@addminssion.com"
                                        style="text-decoration: none; color: inherit; font-size:18px;">{{ $settings->contact_email }}</a>
                                </div>
                            </div>
                            <!-- End Info Item -->
                            <div class="info-item d-flex">
                                <i class="fa fa-phone flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Call:</h4>
                                    <a href="tel:+919878987887"
                                        style="text-decoration: none; color: inherit; font-size:18px;">{{ $settings->phone_number }}</a>
                                </div>
                            </div>
                            <!-- End Info Item -->
                        </div>
                    </div>
                    <!-- End Info Column -->
                    <div class="col-lg-6">
                        <form action="{{ route('enquiry.store') }}" method="POST">
                            @csrf
                            <input type="hidden" name="location" value="contact-us">
                            <!-- Name Field -->
                            <div class="mb-3">
                                <label for="Name">First & Last Name *</label>
                                <input type="text" id="Name" name="Name" class="form-control"
                                    placeholder="John Smith" required />
                            </div>
                            <!-- Phone Number and Email in a Single Line -->
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <label for="MobileNo">Phone Number *</label>
                                    <input type="tel" id="MobileNo" name="MobileNo" class="form-control"
                                        placeholder="+91 7888123456" required />
                                </div>
                                <div class="col-md-6">
                                    <label for="Email">Email *</label>
                                    <input type="email" id="Email" name="Email" class="form-control"
                                        placeholder="email@example.com" required />
                                </div>
                            </div>
                            <!-- Enquiry Field -->
                            <div class="mb-3">
                                <label for="Questions">Your Enquiry</label>
                                <textarea id="Questions" name="Questions" class="form-control" rows="5"
                                    placeholder="Please share more details about your inquiry."></textarea>
                            </div>
                           
                            <!-- Submit Button with Arrow Icon -->
                            <button type="submit" class="btn btn-primary w-100">
                                REQUEST A CALL <i class="fas fa-arrow-right"></i>
                            </button>
                            <!-- Data Safety Message -->
                            <div class="form-check mt-3">
                                <label for="dataSafe" class="form-check-label">
                                    <i class="fas fa-lock safe-icon"></i>Your data is safe. You can request deletion
                                    anytime.
                                </label>
                            </div>
                        </form>
                    </div>
                    <!-- End Contact Form Column -->
                </div>
            </div>
        </section>
    </main>
@endsection
