@extends('frontend.layouts.layout')

@section('content')
<div class="container">


<div class="pt-md-4 container  ">
    <nav class="breadcrumb my-2  pt_48 "
        style="--bs-breadcrumb-divider: url(&quot;data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8'%3E%3Cpath d='M2.5 0L1 1.5 3.5 4 1 6.5 2.5 8l4-4-4-4z' fill='currentColor'/%3E%3C/svg%3E&quot;);"
        aria-label="breadcrumb">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"> <a class="breadcrumb-item color_2" href="">Home</a> </li>


            <span class="breadcrumb-item active text-dark" aria-current="page">{{ $product->heading }}</span>
        </ol>
    </nav>
    <div class="container-fluid  bg_5 bg_yellow">
        <div class="row  align-items-center">

            <h1 class="mb-2 py-4 color_1 fw-bold">{{ $product->heading }}</h1>
        </div>
    </div>
</div>
<div class="container mt-4">
    <div class="row justify-content-between">
        <div class="col-md-12   align-items-center pt-2 ">
            <div class="row">
                <div class="col-md-8 text">
                    <p>{{ $product->description }}</p>
                    <img src="{{ asset('storage/' . $product->image) }}" class="img-fluid" alt="{{ $product->name }}">

                </div>
                {{-- <div class="col-md-4 text">

                    <div class=" pattern-bg mt-md-3 justify-content-center border shadow pt-2">
                        <h4 class="text-center">Ask Your  Query Free!</h4>

                            <form action="{{ route('enquiry.store') }}" method="POST">
                                @csrf
                                <input type="hidden" name="location" value="{{ $product->heading }}">
                                <!-- Name Field -->
                                <div class="mb-3">
                                    <label for="Name">First & Last Name *</label>
                                    <input type="text" id="Name" name="Name" class="form-control"
                                        placeholder="John Smith" required />
                                </div>
                                <!-- Phone Number and Email in a Single Line -->
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <label for="MobileNo">Phone Number *</label>
                                        <input type="tel" id="MobileNo" name="MobileNo" class="form-control"
                                            placeholder="+91 7888123456" required />
                                    </div>
                                    <div class="col-md-6">
                                        <label for="Email">Email *</label>
                                        <input type="email" id="Email" name="Email" class="form-control"
                                            placeholder="email@example.com" required />
                                    </div>
                                </div>
                                <!-- Enquiry Field -->
                                <div class="mb-3">
                                    <label for="Questions">Your Enquiry</label>
                                    <textarea id="Questions" name="Questions" class="form-control" rows="5"
                                        placeholder="Please share more details about your inquiry."></textarea>
                                </div>
                               
                                <!-- Submit Button with Arrow Icon -->
                                <button type="submit" class="btn btn-primary w-100">
                                    REQUEST A CALL <i class="fas fa-arrow-right"></i>
                                </button>
                                <!-- Data Safety Message -->
                                <div class="form-check mt-3">
                                    <label for="dataSafe" class="form-check-label">
                                        <i class="fas fa-lock safe-icon"></i>Your data is safe. You can request deletion
                                        anytime.
                                    </label>
                                </div>
                            </form>


                    </div>






                </div> --}}





                <div class="col-md-4 text">
                    <div class="pattern-bg mt-md-3 justify-content-center border shadow pt-2">
                        <h4 class="text-center">Ask Your Query Free!</h4>
                
                        <form class="aos-init pattern-bg contact-form my-3 p-4 aos-animate" data-aos="fade-up" 
                              data-aos-delay="200" method="POST" action="{{ route('enquiry.store') }}">
                            @csrf
                            <input type="hidden" name="location" value="{{ $product->heading }}">
                
                            <div class="row">
                                <!-- Full Name -->
                                <div class="col-12">
                                    <div class="form-group">
                                        <label class="text-black" for="fname">Full Name *</label>
                                        <input type="text" class="form-control" id="fname" name="Name" placeholder="John Smith" required>
                                    </div>
                                </div>
                
                                <!-- Phone Number -->
                                <div class="col-12">
                                    <div class="form-group">
                                        <label class="text-black" for="phone">Phone Number *</label>
                                        <input type="tel" class="form-control" id="phone" name="MobileNo" 
                                               placeholder="+91 7888123456" required>
                                    </div>
                                </div>
                            </div>
                
                            <!-- Email Address -->
                            <div class="form-group my-4">
                                <label class="text-black" for="email">Email Address *</label>
                                <input type="email" class="form-control" id="email" name="Email" 
                                       placeholder="email@example.com" required>
                            </div>
                
                            <!-- Message Field -->
                            <div class="form-group my-4">
                                <label class="text-black" for="message">Message</label>
                                <textarea name="Questions" class="form-control" id="message" 
                                          cols="30" rows="5" placeholder="Please share more details about your inquiry."></textarea>
                            </div>
                
                            <!-- Submit Button -->
                            <button type="submit" class="align-items-center justify-content-center btn float-end text-white rounded-0 ruby-menu-demo-color-9">
                                Send Message
                            </button>
                            <br>
                
                        </form>
                    </div>
                </div>
                






















            </div>
           


        </div>

    </div>







</div>





<div class="site-section-title title_1  position-relative">
    <h2 class="text-center py-md-0 py-4"><span>O</span>ur <span> C</span>lients</h2>
    <!-- <img src="images/icon.png" alt="Image"  style="    background: #f9f9f9;"> -->
 </div>
 <div class="row">
    <div class="col">
       <div class="slide-four-item home-slider owl-carousel mt-md-4">
          <div href="blog-detail.php" class="shadow-lg p-3 border">
             <img src="{{ asset('frontend/assets/images/client-1.png')}}" alt="Image" class="img-fluid" style="height: 120px;">
          </div>
          <div href="blog-detail.php" class="shadow-lg p-3 border">
             <img src="{{ asset('frontend/assets/images/client-2.jpg')}}" alt="Image" class="img-fluid" style="height: 120px;">
          </div>
       </div>
    </div>
 </div>
</div>







@endsection
