@extends('frontend.layouts.layout')

@section('content')
<div class="container py-5">
    <h2 class="text-center">{{ $category->name }} Products</h2>
    <div class="row">
        @if($category->products->count() > 0)
            @foreach($category->products as $product)
            <div class="col-md-4">
                <div class="card mb-4">
                    <img src="{{ $product->image ? asset('storage/' . $product->image) : asset('images/default.png') }}" 
                         class="card-img-top" 
                         alt="{{ $product->name }}">
                    <div class="card-body">
                        <h5 class="card-title">{{ $product->name }}</h5>
                        <p class="card-text">{{ Str::limit($product->description, 100) }}</p>
                        <a href="{{ route('products.detail', [
                                                                     'category_slug' => Str::slug($category->name), // Category slug
                                                                     'product_slug' => $product->slug // Product slug
                                                                 ]) }}" 
                           class="btn btn-primary">View Details</a>
                    </div>
                </div>
            </div>
            @endforeach
        @else
            <p class="text-center">No products found in this category.</p>
        @endif
    </div>
</div>
@endsection
