<?php


// All Backend route Controller Here 
use App\Http\Controllers\admin\DashboardController as AdminDashboardController;
use App\Http\Controllers\admin\LoginController as AdminLoginController;
use App\Http\Controllers\admin\ProfileController;
use App\Http\Controllers\admin\TestimonialController;
use App\Http\Controllers\admin\CategoryController;
use App\Http\Controllers\admin\BlogController;
use App\Http\Controllers\admin\SliderController;
use App\Http\Controllers\admin\AboutController;
use App\Http\Controllers\admin\GeneralSettingsController;
use App\Http\Controllers\admin\EnquiryShowController;
use App\Http\Controllers\admin\PrivacyTermsController;
use App\Http\Controllers\admin\AdminProfileController;
use App\Http\Controllers\admin\OurTeamController;
use App\Http\Controllers\admin\SubCategoryController;
use App\Http\Controllers\admin\ProductController;
use App\Http\Controllers\admin\TrainingAndDevelopmentController;
use App\Http\Controllers\admin\WhyStudyMBBSAbroadController;
use App\Http\Controllers\admin\CertificateController;
use App\Http\Controllers\admin\InvestorController;
use App\Http\Controllers\admin\InvestorcategoryController;
use App\Http\Controllers\admin\InvestorContentsController;



// All Frontend Route Controller here 

use App\Http\Controllers\frontend\IndexController;
use App\Http\Controllers\frontend\SubscriptionController;
use App\Http\Controllers\frontend\EnquaryFormController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\LoginController;
use Illuminate\Support\Facades\Route;



// All frontend route here 
// Route::get('/home',action: [IndexController::class,'home'])->name('frontend.home');

Route::get('/', action: [IndexController::class, 'index'])->name('frontend.index');
Route::get('/blog', action: [IndexController::class, 'blogs'])->name('frontend.blog');
Route::get('/contact', action: [IndexController::class, 'contact'])->name('frontend.contact');
Route::get('/about', action: [IndexController::class, 'about_us'])->name('frontend.about');
Route::post('/enquiry-submit', [EnquaryFormController::class, 'store'])->name('enquiry.store');
Route::post('/subscribe', [SubscriptionController::class, 'store'])->name('subscribe.store');
Route::get('/about-us', action: [IndexController::class, 'about_us'])->name('frontend.about_us');
Route::get('/contact-us', action: [IndexController::class, 'contact_us'])->name('frontend.contact_us');
Route::get('/teams', action: [IndexController::class, 'teams'])->name('frontend.teams');
Route::get('/privacy-policy', action: [IndexController::class, 'privacypolicy'])->name('frontend.privacy-policy');
Route::get('/tearms_conditions', action: [IndexController::class, 'tearms_conditions'])->name('frontend.tearms_conditions');
Route::get('/trannings-&-products', action: [IndexController::class, 'trannings'])->name('frontend.trannings');
Route::get('/career', [IndexController::class, 'career'])->name('career');
Route::get('/certificates', [IndexController::class, 'certificate'])->name('certificates.index');



Route::get('/investors', [IndexController::class, 'investors'])->name('frontend.investors');
Route::get('/investors/{subcategory_slug?}', [IndexController::class, 'investors'])->name('frontend.investors');


Route::get('/products/{category_slug}', [IndexController::class, 'productListing'])->name('products.listing');
Route::get('/products/{category_slug}/{product_slug}', [IndexController::class, 'productDetail'])->name('products.detail');



// Route::get('/courses-details',action: [IndexController::class,'courses_details'])->name('frontend.courses_details');

Route::get('/blogs', action: [IndexController::class, 'blogs'])->name('frontend.blogs');
Route::get('/blog/{slug}', [IndexController::class, 'blog_details'])->name('frontend.blog_details');


Route::group(['prefix' => 'user089gjfj87697kjjkh'], function () {
    // Guest middleware
    Route::group(['middleware' => 'guest'], function () {
        Route::get('login', [LoginController::class, 'index'])->name('account.login');
        Route::post('login', [LoginController::class, 'authenticate'])->name('account.authenticate');
        Route::get('register', [LoginController::class, 'register'])->name('account.register');
        Route::post('register', [LoginController::class, 'processRegister'])->name('account.processRegister');
    });
    // Authenticate middleware
    Route::group(['middleware' => 'auth'], function () {
        Route::get('dashboard', [DashboardController::class, 'index'])->name('account.dashboard');
        Route::post('logout', [LoginController::class, 'logout'])->name('account.logout');
    });

});






Route::group(['prefix' => 'admin'], function () {
    // Guest middleware for admin
    Route::group(['middleware' => 'admin.guest'], function () {
        Route::get('login', [AdminLoginController::class, 'index'])->name('admin.login');
        Route::post('login', [AdminLoginController::class, 'authenticate'])->name('admin.authenticate');
    });
    // Authenticate middleware for admin
    Route::group(['middleware' => 'admin.auth'], function () {
        Route::get('dashboard', [AdminDashboardController::class, 'index'])->name('admin.dashboard');

        Route::get('profile', [AdminProfileController::class, 'profile'])->name('admin.profile');











        // testimonials code here 
        Route::get('/testimonials', [TestimonialController::class, 'index'])->name('admin.testimonials.index');
        Route::get('/testimonials/create', [TestimonialController::class, 'create'])->name('admin.testimonials.create');
        Route::post('/testimonials', [TestimonialController::class, 'store'])->name('admin.testimonials.store');
        Route::get('/testimonials/{id}/edit', [TestimonialController::class, 'edit'])->name('admin.testimonials.edit');
        Route::put('/testimonials/{id}', [TestimonialController::class, 'update'])->name('admin.testimonials.update');
        Route::delete('/testimonials/{id}', [TestimonialController::class, 'destroy'])->name('admin.testimonials.destroy');




        // category code here 
        Route::get('categories', [CategoryController::class, 'index'])->name('categories.index');
        Route::get('categories/create', [CategoryController::class, 'create'])->name('categories.create');
        Route::post('categories', [CategoryController::class, 'store'])->name('categories.store');
        Route::get('categories/{id}/edit', [CategoryController::class, 'edit'])->name('categories.edit');
        Route::put('categories/{id}', [CategoryController::class, 'update'])->name('categories.update');
        Route::delete('categories/{id}', [CategoryController::class, 'destroy'])->name('categories.destroy');
        Route::put('/categories/status/{id}', [CategoryController::class, 'updateStatus'])->name('categories.updateStatus');




        Route::get('/inverstor/categories', [SubCategoryController::class, 'index'])->name('admin.subcategories');
        Route::get('/inverstor/categories/create', [SubCategoryController::class, 'create'])->name('admin.subcategories.create');
        Route::post('/inverstor/categories/store', [SubCategoryController::class, 'store'])->name('admin.subcategories.store');
        Route::get('/inverstor/categories/edit/{id}', [SubCategoryController::class, 'edit'])->name('admin.subcategories.edit');
        Route::put('/inverstor/categories/update/{id}', [SubCategoryController::class, 'update'])->name('admin.subcategories.update');
        Route::get('/inverstor/categories/delete/{id}', [SubCategoryController::class, 'destroy'])->name('admin.subcategories.delete');











        //  blog  route here 
        Route::get('blogs', [BlogController::class, 'index'])->name('blogs.index');
        Route::get('blogs/create', [BlogController::class, 'create'])->name('blogs.create');
        Route::post('/blogs', [BlogController::class, 'store'])->name('blogs.store');
        Route::get('blogs/{blog}/edit', [BlogController::class, 'edit'])->name('blogs.edit');
        Route::put('blogs/{blog}', [BlogController::class, 'update'])->name('blogs.update');
        Route::delete('blogs/{blog}', [BlogController::class, 'destroy'])->name('blogs.destroy');
        Route::put('/blogs/updateStatus/{id}', [BlogController::class, 'updateStatus'])->name('blogs.updateStatus');



        Route::get('slider', [SliderController::class, 'index'])->name('admin.slider.index');
        Route::get('slider/create', [SliderController::class, 'create'])->name('admin.slider.create');
        Route::post('slider', [SliderController::class, 'store'])->name('admin.slider.store');
        Route::get('slider/{slider}/edit', [SliderController::class, 'edit'])->name('admin.slider.edit');
        Route::put('slider/{slider}', [SliderController::class, 'update'])->name('admin.slider.update');
        Route::delete('slider/{slider}', [SliderController::class, 'destroy'])->name('admin.slider.destroy');


        // about route here 

        Route::get('/about-us', [AboutController::class, 'showAboutUs'])->name('admin.aboutUs');
        Route::post('/about-us', [AboutController::class, 'updateAboutUs'])->name('admin.updateAboutUs');


        // carrear
        Route::get('carrear', [WhyStudyMBBSAbroadController::class, 'index'])->name('admin.why_study_mbbs_abroad.index');
        Route::post('carrear/update', [WhyStudyMBBSAbroadController::class, 'update'])->name('admin.why_study_mbbs_abroad.update');





        // Show profile page
        Route::get('profile', [ProfileController::class, 'profile'])->name('admin.profile');   // Profile Page
        Route::patch('profile/update', [ProfileController::class, 'updateProfile'])->name('admin.updateProfile');   // Update Profile
        Route::patch('profile/password', [ProfileController::class, 'updatePassword'])->name('admin.updatePassword');  // Update Password


        Route::get('/general_settings', [GeneralSettingsController::class, 'settings'])->name('admin.settings');
        Route::put('/settings/{id}', [GeneralSettingsController::class, 'updateGeneralSettings'])->name('admin.updateGeneralSettings');






        // Enquries Route here Backend 
        Route::get('/enquiries', [EnquiryShowController::class, 'index'])->name('admin.enquiries');
        Route::post('/enquiry/{id}/toggle-status', [EnquiryShowController::class, 'toggleStatus'])->name('admin.enquiry.toggleStatus');
        Route::get('enquiries/export/excel', [EnquiryShowController::class, 'exportExcel'])->name('enquiry.exportExcel');
        Route::get('enquiries/export/csv', [EnquiryShowController::class, 'exportCSV'])->name('enquiry.exportCSV');
        Route::get('/admin/fetch-new-enquiries', [EnquiryShowController::class, 'fetchNewEnquiries'])->name('admin.fetchNewEnquiries');

        //  country details route code here 



        Route::get('/privacy-policy', [PrivacyTermsController::class, 'showprivacy'])->name('admin.Privacy-Policy');
        Route::Post('/privacy-policy', [PrivacyTermsController::class, 'updateprivacy'])->name('admin.updatePrivacy_policy');
        Route::get('/tearms_conditions', [PrivacyTermsController::class, 'showtearms_conditions'])->name('admin.tearms_conditions');
        Route::Post('/tearms_conditions', [PrivacyTermsController::class, 'updatetearms_conditions'])->name('admin.updatetearms_conditions');






        Route::get('/ourteam', [OurTeamController::class, 'index'])->name('teams.index');
        Route::get('/ourteam/create', [OurTeamController::class, 'create'])->name('teams.create');
        Route::post('/ourteam/store', [OurTeamController::class, 'store'])->name('teams.store');
        Route::get('/ourteam/edit/{id}', [OurTeamController::class, 'edit'])->name('teams.edit');
        Route::put('/ourteam/update/{id}', [OurTeamController::class, 'update'])->name('teams.update');
        Route::delete('/ourteam/delete/{id}', [OurTeamController::class, 'destroy'])->name('teams.destroy');




        Route::get('/products', [ProductController::class, 'index'])->name('admin.products.index'); // Index Route
        Route::get('/products/create', [ProductController::class, 'create'])->name('admin.products.create'); // Create Form
        Route::post('/products', [ProductController::class, 'store'])->name('admin.products.store'); // Store Product
        Route::get('/products/edit/{id}', [ProductController::class, 'edit'])->name('admin.products.edit'); // Edit Form
        Route::put('/products/update/{id}', [ProductController::class, 'update'])->name('admin.products.update'); // Update Product
        Route::delete('/products/delete/{id}', [ProductController::class, 'destroy'])->name('admin.products.delete'); // Delete Product




        Route::get('/training', [TrainingAndDevelopmentController::class, 'index'])->name('admin.training.index');
        Route::get('/training/create', [TrainingAndDevelopmentController::class, 'create'])->name('admin.training.create');
        Route::post('/training', [TrainingAndDevelopmentController::class, 'store'])->name('admin.training.store');
        Route::get('/training/edit/{id}', [TrainingAndDevelopmentController::class, 'edit'])->name('admin.training.edit');
        Route::post('/training/update/{id}', [TrainingAndDevelopmentController::class, 'update'])->name('admin.training.update');
        Route::get('/training/delete/{id}', [TrainingAndDevelopmentController::class, 'destroy'])->name('admin.training.delete');







        Route::get('/certificates', [CertificateController::class, 'index'])->name('admin.certificates.index');
        Route::get('/certificates/create', [CertificateController::class, 'create'])->name('admin.certificates.create');
        Route::post('/certificates', [CertificateController::class, 'store'])->name('admin.certificates.store');
        Route::get('/certificates/{id}/edit', [CertificateController::class, 'edit'])->name('admin.certificates.edit');
        Route::put('/certificates/{id}', [CertificateController::class, 'update'])->name('admin.certificates.update');
        Route::delete('/certificates/{id}', [CertificateController::class, 'destroy'])->name('admin.certificates.destroy');





        Route::get('/investors', [InvestorController::class, 'index'])->name('investors');
        Route::get('/investors/create', [InvestorController::class, 'create'])->name('investors.create');
        Route::post('/investors/store', [InvestorController::class, 'store'])->name('investors.store');

        Route::get('/investors/{id}/edit', [InvestorController::class, 'edit'])->name('investors.edit');
        Route::put('/investors/{id}/update', [InvestorController::class, 'update'])->name('investors.update');
        Route::delete('/investors/{id}/delete', [InvestorController::class, 'destroy'])->name('investors.delete');


       Route::resource('investorcategories', InvestorcategoryController::class);
        Route::resource('investor-contents', InvestorContentsController::class);
        Route::get('/fetch-subcategories', [InvestorContentsController::class, 'fetchSubcategories'])->name('fetch-subcategories');

        Route::get('logout', [AdminLoginController::class, 'logout'])->name('admin.logout');
    });

});






