

<?php $__env->startSection('content'); ?>
    <main id="main" class="main">

        <section class="section">
            <div class="row">

                <!-- Success and Error Alerts -->
                <?php if(session('success')): ?>
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <?php echo e(session('success')); ?>

                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert"
                            aria-label="Close"></button>
                    </div>
                <?php endif; ?>
                <?php if(session('error')): ?>
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <?php echo e(session('error')); ?>

                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert"
                            aria-label="Close"></button>
                    </div>
                <?php endif; ?>

                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Update Why Study MBBS Abroad</h5>

                            <form id="quill-form" action="<?php echo e(route('admin.why_study_mbbs_abroad.update')); ?>" method="POST"
                                enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>

                                <!-- Content Field -->
                                <h5><b>Content</b></h5>
                                <div class="row mb-3">
                                    <div class="col-sm-12">
                                        <!-- Quill Editor Container -->
                                        <div id="quill-editor" class="quill-editor-full mb-3"><?php echo $setting->content ?? ''; ?></div>

                                        <!-- Hidden Textarea for Form Submission -->
                                        <textarea name="content" id="hidden-content" style="display: none;"
                                            class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"></textarea>

                                        <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback"><?php echo e($message); ?></div>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>

                                <!-- Image Field -->
                                <div class="row mb-3" style="margin-top: 10%">
                                    <label for="image1" class="col-sm-2 col-form-label">Image:</label>
                                    <h6><i><b>Please give me a Img size 1200*1200 px..</b></i></h6>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control <?php $__errorArgs = ['image1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                            id="image1" name="image1" accept="image/*">
                                        <?php $__errorArgs = ['image1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback"><?php echo e($message); ?></div>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        <!-- Preview Section -->
                                        <img id="image1_preview"
                                            src="<?php echo e($setting->image1 ? asset('storage/' . $setting->image1) : '#'); ?>"
                                            alt="Image1 Preview"
                                            style="display: <?php echo e($setting->image1 ? 'block' : 'none'); ?>; margin-top: 10px; max-width: 30%; height: auto;" />
                                    </div>
                                </div>

                                <!-- Submit Button -->
                                <div class="row mb-3">
                                    <div class="col-sm-10 offset-sm-2">
                                        <button type="submit" class="btn btn-primary">Update</button>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </section>

    </main>
<?php $__env->stopSection(); ?>

<script src="https://cdn.quilljs.com/1.3.7/quill.min.js"></script>
<link href="https://cdn.quilljs.com/1.3.7/quill.snow.css" rel="stylesheet">
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>


<script>
    $(document).ready(function() {
        // Initialize Quill editor with full toolbar options
        var quill = new Quill('#quill-editor', {
            theme: 'snow',
            placeholder: 'Write content here...',
            modules: {
                toolbar: [
                    ['bold', 'italic'], // Bold and Italic
                    ['link', 'image'], // Link and Image
                    [{
                        'header': '1'
                    }, {
                        'header': '2'
                    }, {
                        'header': '3'
                    }, {
                        'header': '4'
                    }, {
                        'header': '5'
                    }, {
                        'header': '6'
                    }], // Headings h1 to h6
                    [{
                        'list': 'ordered'
                    }, {
                        'list': 'bullet'
                    }], // Ordered and Unordered List
                    ['blockquote', 'code-block'], // Blockquote and Code Block
                    [{
                        'align': []
                    }], // Align (left, center, right)
                    [{
                        'color': []
                    }, {
                        'background': []
                    }] // Text Color and Background
                ]
            }
        });

        // Handle form submission to save the content
        $(document).on('submit', '#quill-form', function() {
            var content = quill.root.innerHTML;
            $('#hidden-content').val(content);
        });

        // Handle Image Upload inside Quill Editor
        quill.getModule('toolbar').addHandler('image', function() {
            let input = document.createElement('input');
            input.setAttribute('type', 'file');
            input.setAttribute('accept', 'image/*');
            input.click();

            input.onchange = function() {
                let file = input.files[0];
                if (file) {
                    let reader = new FileReader();
                    reader.onload = function(e) {
                        let range = quill.getSelection();
                        quill.insertEmbed(range.index, 'image', e.target.result);
                    };
                    reader.readAsDataURL(file);
                }
            };
        });
    });

    // Image Preview for external file input (optional)
    document.addEventListener('DOMContentLoaded', function() {
        const imageInput = document.getElementById('image1');
        if (imageInput) {
            imageInput.addEventListener('change', function(event) {
                const file = event.target.files[0];
                const preview = document.getElementById('image1_preview');
                if (file) {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        preview.src = e.target.result;
                        preview.style.display = 'block'; // Show preview
                    };
                    reader.readAsDataURL(file);
                } else {
                    preview.style.display = 'none'; // Hide preview if no file selected
                }
            });
        }
    });
</script>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/backend/admin/why_study_mbbs_abroad/index.blade.php ENDPATH**/ ?>