

<?php $__env->startSection('content'); ?>
<main id="main" class="main">
<!--  Error Alerts -->

<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
    <section class="section">
        <div class="card">
            <div class="pagetitle M-4">
                <h1>Add New Step Guide</h1>
            </div>
            <div class="card-body">
                
                <form id="quill-form" action="<?php echo e(route('guide_every_step.store')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label for="background_image">Background Image</label>
                        <input type="file" name="background_image" id="background_image" class="form-control" onchange="previewImage(event)">
                        <!-- Image Preview Section -->
                        <div id="image_preview" style="margin-top: 10px;">
                            <img id="image_preview_img" src="#" alt="Image Preview" style="display: none; max-width: 150px; height: auto;" />
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="heading">Heading</label>
                        <input type="text" name="heading" id="heading" class="form-control" required onkeyup="generateSlug()">
                    </div>

                    <div class="form-group">
                        <label for="slug">Slug</label>
                        <input type="text" name="slug" id="slug" class="form-control" required readonly>
                    </div>

                    <h5><b>Content</b></h5>
                    <div class="row mb-3">
                        <div class="col-sm-12">
                            <!-- Quill Editor Container -->
                            <div id="quill-editor" class="quill-editor-full mb-3"><?php echo $setting->content ?? ''; ?></div>

                            <!-- Hidden Textarea for Form Submission -->
                            <textarea name="content" id="hidden-content" style="display: none;" class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"></textarea>

                            <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <button style="margin-top: 5rem;" type="submit" class="btn btn-primary">Save</button>
                </form>
            </div>
        </div>
    </section>
</main>

<script>
    $(document).ready(function(){
    var quill = new Quill('#quill-editor', {
        theme: 'snow',
        placeholder: 'Write content here...',
        modules: {
            toolbar: [['bold', 'italic'], ['link']]
        }
    });

    $(document).on('submit','#quill-form',function(){
        var content = quill.root.innerHTML;
        $('#hidden-content').val(content);
    });
});
</script>

<script>

    // Function to generate slug from heading
    function generateSlug() {
        const heading = document.getElementById('heading').value;
        const slugField = document.getElementById('slug');
        
        const slug = heading.trim().toLowerCase()
                          .replace(/[^a-z0-9 -]/g, '')
                          .replace(/\s+/g, '-')
                          .replace(/-+/g, '-');
                          
        slugField.value = slug;
    }

    // Function to preview the selected image
    function previewImage(event) {
        const imageInput = event.target;
        const imagePreview = document.getElementById('image_preview_img');
        if (imageInput.files && imageInput.files[0]) {
            const reader = new FileReader();
            reader.onload = function(e) {
                imagePreview.src = e.target.result;
                imagePreview.style.display = 'block';
            };
            reader.readAsDataURL(imageInput.files[0]);
        } else {
            imagePreview.style.display = 'none';
        }
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/GuideEveryStep/create.blade.php ENDPATH**/ ?>