
<?php $__env->startSection('content'); ?>
<main id="main" class="main">
   <section class="section">
      <div class="row">
         <!-- Success and Error Alerts -->
         <?php if(session('success')): ?>
         <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(session('success')); ?>

            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
         </div>
         <?php endif; ?>
         <?php if(session('error')): ?>
         <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(session('error')); ?>

            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
         </div>
         <?php endif; ?>
         <div class="col-lg-12">
            <div class="card">
               <div class="card-body">
                  <h5 class="card-title">Add Preferred Country for MBBS Indian Students</h5>
                  <form action="<?php echo e(route('admin.Country-details.store')); ?>" method="POST" enctype="multipart/form-data">
                     <?php echo csrf_field(); ?>
                     <div class="container mt-5">
                        <!-- Tabs Navigation -->
                        <ul class="nav nav-tabs" id="formTabs" role="tablist">
                           <!-- New "Introduction" tab at the beginning -->
                           <li class="nav-item" role="presentation">
                              <a class="nav-link active" id="introductionTab" data-bs-toggle="tab" href="#introductionTabContent" role="tab">Introduction</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="fastFactTab" data-bs-toggle="tab" href="#fastFactTabContent" role="tab">Fast Fact</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="overviewTab" data-bs-toggle="tab" href="#overviewTabContent" role="tab">Overview</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="whyStudyTab" data-bs-toggle="tab" href="#whyStudyTabContent" role="tab">Why Study</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="eligibilityTab" data-bs-toggle="tab" href="#eligibilityTabContent" role="tab">Eligibility</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="admissionTab" data-bs-toggle="tab" href="#admissionTabContent" role="tab">Admission Process</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="mediumTab" data-bs-toggle="tab" href="#mediumTabContent" role="tab">Medium of Teaching</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="seofaq" data-bs-toggle="tab" href="#seo-and-faqsection" role="tab">SEO and Faq section</a>
                           </li>
                        </ul>
                        <!-- Tabs Content -->
                        <div class="tab-content mt-4" id="formTabsContent">
                           <div class="tab-pane fade show active" id="introductionTabContent" role="tabpanel" aria-labelledby="introductionTab">
                              <!-- Country Name -->
                              <div class="row mb-3">
                                 <label for="countryName" class="col-sm-2 col-form-label">Country Name:</label>
                                 <div class="col-sm-10">
                                    <select class="form-control" id="countryName" name="country_name" required>
                                       <option value="" disabled selected>Select a country</option>
                                       <option value="Bosnia">Bosnia</option>
                                       <option value="Romania">Romania</option>
                                       <option value="Serbia">Serbia</option>
                                       <option value="Georgia">Georgia</option>
                                       <option value="Poland">Poland</option>
                                       <option value="Russia">Russia</option>
                                       <option value="China">China</option>
                                       <option value="Kazakhstan">Kazakhstan</option>
                                       <option value="Kyrgyzstan">Kyrgyzstan</option>
                                       <option value="Bangladesh">Bangladesh</option>
                                       <option value="Philippines">Philippines</option>
                                       <option value="Europe">Europe</option>
                                    </select>
                                    <?php $__errorArgs = ['country_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                              </div>
                              <!-- Country Image and Flag in One Row -->
                              <div class="row mb-3 mt-5">
                                 <!-- Country Image -->
                                 <div class="col-sm-6">
                                    <label for="countryImage" class="form-label">Country Image:</label>
                                    <input class="form-control" type="file" id="countryImage" name="country_image" accept="image/*">
                                    <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                    <?php $__errorArgs = ['country_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <div id="countryImagePreview" class="mt-2"></div>
                                 </div>
                                 <!-- Flag -->
                                 <div class="col-sm-6">
                                    <label for="flagImage" class="form-label">Flag:</label>
                                    <input class="form-control" type="file" id="flagImage" name="flag_image" accept="image/*">
                                    <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                    <?php $__errorArgs = ['flag_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    <div id="flagImagePreview" class="mt-2"></div>
                                 </div>
                              </div>
                              <!-- Description Section -->
                              <div class="row mb-3 mt-5">
                                 <label for="description" class="col-sm-2 col-form-label">Description:</label>
                                 <div class="col-sm-10">
                                    <textarea class="form-control" id="description" name="description" rows="4" placeholder="Enter a brief description of the country" required><?php echo e(old('description')); ?></textarea>
                                    <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                              </div>
                           </div>
                           <!-- Fast Fact Section -->
                           <div class="tab-pane fade show" id="fastFactTabContent" role="tabpanel" aria-labelledby="fastFactTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Fast Fact</h5>
                                 <div id="fastFactContainer" class="row g-3">
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="fastFactIcon">Icon</label>
                                          <input type="file" class="form-control fastFactIconInput" name="fastFactIcon[]" accept="image/*">
                                          <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                       </div>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="fastFactHeading">Heading</label>
                                          <input type="text" class="form-control" name="fastFactHeading[]" placeholder="Enter Heading">
                                       </div>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="fastFactSubheading">Subheading</label>
                                          <input type="text" class="form-control" name="fastFactSubheading[]" placeholder="Enter Subheading">
                                       </div>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-3" type="button" id="addFastFact">+ Add More</button>
                              </div>
                           </div>
                           <!-- Overview Section -->
                           <div class="tab-pane fade" id="overviewTabContent" role="tabpanel" aria-labelledby="overviewTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Preferred Country for MBBS Indian Students: An Overview</h5>
                                 <div id="overviewContainer">
                                    <div class="row g-3 mt-2" id="overviewRow0">
                                       <div class="col-md-12">
                                          <label for="overviewHeading">Heading</label>
                                          <input type="text" class="form-control" id="overviewHeading" name="overviewHeading" placeholder="Enter heading">
                                       </div>
                                       <div class="col-md-11">
                                          <label for="overviewParagraph">Paragraph</label>
                                          <textarea class="form-control" name="overview[]" placeholder="Enter overview"></textarea>
                                       </div>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-2" type="button" id="addOverview">+ Add Paragraph</button>
                              </div>
                           </div>
                           <!-- Why Study Section -->
                           <div class="tab-pane fade" id="whyStudyTabContent" role="tabpanel" aria-labelledby="whyStudyTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Why Study MBBS in Preferred Country?</h5>
                                 <div id="whyStudyContainer" class="row g-3">
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="whyStudyIcon">Icon</label>
                                          <input type="file" class="form-control whyStudyIconInput" name="whyStudyIcon[]" accept="image/*">
                                          <img src="" alt="Preview" class="img-preview mt-2" style="width: 20%; height:30%; display: none;">
                                       </div>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="whyStudyHeading">Heading</label>
                                          <input type="text" class="form-control" name="whyStudyHeading[]" placeholder="Enter Heading">
                                       </div>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="form-group">
                                          <label for="whyStudySubheading">Subheading</label>
                                          <input type="text" class="form-control" name="whyStudySubheading[]" placeholder="Enter Subheading">
                                       </div>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-3" type="button" id="addWhyStudy">+ Add More</button>
                              </div>
                           </div>
                           <!-- Eligibility Section -->
                           <div class="tab-pane fade" id="eligibilityTabContent" role="tabpanel" aria-labelledby="eligibilityTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Eligibility Criteria to Study MBBS in Preferred Country for Indian Students</h5>
                                 <div id="eligibilityContainer">
                                    <div class="row g-3 mt-2">
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label for="eligibilityHeading">Heading</label>
                                             <input type="text" class="form-control" name="eligibilityHeading" placeholder="Enter Heading">
                                          </div>
                                       </div>
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label for="eligibilityImage">Image<i> <b>Please give me  img Size 923*386</b> 
                                             </i> </label>
                                             <input type="file" class="form-control" name="eligibilityImage" accept="image/*">
                                             <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                          </div>
                                       </div>
                                       <div class="col-md-12">
                                          <div class="form-group">
                                             <label for="eligibilityParagraph">Paragraph</label>
                                             <textarea class="form-control" name="eligibilityParagraph[]" placeholder="Enter Paragraph"></textarea>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-2" type="button" id="addEligibility">+ Add More Paragraph</button>
                              </div>
                           </div>  
                           <!-- Admission Process Section -->
                           <div class="tab-pane fade" id="admissionTabContent" role="tabpanel" aria-labelledby="admissionTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Admission Process for MBBS in Preferred Country</h5>
                                 <div class="form-group">
                                    <label for="heading">Heading</label>
                                    <input type="text" class="form-control" name="heading" placeholder="Enter heading">
                                 </div>
                                 <div id="admissionContainer">
                                    <div class="form-group">
                                       <label for="admission">Paragraph</label>
                                       <textarea class="form-control" name="admission[]" placeholder="Enter Paragraph"></textarea>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-2" type="button" id="addAdmission">+ Add Paragraph</button>
                              </div>
                           </div>
                            <!-- Medium of Teaching Section -->

                           <div class="tab-pane fade" id="mediumTabContent" role="tabpanel" aria-labelledby="mediumTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Medium of Teaching While Studying MBBS in Preferred Country</h5>
                                 <div id="mediumOfTeachingContainer" class="row g-3 mt-2">
                                    <div class="col-md-12">
                                       <div class="form-group">
                                          <label for="mediumOfTeachingImage">Image</label>
                                          <input type="file" class="form-control <?php $__errorArgs = ['mediumOfTeachingImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="mediumOfTeachingImage">
                                          <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; display: none;">
                                          <?php $__errorArgs = ['mediumOfTeachingImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                          <span class="text-danger"><?php echo e($message); ?></span>
                                          <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       </div>
                                    </div>
                                    <div class="col-md-6">
                                       <div class="form-group">
                                          <label for="mediumOfTeachingIcon">Icon</label>
                                          <input type="file" class="form-control <?php $__errorArgs = ['mediumOfTeachingIcon.*'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="mediumOfTeachingIcon[]" placeholder="Enter Icon Class (e.g., fa-solid fa-book)">
                                          <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; display: none;">
                                          <?php $__errorArgs = ['mediumOfTeachingIcon.*'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                          <span class="text-danger"><?php echo e($message); ?></span>
                                          <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       </div>
                                    </div>
                                    <div class="col-md-6">
                                       <div class="form-group">
                                          <label for="mediumOfTeachingParagraph">Paragraph</label>
                                          <textarea class="form-control <?php $__errorArgs = ['mediumOfTeaching.*'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="mediumOfTeaching[]" placeholder="Enter Paragraph"></textarea>
                                          <?php $__errorArgs = ['mediumOfTeaching.*'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                          <span class="text-danger"><?php echo e($message); ?></span>
                                          <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       </div>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-3" type="button" id="addMediumOfTeaching">+ Add More</button>
                              </div>
                             
                           </div>

                             <!-- SEO Faq Section -->
                             <div class="tab-pane fade" id="seo-and-faqsection" role="tabpanel" aria-labelledby="seofaq">
                              <div class="mb-4">
                                 <div id="seo-and-faqsection">
                                     
                     <h5 class="card-title">SEO Content</h5>
                     <div class="row mb-3">
                        <!-- Meta Keywords -->
                        <div class="col-md-12">
                           <label for="seoKeywords" class="form-label">SEO Keywords</label>
                           <input id="seoKeywords" name="seo_keywords" placeholder="Type and press space or enter" class="form-control" style="padding: 10px 15px; height: auto;" />
                        </div>
                        <!-- Meta Title -->
                        <div class="col-md-6 mt-3">
                           <label for="seo_title" class="form-label">Meta Title:</label>
                           <input type="text" class="form-control <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_title" name="seo_title" placeholder="Enter SEO Title" required value="<?php echo e(old('seo_title')); ?>">
                           <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                           <div class="invalid-feedback"><?php echo e($message); ?></div>
                           <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <!-- Meta Description -->
                        <div class="col-md-6 mt-3">
                           <label for="seo_description" class="form-label">Meta Description:</label>
                           <textarea class="form-control <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_description" name="seo_description" rows="4" placeholder="Enter SEO Description" required><?php echo e(old('seo_description')); ?></textarea>
                           <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                           <div class="invalid-feedback"><?php echo e($message); ?></div>
                           <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                     </div>

                     <h5 class="card-title">FAQ Section</h5>
                     <div class="faq-container">
                        <div class="row mb-3 faq-item">
                            <!-- Question Field -->
                            <div class="col-md-5">
                                <label for="question" class="form-label">FAQ Question</label>
                                <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" required>
                            </div>
                            <!-- Answer Field -->
                            <div class="col-md-6">
                                <label for="answer" class="form-label">FAQ Answer</label>
                                <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required></textarea>
                            </div>
                            <!-- Delete Button (X) -->
                            <div class="col-md-1">
                                <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
                            </div>
                        </div>
                      </div>
                    

                      <!-- Button to Add FAQ -->
                      <button type="button" class="btn btn-success" id="add-faq-btn">Add FAQ</button>


                       <!-- Submit Section -->
                       <div class="text-center mt-4">
                        <button type="submit" class="btn btn-success">Submit</button>
                     </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </form>
                  <!-- Add these buttons after the content of each tab -->
                  <div class="d-flex justify-content-between mt-4">
                     <button type="button" class="btn btn-secondary" id="prevButton">Previous</button>
                     <button type="button" class="btn btn-primary" id="nextButton">Next</button>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </section>
</main>

<!-- Include Tagify Script -->
<script src="https://cdn.jsdelivr.net/npm/@yaireo/tagify"></script>
<script>
   // The DOM element you wish to replace with Tagify
   var input = document.querySelector('#seoKeywords');
   
   // Initialize Tagify on the input element
   new Tagify(input, {
       enforceWhitelist: false, // Allow any value to be added
       delimiters: ", ", // Tag creation on space or enter
       dropdown: {
           enabled: 0, // Disable dropdown suggestions
       },
       maxTags: Infinity, // Allow unlimited tags
   });
   
   // Adjust CSS for center-aligned tags and balanced padding
   document.querySelector('.tagify').style.cssText += `
       display: flex;
       align-items: center; /* Center-align tags vertically */
       flex-wrap: wrap; /* Enable wrapping of tags */
       min-height: 50px; /* Maintain a minimum height */
       padding: 8px 12px; /* Balanced padding */
       box-sizing: border-box; /* Include padding in height */
   `;
   
   document.querySelector('.tagify__input').style.cssText += `
       margin-top: 0; /* Remove extra top margin */
   `;
</script>


<script>
   // Add new FAQ item
document.getElementById('add-faq-btn').addEventListener('click', function () {
   const faqContainer = document.querySelector('.faq-container');
   const newFaqItem = document.createElement('div');
   newFaqItem.classList.add('row', 'mb-3', 'faq-item');
   newFaqItem.innerHTML = `
       <div class="col-md-5">
           <label for="question" class="form-label">FAQ Question</label>
           <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" required>
       </div>
       <div class="col-md-6">
           <label for="answer" class="form-label">FAQ Answer</label>
           <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required></textarea>
       </div>
       <div class="col-md-1">
           <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
       </div>
   `;
   faqContainer.appendChild(newFaqItem);
});

// Delete FAQ item
document.querySelector('.faq-container').addEventListener('click', function (e) {
   if (e.target && e.target.classList.contains('delete-faq-btn')) {
       e.target.closest('.faq-item').remove();
   }
});

</script>
<script>
   let currentTab = 0; // Set the default tab to the first tab (index 0)
   
   // Function to show the current tab
   function showTab(n) {
       let tabs = document.querySelectorAll(".tab-pane");
       tabs.forEach(tab => tab.classList.remove('show', 'active')); // Remove active class from all tabs
       tabs[n].classList.add('show', 'active'); // Add active class to the current tab
   }
   
   // Function to go to the next tab
   function nextTab() {
       let tabs = document.querySelectorAll(".tab-pane");
       if (currentTab < tabs.length - 1) {
           currentTab++;
           showTab(currentTab);
       }
   }
   
   // Function to go to the previous tab
   function prevTab() {
       if (currentTab > 0) {
           currentTab--;
           showTab(currentTab);
       }
   }
   
   // Event listener for the Next button
   document.querySelector("#nextButton").addEventListener('click', nextTab);
   
   // Event listener for the Previous button
   document.querySelector("#prevButton").addEventListener('click', prevTab);
   
   // Initialize the first tab
   showTab(currentTab);
</script>
<script >
   $(document).ready(function () {
      // Add Fast Fact
      $('#addFastFact').click(function (e) {
         e.preventDefault();
         $('#fastFactContainer').append(`
                <div class="row g-3 mt-2">
                    <div class="col-md-4">
                        <input type="file" class="form-control fastFactIconInput" name="fastFactIcon[]" accept="image/*">
                        <img src="" alt="Preview" class="img-preview mt-2" style="width: 20%; height:30%; display: none;">
                    </div>
                    <div class="col-md-4">
                        <input type="text" class="form-control" name="fastFactHeading[]" placeholder="Enter Heading">
                    </div>
                    <div class="col-md-3">
                        <input type="text" class="form-control" name="fastFactSubheading[]" placeholder="Enter Subheading">
                    </div>
                    <div class="col-md-1">
                        <button class="btn btn-danger removeField">x</button>
                    </div>
                </div>
            `);
      });
   // Add Overview
   $('#addOverview').click(function (e) {
    e.preventDefault();
    
    // Append new paragraph row with remove button
    $('#overviewContainer').append(`
        <div class="row g-3 mt-2">
            <div class="col-md-11 form-group">
                <textarea class="form-control" name="overview[]" placeholder="Enter Paragraph"></textarea>
            </div>
            <div class="col-md-1">
                <button class="btn btn-danger removeField">x</button>
            </div>
        </div>
    `);
   });
   
   // Remove Overview Paragraph
   $(document).on('click', '.removeField', function() {
    $(this).closest('.row').remove();
   });
   
   
      // Add Why Study
      $('#addWhyStudy').click(function (e) {
         e.preventDefault();
         $('#whyStudyContainer').append(`
                <div class="row g-3 mt-2">
                    <div class="col-md-4">
                        <input type="file" class="form-control whyStudyIconInput" name="whyStudyIcon[]" accept="image/*">
                        <img src="" alt="Preview" class="img-preview mt-2" style="width: 20%; height:30%; display: none;">
                    </div>
                    <div class="col-md-4">
                        <input type="text" class="form-control" name="whyStudyHeading[]" placeholder="Enter Heading">
                    </div>
                    <div class="col-md-3">
                        <input type="text" class="form-control" name="whyStudySubheading[]" placeholder="Enter Subheading">
                    </div>
                    <div class="col-md-1">
                        <button class="btn btn-danger removeField">x</button>
                    </div>
                </div>
            `);
      });
   
      // Add Eligibility Paragraphs
      $('#addEligibility').click(function (e) {
         e.preventDefault();
         $('#eligibilityContainer').append(`
                <div class="row g-3 mt-2">
                    <div class="col-md-11">
                        <textarea class="form-control" name="eligibilityParagraph[]" placeholder="Enter Paragraph"></textarea>
                    </div>
                    <div class="col-md-1">
                        <button class="btn btn-danger removeField">x</button>
                    </div>
                </div>
            `);
      });
   
      // Add Admission Paragraphs
      $('#addAdmission').click(function (e) {
         e.preventDefault();
         $('#admissionContainer').append(`
                <div class="row g-3 mt-2">
                    <div class="col-md-11 form-group">
                        <textarea class="form-control" name="admission[]" placeholder="Enter Paragraph"></textarea>
                    </div>
                    <div class="col-md-1">
                        <button class="btn btn-danger removeField">x</button>
                    </div>
                </div> 
            `);
      });
   
      // Add Medium of Teaching Paragraphs
      $('#addMediumOfTeaching').click(function (e) {
         e.preventDefault();
         $('#mediumOfTeachingContainer').append(`
                <div class="row g-3 mt-2">
                    <div class="col-md-6">
                        <input type="file" class="form-control mediumOfTeachingIconInput" name="mediumOfTeachingIcon[]" accept="image/*">
                        <img src="" alt="Preview" class="img-preview mt-2" style="width: 20%; display: none;">
                    </div>
                    <div class="col-md-5">
                        <textarea class="form-control" name="mediumOfTeaching[]" placeholder="Enter Paragraph"></textarea>
                    </div>
                    <div class="col-md-1">
                        <button class="btn btn-danger removeField">x</button>
                    </div>
                </div>
            `);
      });
   
      // Remove Fields
      $(document).on('click', '.removeField', function () {
         $(this).closest('.row').remove();
      });
   
      // Preview image on file input change
      $(document).on('change', 'input[type="file"]', function () {
         const file = this.files[0];
         if (file) {
            const reader = new FileReader();
            reader.onload = (e) => {
               $(this).next('.img-preview').attr('src', e.target.result).show();
            };
            reader.readAsDataURL(file);
         }
      });
   
      // Submit Form
      $('#submitForm').click(function (e) {
         e.preventDefault();
         // Show alert if needed
         alert('Form is being submitted');
         // Submit the form programmatically
         $('form').submit();
      });
   }); 
   
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/country_universities_details/create.blade.php ENDPATH**/ ?>