
<?php $__env->startSection('title', 'Page Title'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        td {
            border-right: 1px solid #00000033;
            font-size: 25px;
            font-weight: 400;
            line-height: 36px;
        }

        /* Remove the border from the last td in each row */
        td:last-child {
            border-right: none;
        }
    </style>
    <?php if($errors->any()): ?>
        <div class="alert alert-danger alert-dismissible fade show custom-alert" role="alert" id="validationErrors">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    <?php endif; ?>
    <?php if(session('success')): ?>
        <div class="alert alert-success alert-dismissible fade show custom-alert" role="alert" id="successAlert">
            <?php echo e(session('success')); ?>

            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    <?php endif; ?>
    <?php if(session('error')): ?>
        <div class="alert alert-danger alert-dismissible fade show custom-alert" role="alert" id="errorAlert">
            <?php echo e(session('error')); ?>

            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    <?php endif; ?>
    <section class="banner_area">
        <div class="banner_inner d-flex align-items-center">
            <div class="overlay2 bg-parallax" data-stellar-ratio="0.9" data-stellar-vertical-offset="0" data-background="">
            </div>
            <div class="container">
                <div class="banner_content text-center">
                    <h2>CONTACT-US
                    </h2>
                </div>
            </div>
        </div>
    </section>
    <main class="main">
        <!-- Page Title -->
        <div class="page-title dark-background" data-aos="fade"
            style="background-image: url(assets/img/page-title-bg.webp);">
            <div class="container position-relative">
            </div>
        </div>
        <!-- End Page Title -->
        <!-- Contact Section -->
        <section id="contact" class="contact section">
            <div class="mb-5">
                <iframe style="width: 100%; height: 400px;"
                    src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d12097.433213460943!2d-74.0062269!3d40.7101282!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xb89d1fe6bc499443!2sDowntown+Conference+Center!5e0!3m2!1smk!2sbg!4v1539943755621"
                    frameborder="0" allowfullscreen=""></iframe>
            </div>
            <!-- End Google Maps -->
            <div class="container mb-4" data-aos="fade">
                <div class="row gy-5 gx-lg-5">
                    <div class="col-lg-6">
                        <div class="info">
                            <h3 class="heading1">Get in touch</h3>
                            <p style="text-decoration: none; color: inherit; font-size:18px;">
                                If you need more information about universities, feel free to contact us. We can assist with
                                admission details, courses, and campus facilities. Reach out via email or phone, and we’ll
                                help guide you through the university selection process to find the best opportunities for
                                you.
                            </p>
                            <div class="info-item d-flex">
                                <i class="fas fa-map-marker-alt flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Location:</h4>
                                    <p><?php echo e($settings->contact_address); ?></p>
                                </div>
                            </div>
                            <!-- End Info Item -->
                            <div class="info-item d-flex">
                                <i class="fa fa-envelope flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Email:</h4>
                                    <a href="mailto:contact@addminssion.com"
                                        style="text-decoration: none; color: inherit; font-size:18px;"><?php echo e($settings->contact_email); ?></a>
                                </div>
                            </div>
                            <!-- End Info Item -->
                            <div class="info-item d-flex">
                                <i class="fa fa-phone flex-shrink-0" style="color: #0d6efd;"></i>
                                <div>
                                    <h4>Call:</h4>
                                    <a href="tel:+919878987887"
                                        style="text-decoration: none; color: inherit; font-size:18px;"><?php echo e($settings->phone_number); ?></a>
                                </div>
                            </div>
                            <!-- End Info Item -->
                        </div>
                    </div>
                    <!-- End Info Column -->
                    <div class="col-lg-6">
                        <form action="<?php echo e(route('enquiry.store')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="location" value="contact-us">
                            <!-- Name Field -->
                            <div class="mb-3">
                                <label for="Name">First & Last Name *</label>
                                <input type="text" id="Name" name="Name" class="form-control"
                                    placeholder="John Smith" required />
                            </div>
                            <!-- Phone Number and Email in a Single Line -->
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <label for="MobileNo">Phone Number *</label>
                                    <input type="tel" id="MobileNo" name="MobileNo" class="form-control"
                                        placeholder="+91 7888123456" required />
                                </div>
                                <div class="col-md-6">
                                    <label for="Email">Email *</label>
                                    <input type="email" id="Email" name="Email" class="form-control"
                                        placeholder="email@example.com" required />
                                </div>
                            </div>
                            <!-- Enquiry Field -->
                            <div class="mb-3">
                                <label for="Questions">Your Enquiry</label>
                                <textarea id="Questions" name="Questions" class="form-control" rows="5"
                                    placeholder="Please share more details about your inquiry."></textarea>
                            </div>
                            <!-- Google reCAPTCHA in One Line -->
                            <div class="mb-3" style="display: flex; align-items: center;">
                                
                                <?php echo NoCaptcha::display(['data-sitekey' => env('GOOGLE_RECAPTCHA_SITE_KEY')]); ?>

                            </div>
                            <!-- Submit Button with Arrow Icon -->
                            <button type="submit" class="btn btn-primary w-100">
                                REQUEST A CALL <i class="fas fa-arrow-right"></i>
                            </button>
                            <!-- Data Safety Message -->
                            <div class="form-check mt-3">
                                <label for="dataSafe" class="form-check-label">
                                    <i class="fas fa-lock safe-icon"></i>Your data is safe. You can request deletion
                                    anytime.
                                </label>
                            </div>
                        </form>
                    </div>
                    <!-- End Contact Form Column -->
                </div>
            </div>
        </section>
    </main>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/frontend/frontendpages/contact-us.blade.php ENDPATH**/ ?>