<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <title>Dashboard - NiceAdmin Bootstrap Template</title>
    <meta content="" name="description">
    <meta content="" name="keywords">
    <!-- Favicons -->
    <link href="<?php echo e($headerLogoUrl ?? asset('images/default-logo.png')); ?>" rel="icon">
    <link href="<?php echo e(asset('backend/assets/img/apple-touch-icon.png')); ?>" rel="apple-touch-icon">
    <!-- Include Tagify CSS -->
    <link href="https://cdn.jsdelivr.net/npm/@yaireo/tagify/dist/tagify.css" rel="stylesheet">

    <!-- Google Fonts -->
    <link href="https://fonts.gstatic.com" rel="preconnect">
    <link
        href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
        rel="stylesheet">
    <!-- Vendor CSS Files -->
    <link href="<?php echo e(asset('backend/assets/vendor/bootstrap/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/bootstrap-icons/bootstrap-icons.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/boxicons/css/boxicons.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/quill/quill.snow.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/quill/quill.bubble.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/remixicon/remixicon.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/vendor/simple-datatables/style.css')); ?>" rel="stylesheet">
    <!-- Include Boxicons Library -->
    <link href="https://unpkg.com/boxicons/css/boxicons.min.css" rel="stylesheet">
    <!-- Template Main CSS File -->
    <link href="<?php echo e(asset('backend/assets/css/style.css')); ?>" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- Popper.js -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/moment@2.29.1/moment.min.js"></script>

</head>
</head>

<?php
use App\Models\GeneralSettings;
use App\Models\Enquiry;
use App\Models\user;

$settings = GeneralSettings::first();
        $headerLogoUrl = $settings->header_logo ? asset('storage/' . $settings->header_logo) : null;
        $footerLogoUrl = $settings->footer_logo ? asset('storage/' . $settings->footer_logo) : null;
        $user = Auth::guard('admin')->user();

        $enquries =Enquiry::all();

?>

<body>
    <!-- ======= Header ======= -->
    <header id="header" class="header fixed-top d-flex align-items-center">
        <div class="d-flex align-items-center justify-content-between mr-3">
            <a href="<?php echo e(url('admin/dashboard')); ?>" class="logo d-flex align-items-center">
                <img src="<?php echo e(asset('frontend/assets/images/logo.png')); ?>" alt="" width="50px" height="100px">
            </a>
            <i class="bi bi-list toggle-sidebar-btn"></i>
        </div>
        <!-- End Logo -->
        
        <!-- End Search Bar -->
        <nav class="header-nav ms-auto">
            <ul class="d-flex align-items-center">
                <li class="nav-item d-block d-lg-none">
                    <a class="nav-link nav-icon search-bar-toggle " href="#">
                        <i class="bi bi-search"></i>
                    </a>
                </li>
     



                <li class="nav-item dropdown">
                    <a class="nav-link nav-icon" href="#" data-bs-toggle="dropdown">
                        <i class="bi bi-chat-left-text"></i>
                        <span
                            class="badge bg-success badge-number"><?php echo e($enquries->where('created_at', '>=', now()->subDay())->count()); ?></span>
                    </a><!-- End Messages Icon -->
                    <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow messages">
                        <li class="dropdown-header">
                            You have <?php echo e($enquries->where('created_at', '>=', now()->subDay())->count()); ?> new messages
                            <a href="<?php echo e(route('admin.enquiries')); ?>"><span
                                    class="badge rounded-pill bg-primary p-2 ms-2">View all</span></a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <?php $__currentLoopData = $enquries->where('created_at', '>=', now()->subDay()); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enquiry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="message-item">
                                <a href="<?php echo e(route('admin.enquiries')); ?>">
                                    <img src="<?php echo e(asset('assets/img/messages-' . $loop->iteration . '.jpg')); ?>"
                                        alt="" class="rounded-circle">
                                    <div>
                                        <h4><?php echo e($enquiry->name); ?></h4>
                                        <p><?php echo e(Str::limit($enquiry->questions, 50)); ?></p>
                                        <p><?php echo e($enquiry->created_at->diffForHumans()); ?></p>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <li class="dropdown-footer">
                            <a href="<?php echo e(route('admin.enquiries')); ?>">Show all messages</a>
                        </li>
                    </ul>
                    <!-- End Messages Dropdown Items -->
                </li>


                <!-- End Messages Nav -->
                <li class="nav-item dropdown pe-3">
                    <a class="nav-link nav-profile d-flex align-items-center pe-0" href="#"
                        data-bs-toggle="dropdown">
                        <img src="<?php echo e(asset('storage/' . ($user && $user->profile_picture ? $user->profile_picture : 'default_image.jpg'))); ?>"
                            alt="Profile" class="rounded-circle">
                        <span class="d-none d-md-block dropdown-toggle ps-2"><?php echo e($user->name); ?></span>
                    </a><!-- End Profile Iamge Icon -->
                    <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow profile">
                        <li class="dropdown-header">
                            <h6><?php echo e($user->name); ?></h6>
                            <span><?php echo e($user->email); ?></span>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a class="dropdown-item d-flex align-items-center" href="<?php echo e(route('admin.profile')); ?>">
                                <i class="bi bi-person"></i>
                                <span>My Profile</span>
                            </a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a class="dropdown-item d-flex align-items-center" href="<?php echo e(route('admin.logout')); ?>">
                                <i class="bi bi-box-arrow-right"></i>
                                <span>Sign Out</span>
                            </a>
                        </li>
                    </ul>
                    <!-- End Profile Dropdown Items -->
                </li>
                <!-- End Profile Nav -->
            </ul>
        </nav>
        <!-- End Icons Navigation -->
    </header>
    <!-- End Header -->

    <!-- ======= Sidebar ======= -->
    <aside id="sidebar" class="sidebar">
        <ul class="sidebar-nav" id="sidebar-nav">
            <!-- Dashboard -->
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('admin.dashboard')); ?>">
                    <i class="bi bi-grid"></i>
                    <span>Dashboard</span>
                </a>
            </li>



            <!-- Slider -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('admin.slider.index')); ?>">
                    <i class="bi bi-sliders"></i>
                    <span>Slider</span>
                </a>
            </li>                      
                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('admin.aboutUs')); ?>">
                                <i class="bi bi-info-circle"></i>
                                <span>About Us</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('admin.testimonials.index')); ?>">
                                <i class="bi bi-quote"></i>
                                <span>Testimonials</span>
                            </a>
                        </li>
                        
                        <li class="nav-item collapsed">
                            <a class="nav-link collapsed" href="<?php echo e(route('admin.Privacy-Policy')); ?>">
                                <i class="bi bi-shield-lock"></i> <!-- Privacy Icon -->
                                <span> Privacy & Policy</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('admin.tearms_conditions')); ?>">
                                <i class="bi bi-file-earmark-text"></i> <!-- Terms & Conditions Icon -->
                                <span> Terms & Conditions</span>
                            </a>
                        </li>


                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('blogs.index')); ?>">
                                <i class="bi bi-pencil"></i>
                                <span>Blog</span>
                            </a>
                        </li>


            <!-- Blog Contents Accordion -->
           
                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('categories.index')); ?>">
                                <i class="bi bi-tags"></i>
                                <span>Categories</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link collapsed" href="<?php echo e(route('admin.subcategories')); ?>">
                                <i class="bi bi-tags"></i>
                                <span> Sub-Categories</span>
                            </a>
                        </li>
                       


                         <!-- F.A.Q -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('teams.index')); ?>">
                    <i class="bi bi-question-circle"></i>
                    <span>Our Teams</span>
                </a>
            </li>
                    
                

            <!-- F.A.Q -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('admin.enquiries')); ?>">
                    <i class="bi bi-question-circle"></i>
                    <span>Enquiry Details</span>
                </a>
            </li>

            <!-- Profile -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('admin.profile')); ?>">
                    <i class="bi bi-person"></i>
                    <span>Profile</span>
                </a>
            </li>

            <!-- General Settings -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('admin.settings')); ?>">
                    <i class="bi bi-gear"></i>
                    <span>General Settings</span>
                </a>
            </li>

            <!-- Logout -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="<?php echo e(route('admin.logout')); ?>">
                    <i class="bi bi-box-arrow-right"></i>
                    <span>Logout</span>
                </a>
            </li>
            <!-- End Logout Nav -->
        </ul>
    </aside>





    <!-- End Sidebar-->
    <div class="content">
        <?php echo $__env->yieldContent('content'); ?>
    </div>
    <!-- ======= Footer ======= -->
    <footer id="footer" class="footer">
        <div class="copyright">
            &copy; Copyright 2025 <strong><span>
                </span></strong>. All Rights Reserved
        </div>
        <div class="credits">
            <!-- All the links in the footer should remain intact. -->
            <!-- You can delete the links only if you purchased the pro version. -->
            <!-- Licensing information: https://bootstrapmade.com/license/ -->
            <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/ -->
            Designed by <a href="https://persistentinfotech.com">Persistent Infotech</a>
        </div>
    </footer>
    <!-- End Footer -->
    <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
            class="bi bi-arrow-up-short"></i></a>
    <!-- Vendor JS Files -->
    <script src="<?php echo e(asset('backend/assets/vendor/apexcharts/apexcharts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/chart.js/chart.umd.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/echarts/echarts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/quill/quill.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/simple-datatables/simple-datatables.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/tinymce/tinymce.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/vendor/php-email-form/validate.js')); ?>"></script>

    <!-- Template Main JS File -->
    <script src="<?php echo e(asset('backend/assets/js/main.js')); ?>"></script>
    <script>
        $(document).ready(function() {
            $('#courses').select2();
        });
    </script>



    <script>
        // Function to fetch new enquiries using AJAX
        function fetchNewEnquiries() {
            $.ajax({
                url: "<?php echo e(route('admin.fetchNewEnquiries')); ?>", // Your route for fetching enquiries
                type: 'GET',
                success: function(data) {
                    // Update the badge with the number of new messages
                    $('.badge-number').text(data.count);

                    // Update the dropdown with the new message list
                    let messageList = $('.messages');
                    messageList.empty(); // Clear the existing messages

                    // Loop through the new enquiries and update the dropdown
                    $.each(data.enquiries, function(index, enquiry) {
                        // Format the 'created_at' timestamp using moment.js
                        let formattedTime = moment(enquiry.created_at)
                            .fromNow(); // "1 minute ago", "2 hours ago"

                        messageList.append(`
                    <li class="message-item">
                        <a href="<?php echo e(route('admin.enquiries')); ?>">
                            <div>
                                <h4>${enquiry.name}</h4>
                                <p>${enquiry.questions.substring(0, 50)}</p>
                                <p>${formattedTime}</p>  <!-- Display formatted time -->
                            </div>
                        </a>
                    </li>
                    <li><hr class="dropdown-divider"></li>
                `);
                    });
                },
                error: function(error) {
                    console.log('Error:', error);
                }
            });
        }

        // Set the interval to fetch new data every 10 seconds
        setInterval(fetchNewEnquiries, 10000);

        // Call the function immediately on page load to populate the initial data
        $(document).ready(function() {
            fetchNewEnquiries();
        });
    </script>
</body>

</html>
<?php /**PATH D:\worlin-20250301T031444Z-001\worlin\worlinpp\laravel-multi-auth-main\resources\views/backend/layouts/adminlayouts.blade.php ENDPATH**/ ?>