

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1>Enquiry Details</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">Enquiry Details</li>
                </ol>
            </nav>
        </div>
    </div>

    <!-- Success and Error Alerts -->
    <?php if(session('success')): ?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        <?php echo e(session('success')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>
    <?php if(session('error')): ?>
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <?php echo e(session('error')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Enquiry Details</h5>

                        <!-- Export Buttons -->
                        <div class="mb-3 text-end text-end">
                            
                            <a href="<?php echo e(route('enquiry.exportCSV')); ?>" class="btn btn-warning">Export to CSV</a>
                        </div>

                        <table class="table datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone No</th>
                                    <th>Location</th>
                                    <th>Question</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $enquiries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $enquiry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($enquiry->name); ?></td>
                                        <td><?php echo e($enquiry->email); ?></td>
                                        <td><?php echo e($enquiry->mobile_no); ?></td>
                                        <td><?php echo e($enquiry->location); ?></td>
                                        <td><?php echo e($enquiry->questions); ?></td>

                                        <td>
                                            <!-- Active/Inactive Button -->
                                            <form action="<?php echo e(route('admin.enquiry.toggleStatus', $enquiry->id)); ?>" method="POST" style="display:inline;">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('POST'); ?>
                                                <button type="submit" class="btn btn-sm" style="border: none; background: none; padding: 5px 10px;">
                                                    <?php if($enquiry->status == 'active'): ?>
                                                        <span class="badge bg-success">Active</span>
                                                    <?php else: ?>
                                                        <span class="badge bg-danger">Inactive</span>
                                                    <?php endif; ?>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/persistentcoin/public_html/armour/resources/views/backend/admin/enquries.blade.php ENDPATH**/ ?>