

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Edit Testimonial</h5>

                    <form action="<?php echo e(route('admin.testimonials.update', $testimonial->id)); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>

                        <!-- Name Field -->
                        <div class="row mb-3">
                            <label for="name" class="col-sm-2 col-form-label">Testimonial Name:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="name" name="name" value="<?php echo e($testimonial->name); ?>" required>
                            </div>
                        </div>

                        <!-- Image Field -->
                        <div class="row mb-3">
                            <label for="image" class="col-sm-2 col-form-label">Testimonial Image:</label>
                            <div class="col-sm-10">
                                <input type="file" class="form-control" id="image" name="image" accept="image/*" onchange="previewImage(event)">
                                
                                <!-- Display Existing Image if any -->
                                <?php if($testimonial->image): ?>
                                    <div class="mt-2">
                                        <img src="<?php echo e(asset('storage/' . $testimonial->image)); ?>" width="100" class="mt-2" id="image-preview">
                                    </div>
                                <?php else: ?>
                                    <p>No image uploaded yet.</p>
                                <?php endif; ?>
                            </div>
                        </div>

                        <!-- Paragraph Field -->
                        <div class="row mb-3">
                            <label for="paragraph" class="col-sm-2 col-form-label">Testimonial Paragraph:</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" id="paragraph" name="paragraph" required><?php echo e($testimonial->paragraph); ?></textarea>
                            </div>
                        </div>

                        <!-- Submit Button -->
                        <div class="row mb-3">
                            <div class="col-sm-10 offset-sm-2">
                                <button type="submit" class="btn btn-primary">Update</button>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</section>

</main>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    // JavaScript function to preview image
    function previewImage(event) {
        var reader = new FileReader();
        reader.onload = function() {
            var output = document.getElementById('image-preview');
            output.src = reader.result;
            output.style.width = "100px"; // Set the width of the preview image
            output.style.marginTop = "10px"; // Set the margin for better spacing
        }
        reader.readAsDataURL(event.target.files[0]); // Read the uploaded image
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/testimonials/edit.blade.php ENDPATH**/ ?>