

<?php $__env->startSection('content'); ?>
    <main id="main" class="main">

        <section class="section">
            <div class="row">

                <!-- Success and Error Alerts -->
                <?php if(session('success')): ?>
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <?php echo e(session('success')); ?>

                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert"
                            aria-label="Close"></button>
                    </div>
                <?php endif; ?>
                <?php if(session('error')): ?>
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <?php echo e(session('error')); ?>

                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert"
                            aria-label="Close"></button>
                    </div>
                <?php endif; ?>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Update About Us</h5>

                                <form id="quill-form" action="<?php echo e(route('admin.updateAboutUs')); ?>" method="POST"
                                    enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>

                                    <div class="row mb-3">
                                        <div class="col-sm-10">
                                            <!-- Quill Editor Container -->
                                            <div id="quill-editor" class="quill-editor-full"><?php echo $setting->content ?? ''; ?></div>

                                            <!-- Hidden Textarea for Form Submission -->
                                            <textarea name="content" id="hidden-content" style="display: none;"
                                                class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                  
                                </textarea>

                                            <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="row" style="margin-top: 9%;">
                                        <!-- Image 1 Field -->
                                        <div class="col-sm-6">
                                            <label for="image1" class="col-form-label">Image :</label>
                                            <h6><i><b>Please give me a Img size 1200*1200 px..</b></i></h6>

                                            <input type="file" class="form-control <?php $__errorArgs = ['image1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                id="image1" name="image1" accept="image/*">
                                            <?php $__errorArgs = ['image1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            <!-- Preview Section -->
                                            <img id="image1_preview"
                                                src="<?php echo e($setting->image1 ? asset('storage/' . $setting->image1) : '#'); ?>"
                                                alt="Image1 Preview"
                                                style="display: <?php echo e($setting->image1 ? 'block' : 'none'); ?>; margin-top: 15px; max-width: 80%; height: auto;" />
                                        </div>

                                        
                                    </div>



                                    <!-- Submit Button -->
                                    <div class="row" style="margin-top: 4%;">
                                        <div class="col-sm-10 offset-sm-2">
                                            <button type="submit" class="btn btn-primary">Update About Us


                                            </button>
                                        </div>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>
                </div>
        </section>

    </main>
<?php $__env->stopSection(); ?>

<script>
    // Image1 preview script
    const image1Input = document.getElementById('image1');
    if (image1Input) {
        image1Input.addEventListener('change', function(event) {
            const file = event.target.files[0];
            if (file) {
                const reader = new FileReader();
                reader.onload = function(e) {
                    const preview = document.getElementById('image1_preview');
                    preview.src = e.target.result;
                    preview.style.display = 'block';
                };
                reader.readAsDataURL(file);
            } else {
                document.getElementById('image1_preview').style.display = 'none';
            }
        });
    }

    // Image2 preview script
    const image2Input = document.getElementById('image2');
    if (image2Input) {
        image2Input.addEventListener('change', function(event) {
            const file = event.target.files[0];
            if (file) {
                const reader = new FileReader();
                reader.onload = function(e) {
                    const preview = document.getElementById('image2_preview');
                    preview.src = e.target.result;
                    preview.style.display = 'block';
                };
                reader.readAsDataURL(file);
            } else {
                document.getElementById('image2_preview').style.display = 'none';
            }
        });
    }
</script>

<script src="https://cdn.quilljs.com/1.3.7/quill.min.js"></script>
<link href="https://cdn.quilljs.com/1.3.7/quill.snow.css" rel="stylesheet">
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>



<script>
    $(document).ready(function() {
        var quill = new Quill('#quill-editor', {
            theme: 'snow',
            placeholder: 'Write content here...',
            modules: {
                toolbar: [
                    ['bold', 'italic'], // Bold and Italic
                    ['link', 'image'], // Link and Image
                    [{
                        'header': '1'
                    }, {
                        'header': '2'
                    }, {
                        'header': '3'
                    }, {
                        'header': '4'
                    }, {
                        'header': '5'
                    }, {
                        'header': '6'
                    }], // Headings h1 to h6
                    [{
                        'list': 'ordered'
                    }, {
                        'list': 'bullet'
                    }], // Ordered and Unordered List
                    ['blockquote', 'code-block'], // Blockquote and Code Block
                    [{
                        'align': []
                    }], // Align (left, center, right)
                    [{
                        'color': []
                    }, {
                        'background': []
                    }] // Text Color and Background
                ]
            }
        });

        $(document).on('submit', '#quill-form', function() {
            var content = quill.root.innerHTML;
            $('#hidden-content').val(content);
        });
    });
</script>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rahulpuridemo/public_html/armore/resources/views/backend/admin/about-us.blade.php ENDPATH**/ ?>