

<?php $__env->startSection('content'); ?>
<main id="main" class="main">
    

<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
    <section class="section">
        <div class="card">
            <div class="pagetitle m-4">
                <h1>Edit Step Guide</h1>
            </div>
            <div class="card-body">
                <form id="quill-form" action="<?php echo e(route('guide_every_step.update', $step->id)); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>

                    <div class="form-group">
                        <label for="background_image">Background Image</label>
                        <input type="file" name="background_image" class="form-control">
                        <img src="<?php echo e(asset('storage/' . $step->background_image)); ?>" style="width: 100px; margin-top: 10px;">
                    </div>

                    <div class="form-group">
                        <label for="heading">Heading</label>
                        <input type="text" name="heading" id="heading" class="form-control" value="<?php echo e($step->heading); ?>" required>
                    </div>

                    <div class="form-group">
                        <label for="slug">Slug</label>
                        <input type="text" name="slug" id="slug" class="form-control" value="<?php echo e($step->slug); ?>" required readonly>
                    </div>

                    <h5><b>Content</b></h5>
                    <div class="row mb-3">
                        <div class="col-sm-12">
                            <!-- Quill Editor Container -->
                            <div id="quill-editor" class="quill-editor-full mb-3"><?php echo $step->content ?? ''; ?></div>

                            <!-- Hidden Textarea for Form Submission -->
                            <textarea name="content" id="hidden-content" style="display: none;" class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"><?php echo e($step->content); ?></textarea>

                            <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>



                    

                    <button style="margin-top:5rem;" type="submit" class="btn btn-primary">Update</button>
                </form>
            </div>
        </div>
    </section>
</main>

<script>
    $(document).ready(function(){
    var quill = new Quill('#quill-editor', {
        theme: 'snow',
        placeholder: 'Write content here...',
        modules: {
            toolbar: [['bold', 'italic'], ['link']]
        }
    });

    $(document).on('submit','#quill-form',function(){
        var content = quill.root.innerHTML;
        $('#hidden-content').val(content);
    });
});
</script>



<script>

    // Function to generate slug from heading
    function generateSlug() {
        const heading = document.getElementById('heading').value;
        const slugField = document.getElementById('slug');
        
        const slug = heading.trim().toLowerCase()
                          .replace(/[^a-z0-9 -]/g, '')   // Remove non-alphanumeric characters
                          .replace(/\s+/g, '-')           // Replace spaces with hyphens
                          .replace(/-+/g, '-');           // Replace multiple hyphens with one
        
        slugField.value = slug;
    }

    // Automatically update slug when heading changes
    document.getElementById('heading').addEventListener('input', generateSlug);

    // Initialize slug when the page loads, in case there's an existing heading
    generateSlug();
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/GuideEveryStep/edit.blade.php ENDPATH**/ ?>