

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Edit Blog</h5>
                        <form id="quill-form" action="<?php echo e(route('blogs.update', $blog->id)); ?>" method="POST" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>

                            <!-- Title Field -->
                            <div class="row mb-3">
                                <label for="title" class="col-sm-2 col-form-label">Title:</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" id="title" name="title" value="<?php echo e(old('title', $blog->title)); ?>" required>
                                </div>
                            </div>

                            <!-- Category Field -->
                            <div class="row mb-3">
                                <label for="category" class="col-sm-2 col-form-label">Category:</label>
                                <div class="col-sm-10">
                                    <select class="form-control" id="category" name="category" required>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->id); ?>" <?php echo e($blog->category_id == $category->id ? 'selected' : ''); ?>>
                                                <?php echo e($category->name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            

                          




                            <!-- Images Field -->
                            <div class="row mb-3">
                                <label for="images" class="col-sm-2 col-form-label">Images:</label>
                                <div class="col-sm-10">
                                    <input type="file" class="form-control" id="images" name="images[]" multiple>
                                    <?php if($blog->images): ?>
                                        <div class="mt-3">
                                            <h6>Current Images:</h6>
                                            <div id="image-previews" class="d-flex flex-wrap gap-2">
                                                <?php $__currentLoopData = json_decode($blog->images); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="image-container position-relative">
                                                        <img src="<?php echo e(asset('storage/' . $image)); ?>" class="img-fluid" style="width: 100px; height: 100px; object-fit: cover;" alt="Current Image" />
                                                        <button type="button" class="btn-remove" onclick="removeImagePreview(this, '<?php echo e($image); ?>')">X</button>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>

                            <!-- Status Field -->
                            <div class="row mb-3">
                                <label for="status" class="col-sm-2 col-form-label">Status:</label>
                                <div class="col-sm-10">
                                    <select class="form-control" id="status" name="status" required>
                                        <option value="active" <?php echo e($blog->status == 'active' ? 'selected' : ''); ?>>Active</option>
                                        <option value="inactive" <?php echo e($blog->status == 'inactive' ? 'selected' : ''); ?>>Inactive</option>
                                    </select>
                                </div>
                            </div>
                            <h5><b>Content</b></h5>
                            <div class="row mb-3">
                                <div class="col-sm-12">
                                    <!-- Quill Editor Container -->
                                    <div id="quill-editor" class="quill-editor-full mb-3"><?php echo $blog->content ?? ''; ?></div>
    
                                    <!-- Hidden Textarea for Form Submission -->
                                    <textarea name="content" id="hidden-content" style="display: none;" class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"> <?php echo e(old('content', $blog->content)); ?></textarea>
    
                                    <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>



                    
                            <h5 class="card-title" style="margin-top: 5rem;">SEO Content</h5>
                            <div class="row mb-3">
                               <!-- Meta Keywords -->
                               <div class="col-md-12">
                                  <label for="seoKeywords" class="form-label">SEO Keywords</label>
                                  <input id="seoKeywords" name="seo_keywords" placeholder="Type and press space or enter" class="form-control" style="padding: 10px 15px; height: auto;" value="<?php echo e(old('seo_keywords', $blog->seo_keywords)); ?>" />
                               </div>
                               <!-- Meta Title -->
                               <div class="col-md-6 mt-3">
                                  <label for="seo_title" class="form-label">Meta Title:</label>
                                  <input type="text" class="form-control <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_title" name="seo_title" placeholder="Enter SEO Title" required value="<?php echo e(old('seo_title', $blog->seo_title)); ?>">
                                  <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                  <div class="invalid-feedback"><?php echo e($message); ?></div>
                                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                               </div>
                               <!-- Meta Description -->
                               <div class="col-md-6 mt-3">
                                  <label for="seo_description" class="form-label">Meta Description:</label>
                                  <textarea class="form-control <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_description" name="seo_description" rows="4" placeholder="Enter SEO Description" required><?php echo e(old('seo_description', $blog->seo_description)); ?></textarea>
                                  <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                  <div class="invalid-feedback"><?php echo e($message); ?></div>
                                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                               </div>
                            </div>
       
                            <h5 class="card-title">FAQ Section</h5>
                              
                            <div class="faq-container">
                             <?php $__currentLoopData = $blog->faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <div class="row mb-3 faq-item">
                                 <!-- Question Field -->
                                 <div class="col-md-5">
                                     <label for="question" class="form-label">FAQ Question</label>
                                     <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" value="<?php echo e(old('faqs.question', $faq['question'] ?? '')); ?>" required>
                                 </div>
                                 
                                 <!-- Answer Field -->
                                 <div class="col-md-6">
                                     <label for="answer" class="form-label">FAQ Answer</label>
                                     <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required><?php echo e(old('faqs.answer', $faq['answer'] ?? '')); ?></textarea>
                                 </div>
                                 
                                 <!-- Delete Button (X) -->
                                 <div class="col-md-1">
                                     <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
                                 </div>
                             </div>
                             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             
                         </div>
                         <button type="button" class="btn btn-success" id="add-faq-btn">Add FAQ</button>
       







                            <!-- Submit Button -->
                            <div class="row" style="margin-top: 6rem;">
                                <div class="col-sm-10 offset-sm-2">
                                    <button type="submit" class="btn btn-success">Update Blog</button>
                                </div>
                            </div>

                            <!-- Hidden input for removed images -->
                            <input type="hidden" name="removed_images" id="removed_images" value="[]">

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>


<!-- Include Tagify Script -->
<script src="https://cdn.jsdelivr.net/npm/@yaireo/tagify"></script>
<script>
   // The DOM element you wish to replace with Tagify
   var input = document.querySelector('#seoKeywords');
   
   // Initialize Tagify on the input element
   new Tagify(input, {
       enforceWhitelist: false, // Allow any value to be added
       delimiters: ", ", // Tag creation on space or enter
       dropdown: {
           enabled: 0, // Disable dropdown suggestions
       },
       maxTags: Infinity, // Allow unlimited tags
   });
   
   // Adjust CSS for center-aligned tags and balanced padding
   document.querySelector('.tagify').style.cssText += `
       display: flex;
       align-items: center; /* Center-align tags vertically */
       flex-wrap: wrap; /* Enable wrapping of tags */
       min-height: 50px; /* Maintain a minimum height */
       padding: 8px 12px; /* Balanced padding */
       box-sizing: border-box; /* Include padding in height */
   `;
   
   document.querySelector('.tagify__input').style.cssText += `
       margin-top: 0; /* Remove extra top margin */
   `;
</script>


<script>
   // Add new FAQ item
document.getElementById('add-faq-btn').addEventListener('click', function () {
   const faqContainer = document.querySelector('.faq-container');
   const newFaqItem = document.createElement('div');
   newFaqItem.classList.add('row', 'mb-3', 'faq-item');
   newFaqItem.innerHTML = `
       <div class="col-md-5">
           <label for="question" class="form-label">FAQ Question</label>
           <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" required>
       </div>
       <div class="col-md-6">
           <label for="answer" class="form-label">FAQ Answer</label>
           <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required></textarea>
       </div>
       <div class="col-md-1">
           <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
       </div>
   `;
   faqContainer.appendChild(newFaqItem);
});

// Delete FAQ item
document.querySelector('.faq-container').addEventListener('click', function (e) {
   if (e.target && e.target.classList.contains('delete-faq-btn')) {
       e.target.closest('.faq-item').remove();
   }
});

</script>



<script>
        $(document).ready(function(){
        var quill = new Quill('#quill-editor', {
            theme: 'snow',
            placeholder: 'Write content here...',
            modules: {
                toolbar: [['bold', 'italic'], ['link']]
            }
        });

        $(document).on('submit','#quill-form',function(){
            var content = quill.root.innerHTML;
            $('#hidden-content').val(content);
        });
    });
</script>


<script>
    // Handle image removal and update the hidden input for removed images
    function removeImagePreview(button, imagePath) {
        // Remove the image preview from the DOM
        button.closest('.image-container').remove();

        // Get current removed images
        let removedImages = JSON.parse(document.getElementById('removed_images').value);

        // Add the removed image path to the array
        removedImages.push(imagePath);

        // Update the hidden input with the new array
        document.getElementById('removed_images').value = JSON.stringify(removedImages);
    }

    // Handle file selection and preview
    document.getElementById('images').addEventListener('change', function(event) {
        var files = event.target.files;
        var previewContainer = document.getElementById('image-previews');

        Array.from(files).forEach(function(file) {
            var reader = new FileReader();

            reader.onload = function(e) {
                var imageContainer = document.createElement('div');
                imageContainer.classList.add('image-container', 'position-relative');
                imageContainer.style.margin = '5px';

                var imgTag = document.createElement('img');
                imgTag.src = e.target.result;
                imgTag.classList.add('img-fluid');
                imgTag.style.width = '100px';
                imgTag.style.height = '100px';
                imgTag.style.objectFit = 'cover';

                var removeButton = document.createElement('button');
                removeButton.type = 'button';
                removeButton.classList.add('btn-remove');
                removeButton.innerText = 'X';
                removeButton.style.position = 'absolute';
                removeButton.style.top = '0';
                removeButton.style.right = '0';
                removeButton.style.backgroundColor = 'rgba(255, 0, 0, 0.7)';
                removeButton.style.color = 'white';
                removeButton.style.border = 'none';
                removeButton.style.borderRadius = '50%';
                removeButton.style.width = '20px';
                removeButton.style.height = '20px';
                removeButton.style.fontSize = '16px';
                removeButton.style.cursor = 'pointer';

                removeButton.onclick = function() {
                    imageContainer.remove();
                };

                imageContainer.appendChild(imgTag);
                imageContainer.appendChild(removeButton);

                previewContainer.appendChild(imageContainer);
            };

            reader.readAsDataURL(file);
        });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/blog/edit.blade.php ENDPATH**/ ?>