

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1>Testimonials</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item">Testimonials</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="<?php echo e(route('admin.testimonials.create')); ?>" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Testimonials
            </a>
        </div>
    </div>

    <!-- Success and Error Alerts -->
    <?php if(session('success')): ?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        <?php echo e(session('success')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>
    <?php if(session('error')): ?>
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <?php echo e(session('error')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>

    <!-- Testimonials Table -->
    <table class="table table datatable">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Paragraph</th>
                <th>Image</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $testimonials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $testimonial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($loop->iteration); ?></td>
                <td><?php echo e($testimonial->name); ?></td>
                <td><?php echo e(Str::limit($testimonial->paragraph, 50)); ?></td>
                <td>
                    <img src="<?php echo e(asset('storage/' . $testimonial->image)); ?>" alt="Image" style="width: 50px; height: 50px; border-radius: 50%; object-fit: cover;">
                </td>
                <td>
                    <!-- View Icon -->
                    <a href="#" class="text-info" data-bs-toggle="modal" data-bs-target="#viewModal-<?php echo e($testimonial->id); ?>" style="font-size: 24px; margin-right: 10px;">
                        <i class='bx bx-show' style='color:#007bff; font-size:24px;'></i>
                    </a>
                    
                    <!-- Edit Icon -->
                    <a href="<?php echo e(route('admin.testimonials.edit', $testimonial->id)); ?>" class="text-warning" style="font-size: 24px; margin-right: 10px;">
                        <i class='bx bx-edit' style='color:#29e718; font-size:24px;'></i>
                    </a>
                    
                    <!-- Delete Icon -->
                    <form action="<?php echo e(route('admin.testimonials.destroy', $testimonial->id)); ?>" method="POST" style="display:inline;" onsubmit="return confirm('Are you sure you want to delete this testimonial?');">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="btn btn-link text-danger" style="border: none; background: none;">
                            <i class='bx bx-trash' style='color:red; font-size:24px;'></i>
                        </button>
                    </form>
                </td>
            </tr>

            <!-- View Modal -->
            <div class="modal fade" id="viewModal-<?php echo e($testimonial->id); ?>" tabindex="-1" aria-labelledby="viewModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header bg-gradient-info text-white">
                            <h5 class="modal-title" id="viewModalLabel" style="color: black">Testimonial Details</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h5><strong>Name:</strong></h5>
                                    <p><?php echo e($testimonial->name); ?></p>
                                </div>
                                <div class="col-md-6">
                                    <h5><strong>Paragraph:</strong></h5>
                                    <p><?php echo e($testimonial->paragraph); ?></p>
                                </div>
                                <div class="col-md-6">
                                    <h5><strong>Image:</strong></h5>
                                    <img src="<?php echo e(asset('storage/' . $testimonial->image)); ?>" class="img-fluid" style="max-width: 50%;" />
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

</main>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\worlin-20250301T031444Z-001\worlin\worlinpp\laravel-multi-auth-main\resources\views/backend/admin/testimonials/index.blade.php ENDPATH**/ ?>