

<?php $__env->startSection('content'); ?>
<main id="main" class="main">
<!-- Success and Error Alerts -->
<?php if(session('success')): ?>
<div class="alert alert-success alert-dismissible fade show" role="alert">
    <?php echo e(session('success')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Add Testimonial</h5>

                    <form action="<?php echo e(route('admin.testimonials.store')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>

                        <!-- Name Field -->
                        <div class="row mb-3">
                            <label for="name" class="col-sm-2 col-form-label">Name:</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="name" name="name" required placeholder="Enter testimonial name">
                            </div>
                        </div>

                        <!-- Image Field (Single Image) -->
                        <div class="row mb-3">
                            <label for="image" class="col-sm-2 col-form-label">Image:</label>
                            <div class="col-sm-10">
                                <input type="file" class="form-control" id="image" name="image" accept="image/*" onchange="previewImage()">
                                <div id="image-preview-container" class="mt-3"></div>
                            </div>
                        </div>

                        <!-- Paragraph Field -->
                        <div class="row mb-3">
                            <label for="paragraph" class="col-sm-2 col-form-label">Paragraph:</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" id="paragraph" name="paragraph" required placeholder="Enter testimonial paragraph"></textarea>
                            </div>
                        </div>

                        <!-- Submit Button -->
                        <div class="row mb-3">
                            <div class="col-sm-10 offset-sm-2">
                                <button type="submit" class="btn btn-primary">Create</button>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</section>

</main>

<script>
    function previewImage() {
        const previewContainer = document.getElementById('image-preview-container');
        previewContainer.innerHTML = ''; // Clear previous preview
        const file = document.getElementById('image').files[0];

        if (file) {
            const reader = new FileReader();

            reader.onload = function (e) {
                const imgElement = document.createElement('img');
                imgElement.src = e.target.result;
                imgElement.classList.add('img-thumbnail');
                imgElement.style.maxWidth = '150px'; // Adjust as needed
                imgElement.style.maxHeight = '150px'; // Adjust as needed
                previewContainer.appendChild(imgElement);
            };

            reader.readAsDataURL(file);
        }
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/testimonials/create.blade.php ENDPATH**/ ?>