
<?php $__env->startSection('content'); ?>
<main id="main" class="main">
   <section class="section">
      <div class="row">
         <!-- Success and Error Alerts -->
         <?php if(session('success')): ?>
         <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(session('success')); ?>

            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
         </div>
         <?php endif; ?>
         <?php if(session('error')): ?>
         <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(session('error')); ?>

            <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
         </div>
         <?php endif; ?>
         <div class="col-lg-12">
            <div class="card">
               <div class="card-body">
                  <h5 class="card-title">Add Preferred Country for MBBS Indian Students</h5>
                  <form action="<?php echo e(route('admin.Country-details.update', $countryDetail->id)); ?>" method="POST" enctype="multipart/form-data">
                     <?php echo csrf_field(); ?>
                     <?php echo method_field('PUT'); ?>
                     <div class="container mt-5">
                        <!-- Tabs Navigation -->
                        <ul class="nav nav-tabs" id="formTabs" role="tablist">
                           <li class="nav-item" role="presentation">
                              <a class="nav-link active" id="introductionTab" data-bs-toggle="tab" href="#introductionTabContent" role="tab">Introduction</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="fastFactTab" data-bs-toggle="tab" href="#fastFactTabContent" role="tab">Fast Fact</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="overviewTab" data-bs-toggle="tab" href="#overviewTabContent" role="tab">Overview</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="whyStudyTab" data-bs-toggle="tab" href="#whyStudyTabContent" role="tab">Why Study</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="eligibilityTab" data-bs-toggle="tab" href="#eligibilityTabContent" role="tab">Eligibility</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="admissionTab" data-bs-toggle="tab" href="#admissionTabContent" role="tab">Admission Process</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="mediumTab" data-bs-toggle="tab" href="#mediumTabContent" role="tab">Medium of Teaching</a>
                           </li>
                           <li class="nav-item" role="presentation">
                              <a class="nav-link" id="seofaq" data-bs-toggle="tab" href="#seo-and-faqsection" role="tab">SEO and Faq section</a>
                           </li>
                        </ul>
                        <!-- Tabs Content -->
                        <div class="tab-content mt-4" id="formTabsContent">
                           <!-- Introduction Tab -->
                           <div class="tab-pane fade show active" id="introductionTabContent" role="tabpanel" aria-labelledby="introductionTab">
                              <!-- Country Name -->
                              <div class="row mb-3">
                                 <label for="countryName" class="col-sm-2 col-form-label">Country Name:</label>
                                 <div class="col-sm-10">
                                    <select class="form-control" id="countryName" name="country_name" required>
                                    <option value="" disabled <?php echo e(old('country_name', $countryDetail->country_name ?? '') == '' ? 'selected' : ''); ?>>Select a country</option>
                                    <option value="Bosnia" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Bosnia' ? 'selected' : ''); ?>>Bosnia</option>
                                    <option value="Romania" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Romania' ? 'selected' : ''); ?>>Romania</option>
                                    <option value="Serbia" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Serbia' ? 'selected' : ''); ?>>Serbia</option>
                                    <option value="Georgia" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Georgia' ? 'selected' : ''); ?>>Georgia</option>
                                    <option value="Poland" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Poland' ? 'selected' : ''); ?>>Poland</option>
                                    <option value="Russia" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Russia' ? 'selected' : ''); ?>>Russia</option>
                                    <option value="China" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'China' ? 'selected' : ''); ?>>China</option>
                                    <option value="Kazakhstan" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Kazakhstan' ? 'selected' : ''); ?>>Kazakhstan</option>
                                    <option value="Kyrgyzstan" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Kyrgyzstan' ? 'selected' : ''); ?>>Kyrgyzstan</option>
                                    <option value="Bangladesh" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Bangladesh' ? 'selected' : ''); ?>>Bangladesh</option>
                                    <option value="Philippines" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Philippines' ? 'selected' : ''); ?>>Philippines</option>
                                    <option value="Europe" <?php echo e(old('country_name', $countryDetail->country_name ?? '') == 'Europe' ? 'selected' : ''); ?>>Europe</option>
                                    </select>
                                    <?php $__errorArgs = ['country_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                              </div>
                              <!-- Description Field -->
                              <div class="row mb-3">
                                 <label for="description" class="col-sm-2 col-form-label">Description:</label>
                                 <div class="col-sm-10">
                                    <textarea class="form-control" id="description" name="description" rows="4"><?php echo e(old('description', $countryDetail->description ?? '')); ?></textarea>
                                    <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                              </div>
                              <!-- Country Image and Flag -->
                              <div class="row mb-3 mt-5">
                                 <!-- Country Image -->
                                 <div class="col-sm-6">
                                    <label for="countryImage" class="form-label">Country Image:</label>
                                    <input class="form-control" type="file" id="countryImage" name="country_image" accept="image/*">
                                    <?php if($countryDetail->country_image): ?>
                                    <img src="<?php echo e(asset('storage/' . $countryDetail->country_image)); ?>" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: block;">
                                    <?php else: ?>
                                    <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                    <?php endif; ?>
                                    <?php $__errorArgs = ['country_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                                 <!-- Flag Image -->
                                 <div class="col-sm-6">
                                    <label for="flagImage" class="form-label">Flag:</label>
                                    <input class="form-control" type="file" id="flagImage" name="flag_image" accept="image/*">
                                    <?php if($countryDetail->flag_image): ?>
                                    <img src="<?php echo e(asset('storage/' . $countryDetail->flag_image)); ?>" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: block;">
                                    <?php else: ?>
                                    <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: none;">
                                    <?php endif; ?>
                                    <?php $__errorArgs = ['flag_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                              </div>
                           </div>
                           <!-- Fast Fact Tab -->
                           <div class="tab-pane fade" id="fastFactTabContent" role="tabpanel" aria-labelledby="fastFactTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Fast Fact</h5>
                                 <div id="fastFactContainer">
                                    <?php if($countryDetail->fastFact && !empty($countryDetail->fastFact)): ?>
                                    <?php $__currentLoopData = $countryDetail->fastFact; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $fastFact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row g-3 mb-3" id="fastFactRow<?php echo e($index); ?>">
                                    <input type="hidden" name="fastfactid[<?php echo e($index); ?>][]" value="<?php echo e($fastFact->id); ?>">
                                       <div class="col-md-4">
                                          <label for="fastFactIcon">Icon</label>
                                          <input type="file" class="form-control" name="fastFactIcon[<?php echo e($index); ?>][]" accept="image/*">
                                          <?php if($fastFact): ?>
                                          <img src="<?php echo e(asset('storage/' . $fastFact->image)); ?>" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height: 30%; display: block;">
                                          <?php else: ?>
                                          <img src="" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height: 30%; display: none;">
                                          <?php endif; ?>
                                       </div>
                                       <div class="col-md-4">
                                          <label for="fastFactHeading">Heading</label>
                                          <input type="text" class="form-control" name="fastFactHeading[<?php echo e($index); ?>][]" value="<?php echo e($fastFact->heading); ?>" placeholder="Enter Heading">
                                       </div>
                                       <div class="col-md-3">
                                          <label for="fastFactSubheading">Subheading</label>
                                          <input type="text" class="form-control" name="fastFactSubheading[<?php echo e($index); ?>][]" value="<?php echo e($fastFact->sub_heading); ?>" placeholder="Enter Subheading">
                                       </div>
                                       <div class="col-md-1 d-flex align-items-start">
                                          <button type="button" class="btn btn-danger btn-sm remove-fastfact-row" data-row-id="fastFactRow<?php echo e($index); ?>">X</button>
                                       </div>
                                    </div>
                                   
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <p>No data available</p>
                                    <?php endif; ?>
                                 </div>
                                 <button class="btn btn-primary mt-3" type="button" id="addFastFact">+ Add More</button>
                              </div>
                           </div>
                           
                           <div class="tab-pane fade" id="overviewTabContent" role="tabpanel" aria-labelledby="overviewTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Preferred Country for MBBS Indian Students: An Overview</h5>
                                 <div id="overviewContainer">
                                    
                                    <?php if(isset($countryDetail->overview) && is_array($countryDetail->overview)): ?>
                                    <div class="row g-3 mt-2" id="overviewRow0">
                                       <div class="col-md-12">
                                          <label for="overviewHeading">Heading</label>
                                          <input type="text" class="form-control" id="overviewHeading" name="overviewHeading" placeholder="Enter heading" value="<?php echo e(old('overviewHeading', $countryDetail->overviewHeading ?? '')); ?>">
                                       </div>
                                       <label for="overview">Paragraph:- </label>
                                       
                                       <?php $__currentLoopData = $countryDetail->overview; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $overviewParagraph): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <div class="col-md-12 d-flex align-items-center" id="overviewParagraph<?php echo e($key); ?>">
                                          <textarea class="form-control me-2" name="overview[]" placeholder="Enter overview"><?php echo e(old('overview.' . $key, $overviewParagraph)); ?></textarea>
                                          <button type="button" class="btn btn-danger mt-2 removeParagraphBtn" data-id="<?php echo e($key); ?>">X</button>
                                       </div>
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                    <?php else: ?>
                                    
                                    <p>No overview data available.</p>
                                    <?php endif; ?>
                                 </div>
                                 
                                 <button class="btn btn-primary mt-2" type="button" id="addOverview">+ Add Paragraph</button>
                              </div>
                           </div>
                           
                           <div class="tab-pane fade" id="whyStudyTabContent" role="tabpanel" aria-labelledby="whyStudyTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Why Study MBBS in Preferred Country?</h5>
                                 <div id="whyStudyContainer" class="row g-3">
                                    <?php if($countryDetail->whyStudy && !empty($countryDetail->whyStudy)): ?>
                                    <?php $__currentLoopData = $countryDetail->whyStudy; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $whyStudy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row whyStudyRow" id="whyStudyRow<?php echo e($index); ?>">
                                    <input type="hidden" name="whystudyId[<?php echo e($index); ?>][]" value="<?php echo e($whyStudy->id); ?>">
                                       <!-- Icon -->
                                       <div class="col-md-3">
                                          
                                          <div class="form-group">
                                             <label for="whyStudyIcon">Icon</label>
                                             <input type="file" class="form-control" name="whyStudyIcon[<?php echo e($index); ?>][]" accept="image/*">
                                             <img src="<?php echo e(asset('storage/' . $whyStudy->image)); ?>" alt="Preview" class="img-preview mt-2" style="width: 20%; height:30%; display: block;">
                                          </div>
                                       </div>
                                       <!-- Heading -->
                                       <div class="col-md-4">
                                          <div class="form-group">
                                             <label for="whyStudyHeading">Heading</label>
                                             <input type="text" class="form-control" name="whyStudyHeading[<?php echo e($index); ?>][]" value="<?php echo e($whyStudy->heading); ?>" placeholder="Enter Heading">
                                          </div>
                                       </div>
                                       <!-- Subheading -->
                                       <div class="col-md-4">
                                          <div class="form-group">
                                             <label for="whyStudySubheading">Subheading</label>
                                             <input type="text" class="form-control" name="whyStudySubheading[<?php echo e($index); ?>][]" value="<?php echo e($whyStudy->sub_heading); ?>" placeholder="Enter Subheading">
                                          </div>
                                       </div>
                                       <!-- Remove Button -->
                                       <div class="col-md-1 d-flex align-items-start">
                                          <button type="button" class="btn btn-danger btn-sm remove-whystudy-row" data-row-id="whyStudyRow<?php echo e($index); ?>">
                                          X
                                          </button>
                                       </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                 </div>
                                 <!-- Add More Button -->
                                 <button class="btn btn-primary mt-3" type="button" id="addWhyStudy">+ Add More</button>
                              </div>
                           </div>
                           
                           <div class="tab-pane fade" id="eligibilityTabContent" role="tabpanel" aria-labelledby="eligibilityTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Eligibility Criteria to Study MBBS in Preferred Country for Indian Students</h5>
                                 <div id="eligibilityContainer">
                                    <div class="row g-3 mt-2">
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label for="eligibilityHeading">Heading</label>
                                             <input type="text" class="form-control" name="eligibilityHeading" value="<?php echo e(old('eligibilityHeading', $countryDetail->eligibilityHeading)); ?>" placeholder="Enter Heading">
                                          </div>
                                       </div>
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label for="eligibilityImage">Image  <i> <b>Please give me  img Size 745*386</b> 
                                             </i></label>
                                             <input type="file" class="form-control" name="eligibilityImage" accept="image/*">
                                             <img src="<?php echo e(old('eligibilityImage', asset('storage/' . $countryDetail->eligibilityImage))); ?>" alt="Preview" class="img-preview mt-2" style="max-width: 20%; height:30%; display: <?php echo e($countryDetail->eligibilityImage ? 'block' : 'none'); ?>;">
                                             <?php $__errorArgs = ['eligibilityImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                             <div class="text-danger"><?php echo e($message); ?></div>
                                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                          </div>
                                       </div>
                                    </div>
                                    <div id="eligibilityContainer">
                                       <div class="form-group">
                                          <label for="eligibilityParagraphs">Eligibility Paragraphs</label>
                                          <!-- Loop through eligibility paragraphs -->
                                          <?php $__currentLoopData = $countryDetail->eligibilityParagraphs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $eligibilityParagraph): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <div class="row align-items-center mb-3" id="eligibilityRow<?php echo e($index); ?>">
                                             <!-- Paragraph Input -->
                                             <div class="col-md-11">
                                                <textarea 
                                                   class="form-control" 
                                                   name="eligibilityParagraph[]" 
                                                   placeholder="Enter paragraph"
                                                   style="padding-top: 10px; padding-bottom: 10px;"
                                                   ><?php echo e(old('eligibilityParagraphs.' . $index, $eligibilityParagraph)); ?></textarea>
                                             </div>
                                             <!-- Remove Button -->
                                             <div class="col-md-1">
                                                <button 
                                                   type="button" 
                                                   class="btn btn-danger btn-sm remove-eligibility-row" 
                                                   data-row-id="eligibilityRow<?php echo e($index); ?>"
                                                   >
                                                X
                                                </button>
                                             </div>
                                          </div>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <button class="btn btn-primary mt-2" type="button" id="addEligibility">+ Add More Paragraph</button>
                           </div>
                           
                           <div class="tab-pane fade" id="admissionTabContent" role="tabpanel" aria-labelledby="admissionTab">
                              <div class="mb-4">
                                 <h5 class="card-title">Admission Process for MBBS in Preferred Country</h5>
                                 <div class="form-group">
                                    <label for="heading">Heading</label>
                                    <input type="text" class="form-control" value="<?php echo e(old('admissionHeading', $countryDetail->admissionHeading)); ?>" name="heading" placeholder="Enter heading">
                                 </div>
                                 <div id="admissionContainer">
                                    <div class="form-group">
                                       <label for="admissionParagraphs">Paragraph</label>
                                       <?php
                                       // Decode the admissionParagraphs if it's not an array
                                       $admissionParagraphs = json_decode($countryDetail->admissionParagraphs, true) ?? [];
                                       ?>
                                       <?php $__currentLoopData = $admissionParagraphs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $admissionParagraph): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <div class="row align-items-center mb-3" id="admissionRow<?php echo e($index); ?>">
                                          <!-- Paragraph Input -->
                                          <div class="col-md-11">
                                             <textarea 
                                                class="form-control" 
                                                name="admission[]" 
                                                placeholder="Enter Paragraph"
                                                value="<?php echo e($admissionParagraph); ?>"
                                                ><?php echo e(old('admissionParagraphs.' . $index, $admissionParagraph)); ?></textarea>
                                          </div>
                                          <!-- Remove Button -->
                                          <div class="col-md-1">
                                             <button 
                                                type="button" 
                                                class="btn btn-danger btn-sm remove-admission-row" 
                                                data-row-id="admissionRow<?php echo e($index); ?>"
                                                >
                                             X
                                             </button>
                                          </div>
                                       </div>
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                 </div>
                                 <button class="btn btn-primary mt-2" type="button" id="addAdmission">+ Add Paragraph</button>
                              </div>
                           </div>
                           <!-- Medium of Teaching Image -->
                           <div class="tab-pane fade" id="mediumTabContent" role="tabpanel" aria-labelledby="mediumTab">
                              <!-- Medium of Teaching Section -->
                              <div class="mb-4">
                                 <h5 class="card-title">Medium of Teaching While Studying MBBS in Preferred Country</h5>
                                 <div id="mediumOfTeachingContainer" class="row g-3 mt-2">
                                    <div class="col-md-12">
                                       <div class="form-group">
                                          <label for="mediumOfTeachingImage">Image</label>
                                          <input 
                                             type="file" 
                                             class="form-control <?php $__errorArgs = ['mediumOfTeachingImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" 
                                             name="mediumOfTeachingImage" 
                                             id="mediumOfTeachingImage"
                                             onchange="previewImage(event)"
                                             >
                                          <img 
                                             src="<?php echo e(isset($countryDetail->mediumOfTeachingImage) ? asset('storage/' . $countryDetail->mediumOfTeachingImage) : ''); ?>" 
                                             alt="Preview" 
                                             class="img-preview mt-2" 
                                             style="width: 50px; height: auto;
                                             display: <?php echo e(isset($countryDetail->mediumOfTeachingImage) ? 'block' : 'none'); ?>;"
                                             >
                                          <?php $__errorArgs = ['mediumOfTeachingImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                          <span class="text-danger"><?php echo e($message); ?></span>
                                          <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       </div>
                                    </div>
                                    
                                    <?php if(!empty($countryDetail->teaching)): ?>
                                    <?php $__currentLoopData = $countryDetail->teaching; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $teaching): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row align-items-center medium-of-teaching-row" id="mediumOfTeachingRow<?php echo e($index); ?>">
                                       <input type="hidden" name="MediumOfTeachingId[<?php echo e($index); ?>][]" value="<?php echo e($teaching->id); ?>">
                                       <!-- Column for Icon -->
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label for="mediumOfTeachingIcon<?php echo e($index); ?>">Icon</label>
                                             <input 
                                                type="file" 
                                                class="form-control" 
                                                name="mediumOfTeachingIcon[<?php echo e($index); ?>][]"  
                                                id="mediumOfTeachingIcon<?php echo e($index); ?>" 
                                                accept="image/*"
                                                >
                                             <?php if($teaching->image): ?>
                                             <img 
                                                src="<?php echo e(asset('storage/' . $teaching->image)); ?>" 
                                                alt="Preview" 
                                                class="img-previ ew mt-2" 
                                                style="width: 50px; height: auto; display: block;"
                                                >
                                             <?php endif; ?>
                                          </div>
                                       </div>
                                       <!-- Column for Paragraph -->
                                       <div class="col-md-5">
                                          <div class="form-group">
                                             <label for="mediumOfTeachingParagraph<?php echo e($index); ?>">Paragraph</label>
                                             <textarea 
                                                class="form-control <?php $__errorArgs = ['mediumOfTeaching.'.$index];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" 
                                                name="mediumOfTeaching[<?php echo e($index); ?>][]" 
                                                id="mediumOfTeachingParagraph<?php echo e($index); ?>" 
                                                placeholder="Enter Paragraph"
                                                rows="4"
                                                ><?php echo e($teaching->paragraph); ?></textarea>
                                             <?php $__errorArgs = ['mediumOfTeaching.'.$index];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                             <span class="text-danger"><?php echo e($message); ?></span>
                                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                          </div>
                                       </div>
                                       <!-- Column for Remove Button -->
                                       <?php if($index != 0): ?>
                                       <div class="col-md-1">
                                          <button 
                                             type="button" 
                                             class="btn btn-danger btn-sm remove-row" 
                                             data-row-id="mediumOfTeachingRow<?php echo e($index); ?>"
                                             >
                                          X
                                          </button>
                                       </div>
                                       <?php endif; ?>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                 </div>
                                 <button class="btn btn-primary mt-3" type="button" id="addMediumOfTeaching">+ Add More</button>
                               
                              </div>
                           </div>
                    
                           <div class="tab-pane fade" id="seo-and-faqsection" role="tabpanel" aria-labelledby="seofaq">
                              <div class="mb-4">
                                 <div id="seo-and-faqsection">
                                     
                                     <h5 class="card-title">SEO Content</h5>
                                     <div class="row mb-3">
                                        <!-- Meta Keywords -->
                                        <div class="col-md-12">
                                           <label for="seoKeywords" class="form-label">SEO Keywords</label>
                                           <input id="seoKeywords" name="seo_keywords" placeholder="Type and press space or enter" class="form-control" style="padding: 10px 15px; height: auto;" value="<?php echo e(old('seo_keywords', $countryDetail->seo_keywords)); ?>" />
                                        </div>
                                        <!-- Meta Title -->
                                        <div class="col-md-6 mt-3">
                                           <label for="seo_title" class="form-label">Meta Title:</label>
                                           <input type="text" class="form-control <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_title" name="seo_title" placeholder="Enter SEO Title" required value="<?php echo e(old('seo_title', $countryDetail->seo_title)); ?>">
                                           <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                           <div class="invalid-feedback"><?php echo e($message); ?></div>
                                           <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                        <!-- Meta Description -->
                                        <div class="col-md-6 mt-3">
                                           <label for="seo_description" class="form-label">Meta Description:</label>
                                           <textarea class="form-control <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_description" name="seo_description" rows="4" placeholder="Enter SEO Description" required><?php echo e(old('seo_description', $countryDetail->seo_description)); ?></textarea>
                                           <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                           <div class="invalid-feedback"><?php echo e($message); ?></div>
                                           <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                     </div>
                
                                     <h5 class="card-title">FAQ Section</h5>
                                       
                                     <div class="faq-container">
                                      <?php $__currentLoopData = $countryDetail->faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                      <div class="row mb-3 faq-item">
                                          <!-- Question Field -->
                                          <div class="col-md-5">
                                              <label for="question" class="form-label">FAQ Question</label>
                                              <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" value="<?php echo e(old('faqs.question', $faq['question'] ?? '')); ?>" required>
                                          </div>
                                          
                                          <!-- Answer Field -->
                                          <div class="col-md-6">
                                              <label for="answer" class="form-label">FAQ Answer</label>
                                              <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required><?php echo e(old('faqs.answer', $faq['answer'] ?? '')); ?></textarea>
                                          </div>
                                          
                                          <!-- Delete Button (X) -->
                                          <div class="col-md-1">
                                              <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
                                          </div>
                                      </div>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                      
                                  </div>
                                  <button type="button" class="btn btn-success" id="add-faq-btn">Add FAQ</button>
                                  <div class="m-3">
                                    <div class="d-flex justify-content-center">
                                       <button type="submit" class="btn btn-success">Updated</button>
                                   </div>
                                                                    </div>
                                 </div>
                                 
                              </div>
                           </div>
                           
                        </div>
                     </div>
                     <div class="d-flex justify-content-between mt-4">
                        <button type="button" class="btn btn-secondary" id="prevButton" style="display: none;">Previous</button>
                        <button type="button" class="btn btn-primary" id="nextButton">Next</button>
                    </div>
                    
               </div>
            </div>
            </form>

           
         </div>
      </div>
      </div>
      </div>
   </section>
</main>
<script>
   document.addEventListener('DOMContentLoaded', function () {
       // Add event listener for remove buttons
       document.querySelectorAll('.remove-row').forEach(function (button) {
           button.addEventListener('click', function () {
               const rowId = this.getAttribute('data-row-id'); // Get the row ID
               const row = document.getElementById(rowId); // Select the row element
               
               if (row) {
                   row.remove(); // Remove the row from the DOM
               }
           });
       });
   });
   
   document.addEventListener('DOMContentLoaded', function () {
        // Add event listener to remove buttons
        document.querySelectorAll('.remove-admission-row').forEach(function (button) {
            button.addEventListener('click', function () {
                const rowId = this.getAttribute('data-row-id'); // Get the row ID
                const row = document.getElementById(rowId); // Find the row element
                
                if (row) {
                    row.remove(); // Remove the row from the DOM
                }
            });
        });
    });
   
    document.addEventListener('DOMContentLoaded', function () {
        // Add event listener to remove buttons
        document.querySelectorAll('.remove-eligibility-row').forEach(function (button) {
            button.addEventListener('click', function () {
                const rowId = this.getAttribute('data-row-id'); // Get the row ID
                const row = document.getElementById(rowId); // Find the row element
                
                if (row) {
                    row.remove(); // Remove the row from the DOM
                }
            });
        });
    });
   
    document.addEventListener('DOMContentLoaded', function () {
        // Add event listener to remove buttons
        document.querySelectorAll('.remove-whystudy-row').forEach(function (button) {
            button.addEventListener('click', function () {
                const rowId = this.getAttribute('data-row-id'); // Get the row ID
                const row = document.getElementById(rowId); // Find the row element
                
                if (row) {
                    row.remove(); // Remove the row from the DOM
                }
            });
        });
    });
   
   
    document.addEventListener("DOMContentLoaded", function() {
    // Event listener for remove button (X)
    document.querySelectorAll('.remove-fastfact-row').forEach(function(button) {
        button.addEventListener('click', function() {
            var rowId = button.getAttribute('data-row-id');  // Get the target row ID
            var row = document.getElementById(rowId);  // Get the row element by ID
            if (row) {
                row.remove();  // Remove the entire row (including all columns)
            }
        });
    });
   });
   
   
   $(document).ready(function() {
        // When the remove button is clicked
        $(document).on('click', '.removeParagraphBtn', function() {
            var key = $(this).data('id'); // Get the index of the overview paragraph
            // Remove the parent div (the whole row containing textarea and button)
            $('#overviewParagraph' + key).remove();
        });
    });
   
   
</script>
<script>
   $(document).ready(function () {
   // Add Fast Fact
   var i = <?php echo e(count($countryDetail->fastFact)); ?>

   $('#addFastFact').click(function (e) {
       i++
       e.preventDefault();
       $('#fastFactContainer').append(`
           <div class="row g-3 mt-2">
               <div class="col-md-4">
                   <input type="file" class="form-control fastFactIconInput" name="fastFactIcon[${i}][]" accept="image/*">
                   <img src="" alt="Preview" class="img-preview mt-2" style="width: 50px; height:auto; display: none;">
               </div>
               <div class="col-md-4">
                   <input type="text" class="form-control" name="fastFactHeading[${i}][]" placeholder="Enter Heading">
               </div>
               <div class="col-md-3">
                   <input type="text" class="form-control" name="fastFactSubheading[${i}][]" placeholder="Enter Subheading">
               </div>
               <div class="col-md-1">
                   <button class="btn btn-danger removeField">x</button>
               </div>
           </div>
       `);
   });
   
   
   // Add Overview
   $('#addOverview').click(function (e) {
    e.preventDefault();
    
    // Append new paragraph row with remove button
    $('#overviewContainer').append(`
        <div class="row g-3 mt-2">
            <div class="col-md-11 form-group">
                <textarea class="form-control" name="overview[]" placeholder="Enter Paragraph"></textarea>
            </div>
            <div class="col-md-1">
                <button class="btn btn-danger removeField">x</button>
            </div>
        </div>
    `);
   });
   
   // Remove Overview Paragraph
   $(document).on('click', '.removeField', function() {
    $(this).closest('.row').remove();
   });
   
   
   
   // Add Why Study
   var a = <?php echo e(count($countryDetail->whyStudy)); ?>

   $('#addWhyStudy').click(function (e) {
      a++;
       e.preventDefault();
       $('#whyStudyContainer').append(`
           <div class="row g-3 mt-2">
               <div class="col-md-4">
                   <input type="file" class="form-control whyStudyIconInput" name="whyStudyIcon[${a}][]" accept="image/*">
                   <img src="" alt="Preview" class="img-preview mt-2" style="width: 50px; height:auto; display: none;">
               </div>
               <div class="col-md-4">
                   <input type="text" class="form-control" name="whyStudyHeading[${a}][]" placeholder="Enter Heading">
               </div>
               <div class="col-md-3">
                   <input type="text" class="form-control" name="whyStudySubheading[${a}][]" placeholder="Enter Subheading">
               </div>
               <div class="col-md-1">
                   <button class="btn btn-danger removeField">x</button>
               </div>
           </div>
       `);
   });
   
   // Add Eligibility Paragraphs
   $('#addEligibility').click(function (e) {
       e.preventDefault();
       $('#eligibilityContainer').append(`
           <div class="row g-3 mt-2">
               <div class="col-md-11">
                   <textarea class="form-control" name="eligibilityParagraph[]" placeholder="Enter Paragraph"></textarea>
               </div>
               <div class="col-md-1">
                   <button class="btn btn-danger removeField">x</button>
               </div>
           </div>
       `);
   });
   
   // Add Admission Paragraphs
   $('#addAdmission').click(function (e) {
       e.preventDefault();
       $('#admissionContainer').append(`
           <div class="row g-3 mt-2">
               <div class="col-md-11 form-group">
                   <textarea class="form-control" name="admission[]" placeholder="Enter Paragraph"></textarea>
               </div>
               <div class="col-md-1">
                   <button class="btn btn-danger removeField">x</button>
               </div>
           </div> 
       `);
   });
   
   // Add Medium of Teaching Paragraphs
   var t = <?php echo e(count($countryDetail->teaching)); ?>

   $('#addMediumOfTeaching').click(function (e) {
      t++;
       e.preventDefault();
       $('#mediumOfTeachingContainer').append(`
           <div class="row g-3 mt-2">
               <div class="col-md-6">
                   <input type="file" class="form-control mediumOfTeachingIconInput" name="mediumOfTeachingIcon[${t}][]" accept="ima   ge/*">
                   <img src="" alt="Preview" class="img-preview mt-2" style="width: 50px; height:auto; display: none;">
               </div>
               <div class="col-md-5">
                   <textarea class="form-control" name="mediumOfTeaching[${t}][]" placeholder="Enter Paragraph"></textarea>
               </div>
               <div class="col-md-1">
                   <button class="btn btn-danger removeField">x</button>
               </div>
           </div>
       `);
   });
   
   // Remove Fields
   $(document).on('click', '.removeField', function () {
       $(this).closest('.row').remove();
   });
   
   // Preview image on file input change
   $(document).on('change', 'input[type="file"]', function () {
       const file = this.files[0];
       if (file) {
           const reader = new FileReader();
           reader.onload = (e) => {
               $(this).next('.img-preview').attr('src', e.target.result).show();
           };
           reader.readAsDataURL(file);
       }
   });
   
   // Form submission
   $('#submitForm').click(function (e) {
       e.preventDefault();
   
       // Validate that each section has data before submission
       // Fast Fact validation
       $('input[name="fastFactHeading[]"]').each(function () {
           if ($(this).val() === "" || $(this).closest('.row').find('input[type="file"]').val() === "") {
               $(this).closest('.row').remove(); // Remove rows with empty data
           }
       });
   
       // Repeat the above validation process for other sections like `overview[]`, `whyStudy[]`, etc.
   
       // Submit the form
       $('form').submit();
   });
   });
   
</script>




<script>
   let currentTab = 0; // Set the default tab to the first tab (index 0)

   // Function to show the current tab
   function showTab(n) {
       let tabs = document.querySelectorAll(".tab-pane"); // Get all tab content
       let navLinks = document.querySelectorAll(".nav-tabs .nav-link"); // Get all nav links

       // Hide all tabs and remove active class from nav links
       tabs.forEach(tab => tab.classList.remove('show', 'active'));
       navLinks.forEach(link => link.classList.remove('active'));

       // Show the current tab and set its corresponding nav link to active
       tabs[n].classList.add('show', 'active');
       navLinks[n].classList.add('active');

       // Handle Previous and Next button visibility
       document.querySelector("#prevButton").style.display = n === 0 ? "none" : "inline-block";
       document.querySelector("#nextButton").style.display = n === tabs.length - 1 ? "none" : "inline-block";
   }

   // Function to go to the next tab
   function nextTab() {
       let tabs = document.querySelectorAll(".tab-pane");
       if (currentTab < tabs.length - 1) {
           currentTab++;
           showTab(currentTab);
       }
   }

   // Function to go to the previous tab
   function prevTab() {
       if (currentTab > 0) {
           currentTab--;
           showTab(currentTab);
       }
   }

   // Event listener for the Next button
   document.querySelector("#nextButton").addEventListener('click', nextTab);

   // Event listener for the Previous button
   document.querySelector("#prevButton").addEventListener('click', prevTab);

   // Initialize the first tab
   showTab(currentTab);
</script>







<!-- Include Tagify Script -->
<script src="https://cdn.jsdelivr.net/npm/@yaireo/tagify"></script>
<script>
   // The DOM element you wish to replace with Tagify
   var input = document.querySelector('#seoKeywords');
   
   // Initialize Tagify on the input element
   new Tagify(input, {
       enforceWhitelist: false, // Allow any value to be added
       delimiters: ", ", // Tag creation on space or enter
       dropdown: {
           enabled: 0, // Disable dropdown suggestions
       },
       maxTags: Infinity, // Allow unlimited tags
   });
   
   // Adjust CSS for center-aligned tags and balanced padding
   document.querySelector('.tagify').style.cssText += `
       display: flex;
       align-items: center; /* Center-align tags vertically */
       flex-wrap: wrap; /* Enable wrapping of tags */
       min-height: 50px; /* Maintain a minimum height */
       padding: 8px 12px; /* Balanced padding */
       box-sizing: border-box; /* Include padding in height */
   `;
   
   document.querySelector('.tagify__input').style.cssText += `
       margin-top: 0; /* Remove extra top margin */
   `;
</script>


<script>
   // Add new FAQ item
document.getElementById('add-faq-btn').addEventListener('click', function () {
   const faqContainer = document.querySelector('.faq-container');
   const newFaqItem = document.createElement('div');
   newFaqItem.classList.add('row', 'mb-3', 'faq-item');
   newFaqItem.innerHTML = `
       <div class="col-md-5">
           <label for="question" class="form-label">FAQ Question</label>
           <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" required>
       </div>
       <div class="col-md-6">
           <label for="answer" class="form-label">FAQ Answer</label>
           <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required></textarea>
       </div>
       <div class="col-md-1">
           <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
       </div>
   `;
   faqContainer.appendChild(newFaqItem);
});

// Delete FAQ item
document.querySelector('.faq-container').addEventListener('click', function (e) {
   if (e.target && e.target.classList.contains('delete-faq-btn')) {
       e.target.closest('.faq-item').remove();
   }
});

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/backend/admin/country_universities_details/edit.blade.php ENDPATH**/ ?>