

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1>Guide Every Step</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item">Guide Every Step</li>
                    <li class="breadcrumb-item active">Index</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="<?php echo e(route('guide_every_step.create')); ?>" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Guide Every Step
            </a>
        </div>
    </div>

    <!-- Success and Error Alerts -->
    <?php if(session('success')): ?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        <?php echo e(session('success')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>
    <?php if(session('error')): ?>
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <?php echo e(session('error')); ?>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php endif; ?>

    <div class="card-body">
        <table class="table table datatable">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Background Image</th>
                    <th>Heading</th>
                    <th>Slug</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $steps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $step): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($loop->iteration); ?></td>
                    <td>
                        <img src="<?php echo e(asset('storage/' . $step->background_image)); ?>" style="width: 100px; height: 100px; border-radius: 50%; object-fit: cover;">
                    </td>
                    <td><?php echo e($step->heading); ?></td>
                    <td><?php echo e($step->slug); ?></td>

                    <td>
                        <!-- View Icon -->
                        <a href="#" class="text-info" data-bs-toggle="modal" data-bs-target="#viewModal-<?php echo e($step->id); ?>" style="font-size: 24px; margin-right: 10px;">
                            <i class='bx bx-show' style='color:#009ef7; font-size:24px;'></i>
                        </a>

                        <!-- Edit Icon -->
                        <a href="<?php echo e(route('guide_every_step.edit', $step->id)); ?>" class="text-warning" style="font-size: 24px; margin-right: 10px;">
                            <i class='bx bx-edit' style='color:#29e718; font-size:24px;'></i>
                        </a>

                        <!-- Delete Icon -->
                        <form action="<?php echo e(route('guide_every_step.destroy', $step->id)); ?>" method="POST" style="display:inline;" onsubmit="return confirm('Are you sure you want to delete this guide?');">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button type="submit" class="btn btn-link text-danger" style="border: none; background: none;">
                                <i class='bx bx-trash' style='color:red; font-size:24px;'></i>
                            </button>
                        </form>
                    </td>
                </tr>

                <!-- Modal -->
                <div class="modal fade" id="viewModal-<?php echo e($step->id); ?>" tabindex="-1" aria-labelledby="viewModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header bg-gradient-info text-white">
                                <h5 class="modal-title" id="viewModalLabel" style="color: black"> Guide Every Step Details</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h5 class="mb-3"><strong>Heading:</strong></h5>
                                        <p class="font-weight-bold" style="font-size: 1.2rem; color: #333;"><?php echo e($step->heading); ?></p>
                                    </div>
                                    <div class="col-md-6">
                                        <h5 class="mb-3"><strong>Background Image:</strong></h5>
                                        <img src="<?php echo e(asset('storage/'.$step->background_image)); ?>" alt="Image" class="img-fluid rounded shadow-sm" style="object-fit: cover;">
                                    </div>
                                </div>
                                <hr>
                                <h5><strong>Slug:</strong></h5>
                                <p><?php echo e($step->slug); ?></p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Modal -->
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>
</section>
</main>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/GuideEveryStep/index.blade.php ENDPATH**/ ?>