

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

    <div class="pagetitle-container">
        <div class="pagetitle float-left">
            <h1>FAQs</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">FAQs</li>
                </ol>
            </nav>
        </div>
        <div class="button-container float-right">
            <a href="<?php echo e(route('faq.create')); ?>" class="btn-add-university">
                <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add FAQ
            </a>
        </div>
    </div>

   <!-- Success and Error Alerts -->
<?php if(session('success')): ?>
<div class="alert alert-success alert-dismissible fade show" role="alert">
    <?php echo e(session('success')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>

    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <!-- Table with stripped rows -->
                        <table class="table datatable">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Question</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($faq->id); ?></td>
                                        <td><?php echo e($faq->question); ?></td>
                                        <td>
                                            <a href="#" class="text-info" data-bs-toggle="modal" data-bs-target="#viewModal-<?php echo e($faq->id); ?>" style="font-size: 24px; margin-right: 10px;">
                                                <i class='bx bx-show' style='color:#009ef7; font-size:24px;'></i>
                                                </a>
                                            <!-- Edit Icon -->
                                            <a href="<?php echo e(route('faq.edit', $faq->id)); ?>" class="text-warning" style="font-size: 24px; margin-right: 10px;">
                                                <i class='bx bx-edit' style='color:#29e718; font-size:24px;'></i>
                                            </a>
                                            
                                            <!-- Delete Icon -->
                                            <form action="<?php echo e(route('faq.destroy', $faq->id)); ?>" method="POST" style="display:inline;" onsubmit="return confirm('Are you sure you want to delete this FAQ?');">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-link text-danger" style="border: none; background: none;">
                                                    <i class='bx bx-trash' style='color:red; font-size:24px;'></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>

                                    <div class="modal fade" id="viewModal-<?php echo e($faq->id); ?>" tabindex="-1" aria-labelledby="viewModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                           <div class="modal-content">
                                              <div class="modal-header bg-gradient-info text-white">
                                                 <h5 class="modal-title" id="viewModalLabel" style="color: black;">FAQ Details</h5>
                                                 <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                              </div>
                                              <div class="modal-body">
                                                 <div class="row">
                                                    <div class="col-md-12">
                                                       <h5><strong>Question:</strong></h5>
                                                       <p><?php echo e($faq->question); ?></p>
                                                    </div>
                                                    <div class="col-md-12">
                                                       <h5><strong>Answer:</strong></h5>
                                                       <p> 
                                                        <?php echo Str::limit(strip_tags($faq->answer), 200); ?>

                                                    </p>
                                                    </div>
                                                   
                                                   
                                              </div>
                                              <div class="modal-footer">
                                                 <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Close</button>
                                              </div>
                                           </div>
                                        </div>
                                     </div>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>




                            </tbody>
                        </table>
                        <!-- End Table with stripped rows -->
                    </div>
                </div>
            </div>
        </div>
    </section>

</main><!-- End #main -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/faq/index.blade.php ENDPATH**/ ?>