

<?php $__env->startSection('content'); ?>
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Investors List</h5>

                        <a href="<?php echo e(route('investor-contents.create')); ?>" class="btn btn-primary mb-3">Add Investor Content</a>

                        <?php if(session('success')): ?>
                            <div class="alert alert-success"><?php echo e(session('success')); ?></div>
                        <?php endif; ?>

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Category</th>
                                    <th>Subcategory</th>
                                    <th>Type</th>
                                    <th>Title</th>
                                    <th>PDF/Text</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $investorContents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($content->id); ?></td>
                                    <td><?php echo e($content->category->category); ?></td>
                                    <td><?php echo e(optional($content->subcategory)->category); ?></td>
                                    <td><?php echo e(ucfirst($content->type)); ?></td>
                                    <td><?php echo e($content->title); ?></td>
                                    <td>
                                        <?php if($content->type == 'pdf' && $content->pdf): ?>
                                            <a href="<?php echo e(asset('storage/' . $content->pdf)); ?>" target="_blank" class="btn btn-info">View PDF</a>
                                        <?php elseif($content->type == 'text'): ?>
                                            <?php echo e(Str::limit($content->content, 50)); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('investor-contents.edit', $content->id)); ?>" class="btn btn-warning">Edit</a>
                                        <form action="<?php echo e(route('investor-contents.destroy', $content->id)); ?>" method="POST" style="display:inline;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/persistentcoin/public_html/armour/resources/views/backend/admin/investor_content/index.blade.php ENDPATH**/ ?>