
<?php $__env->startSection('title', 'Page Title'); ?>
<?php $__env->startSection('content'); ?>
    <!-- Swiper CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css">
    <?php
        use App\Models\CountryUniversitiesDetail;
        use Illuminate\Support\Str;
    ?>
    <!--================End Home Banner Area =================-->
    <style>
        .university-img img {
            width: 100%;
            max-width: 1000px;
            /* Adjust max width as needed */
            height: auto;
            display: block;
            margin: 0 auto;
            /* Center the image */
        }

        .post_item {
            text-decoration: none;
            display: flex;
            align-items: center;
            margin-bottom: 10px;
            color: inherit;
            /* Ensures text color remains unchanged */
        }

        .post_item:hover h4 {
            text-decoration: underline;
            color: #007bff;
            /* Optional: Add hover color for the title */
        }
    </style>
    <!--================Blog Area =================-->
    <section class="banner_area">
        <div class="banner_inner d-flex align-items-center">
            <div class="overlay2 bg-parallax" data-stellar-ratio="0.9" data-stellar-vertical-offset="0" data-background="">
            </div>
            <div class="container">
                <div class="banner_content text-center">
                    <h2>University-Details</h2>
                    <div class="page_link">
                        <p style="color: white;"><?php echo e($university->university_name); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="custom-section">
        <div class="container mt-4">
            <!-- Navigation -->
            <ul class="nav nav-pills justify-content-center custom-nav" id="nav-pills" style="gap: 20px;">
                <li class="nav-item">
                    <a class="nav-link" href="#University-details">University Details</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#University-Brochure">University Brochure
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#University-Video">University Video
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#University-Gallery">University Gallery
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#FAQ">FAQ</a>
                </li>
            </ul>
        </div>
    </section>
    <section class="blog_area single-post-area p_120" id="University-details">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 posts-list">
                    <div class="single-post row">
                        <h2 class="fw-bold mb-3"><?php echo e($university->university_name); ?></h2>
                        <div class="col-lg-12">
                            <div class="university-img">
                                <img class="img1212" src="<?php echo e(asset('storage/' . $university->image)); ?>"
                                    alt="University Image">
                            </div>
                        </div>
                        <div class="col-lg-12 col-md-9 blog_details">
                            <p class="excert">
                                <?php echo $university->content; ?> <!-- You can add a description field in your database -->
                            </p>
                        </div>
                        
                    </div>
                    
                </div>
                <div class="col-lg-4">
                    <div class="blog_right_sidebar">
                        <aside class="single_sidebar_widget popular_post_widget">
                            <h3 class="widget_title">University Details</h3>
                            <img src="<?php echo e(asset('storage/' . $university->university_logo)); ?>"
                                style= "margin-left: 50px;  margin-bottom: 26px; width: 50%; height: 50%; border-radius: 60%; object-fit: cover;">
                            <ul class="list-group mb-4">
                                <li class="list-group-item"><strong>University Name:</strong>
                                    <?php echo e($university->university_name); ?></li>
                                <li class="list-group-item"><strong>Established:</strong> <?php echo e($university->established); ?>

                                </li>
                                <li class="list-group-item"><strong>Ownership:</strong> <?php echo e($university->ownership); ?></li>
                                <li class="list-group-item"
                                    style="color: <?php echo e($university->mci_status == 'Approved' ? 'green' : 'red'); ?>"><strong>MCI
                                        Status:</strong> <?php echo e($university->mci_status); ?> </li>
                                <li class="list-group-item"><strong>Official website:</strong>
                                    <?php echo e($university->official_website); ?></li>
                            </ul>
                        </aside>
                        <aside class="single_sidebar_widget popular_post_widget">
                            <h3 class="widget_title">All Courses</h3>
                            <?php if($selectedCourses->count() > 0): ?>
                                <?php $__currentLoopData = $selectedCourses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="media post_item">
                                        <img class="img-222" src="<?php echo e(asset('storage/' . $course->featured_image)); ?>"
                                            alt="Course Image" width="30%">
                                        <div class="media-body ml-3">
                                            <a
                                                href="<?php echo e(url('course-details/' . $universityCountryName . '/' . $university->slug . '/' . $course->slug)); ?>">
                                                <div class="media-body">
                                                    <h4 class="mb-1"
                                                        style="font-size: 14px; font-weight: bold; color: #000;">
                                                        <?php echo e($course->course_name); ?>

                                                    </h4>
                                                    <p class="text-muted mb-0" style="font-size: 12px;">
                                                        <?php echo e($course->department); ?>

                                                    </p>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <p>No courses found for this university.</p>
                            <?php endif; ?>
                        </aside>
                        
                        <!-- Add other widgets like Popular posts, Ads etc. as needed -->
                        <aside class="single_sidebar_widget popular_post_widget">
                            <h3 class="widget_title">Top Universities</h3>
                            <?php $__currentLoopData = $universities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $university): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    //  dd($university->country_reference_id);
                                    $country = CountryUniversitiesDetail::where(
                                        'id',
                                        $university->country_reference_id,
                                    )->first();
                                    $countryOldName = strtolower($country->country_name);
                                    $countryName = Str::slug($countryOldName, '-');
                                ?>
                                <div class="media post_item">
                                    <img class="img-222" src="<?php echo e(asset('storage/' . $university->image)); ?>"
                                        alt="University Image" width="50%">
                                    <div class="media-body ml-3">
                                        <a href="<?php echo e(url($countryName . '/university-details/' . $university->slug)); ?>">
                                            <div class="media-body ml-2">
                                                <h4 class="mb-1" style="font-size: 14px; font-weight: bold; color: #000;">
                                                    <?php echo e($university->university_name); ?>

                                                </h4>
                                        </a>
                                        <p class="text-muted mb-0" style="font-size: 12px;">
                                            <?php echo e($university->created_at->diffForHumans()); ?>

                                        </p>
                                    </div>
                                </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <div class="view-all-blogs mt-3 text-center">
                        <a class="main_btn55" href="/">View All University</a>
                    </div>
                    </aside>
                    
                </div>
            </div>
        </div>
        </div>
    </section>
    <!-- Download University Brochure Section -->
    <section class="blogarea bg-light py-5" id="University-Brochure">
        <div class="container">
            <div class="main-tag222">
                <div class="heading1">Download Our University Brochure</div>
                <p class="layoutarea1">Get all the details about our courses, campus facilities, and admission process in
                    one place.</p>
            </div>
            
            <div class="row align-items-center">
                <div class="col-md-6">
                    <img src="<?php echo e(asset('frontend/assets/img/brochure1.png')); ?>" class="img-fluid rounded"
                        alt="University Brochure">
                </div>
                <div class="col-md-6">
                    <h5 class="mb-3">Why Download the Brochure?</h5>
                    <ul class="list-unstyled">
                        <li><i class="bi bi-check-circle text-primary"></i> Complete course details</li>
                        <li><i class="bi bi-check-circle text-primary"></i> Admission process & requirements</li>
                        <li><i class="bi bi-check-circle text-primary"></i> Campus facilities overview</li>
                        <li><i class="bi bi-check-circle text-primary"></i> Scholarship & fee structure</li>
                    </ul>
                    <a href="<?php echo e(asset('storage/' . $university->brochure)); ?>" class="btn btn-primary mt-3" download>
                        <i class="bi bi-download"></i> Download Brochure
                    </a>
                    
                </div>
            </div>
        </div>
    </section>
    
    <!-- University Video Section -->
    <!-- University Video Section -->
    <section class="blogarea bg-light py-5" id="University-Video">
        <div class="container">
            <div class="main-tag222">
                <div class="heading1">University Videos</div>
                <p class="layoutarea1">Explore our university through these video tours.</p>
            </div>
            <div class="video-carousel-container">
                <button class="custom-prev"><i class="fas fa-chevron-left"></i></button>
                <div class="owl-carousel video-carousel owl-theme">
                    <?php if(isset($university->video_urls) && !empty($university->video_urls)): ?>
                        <?php $__currentLoopData = json_decode($university->video_urls); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video_url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="item">
                                <div class="ratio ratio-16x9">
                                    <iframe src="<?php echo e($video_url); ?>" title="University Video"
                                        allow="autoplay; encrypted-media" allowfullscreen></iframe>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </div>
                <button class="custom-next"><i class="fas fa-chevron-right"></i></button>
            </div>
        </div>
    </section>
    <!-- Owl Carousel Script -->
    <script>
        $(document).ready(function() {
            var owl = $(".video-carousel").owlCarousel({
                items: 1, // Ek baar me ek video dikhega
                loop: true,
                margin: 10,
                nav: false, // Default nav disable kar diya hai, custom buttons ke liye
                dots: true,
                autoplay: false,
                responsive: {
                    0: {
                        items: 1
                    },
                    600: {
                        items: 1
                    },
                    1000: {
                        items: 1
                    }
                }
            });

            // Custom Next & Prev Button Actions
            $(".custom-next").click(function() {
                owl.trigger('next.owl.carousel');
            });

            $(".custom-prev").click(function() {
                owl.trigger('prev.owl.carousel');
            });
        });
    </script>
    <!-- Custom CSS -->
    <style>
        .video-carousel-container {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .custom-prev,
        .custom-next {
            background-color: #007bff;
            color: white;
            border: none;
            padding: 10px 15px;
            cursor: pointer;
            font-size: 20px;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            z-index: 1000;
            border-radius: 50%;
            transition: 0.3s;
        }

        .custom-prev {
            left: -50px;
        }

        .custom-next {
            right: -50px;
        }

        .custom-prev:hover,
        .custom-next:hover {
            background-color: #0056b3;
        }
    </style>
    <!-- University Gallery Section -->
    <!-- University Gallery Section -->
    <section class="blogarea bg-light py-5" id="University-Gallery">
        <div class="container">
            <div class="main-tag222">
                <div class="heading1">University Gallery</div>
                <p class="layoutarea1">Take a look at our campus, facilities, and student life.</p>
            </div>
            <!-- Gallery Grid -->
            <div class="swiper mySwiper">
                <div class="swiper-wrapper">
                    <?php if(!empty($galleryImages) && is_array($galleryImages)): ?>
                        <?php $__currentLoopData = $galleryImages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="swiper-slide">
                                <a href="#" class="d-block mb-4 h-100">
                                    <img class="img-fluid img-thumbnail" src="<?php echo e(asset('storage/' . $image)); ?>"
                                        alt="Gallery Image <?php echo e($index + 1); ?>">
                                </a>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <p class="text-center">No images available in the gallery.</p>
                    <?php endif; ?>
                </div>
                <!-- Swiper Pagination & Navigation -->
                <div class="swiper-pagination"></div>
                <div class="swiper-button-next"></div>
                <div class="swiper-button-prev"></div>
            </div>
        </div>
    </section>
    <section class="blogarea bg-light py-5" id="FAQ">
        <div class="container">
            <!-- Section Title -->
            <div class="main-tag222">
                <div class="heading1">Frequently Asked Questions</div>
                <p class="layoutarea1">Commonly Asked Questions</p>
            </div>
            <div class="accordion" id="accordionExample">
                <?php $__currentLoopData = $universityFaqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="accordion-item">
                        <h2 class="accordion-header" id="heading<?php echo e($index); ?>">
                            <button class="accordion-button <?php echo e($loop->first ? '' : 'collapsed'); ?>" type="button"
                                data-bs-toggle="collapse" data-bs-target="#collapse<?php echo e($index); ?>"
                                aria-expanded="<?php echo e($loop->first ? 'true' : 'false'); ?>"
                                aria-controls="collapse<?php echo e($index); ?>">
                                <div class="main">
                                    <?php echo e($faq['question']); ?>

                                </div>
                            </button>
                        </h2>
                        <div id="collapse<?php echo e($index); ?>"
                            class="accordion-collapse collapse <?php echo e($loop->first ? 'show' : ''); ?>"
                            aria-labelledby="heading<?php echo e($index); ?>" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                                <?php echo $faq['answer']; ?>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <script>
        document.getElementById('toggle-button').addEventListener('click', function() {
            // Get all course items
            const courses = document.querySelectorAll('.course-item');
            const button = this;

            // Toggle visibility of hidden courses
            courses.forEach((course, index) => {
                if (index >= 3) {
                    course.style.display = course.style.display === 'none' ? 'flex' : 'none';
                }
            });

            // Change button text
            button.textContent = button.textContent === 'View All Courses' ? 'Show Less' : 'View All Courses';
        });
    </script>
    <!-- Swiper JS -->
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
    <script>
        var swiper = new Swiper(".mySwiper", {
            slidesPerView: 4, // Default: 4 slides on desktop
            spaceBetween: 10,
            loop: true,
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                1024: {
                    slidesPerView: 4
                }, // 3 slides for tablets (768px - 1024px)
                768: {
                    slidesPerView: 2
                }, // 2 slides for smaller tablets (768px)
                290: {
                    slidesPerView: 1
                } // 1 slide for mobile (480px and below)
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/frontend/frontendpages/university-details.blade.php ENDPATH**/ ?>