
<?php $__env->startSection('content'); ?>
<main id="main" class="main">
   <!-- Courses Section -->
   <div class="pagetitle-container">
      <div class="pagetitle float-left">
         <h1>Courses</h1>
         <nav>
            <ol class="breadcrumb">
               <li class="breadcrumb-item"><a href="index.html">Home</a></li>
               <li class="breadcrumb-item">Courses</li>
               <li class="breadcrumb-item active">Index</li>
            </ol>
         </nav>
      </div>
      <div class="button-container float-right">
         <a href="<?php echo e(route('admin.courses.add')); ?>" class="btn-add-university">
         <i class='bx bx-add-to-queue' style="font-size: 24px;"></i> Add Course
         </a>
      </div>
   </div>
   <!-- Success and Error Alerts for Courses -->
   <?php if(session('success')): ?>
   <div class="alert alert-success alert-dismissible fade show" role="alert">
      <?php echo e(session('success')); ?>

      <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
   </div>
   <?php endif; ?>
   <?php if(session('error')): ?>
   <div class="alert alert-danger alert-dismissible fade show" role="alert">
      <?php echo e(session('error')); ?>

      <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
   </div>
   <?php endif; ?>
   <section class="section">
      <div class="row">
         <div class="col-lg-12">
            <div class="card">
               <div class="card-body">
                  <h5 class="card-title"> Courses</h5>
                  <table class="table table datatable">
                     <thead>
                        <tr>
                           <th>#</th>
                           <th>Course Image</th>
                           <th>Course Name</th>
                           <th>Department</th>
                           <th>Status</th>
                           <th>Actions</th>
                        </tr>
                     </thead>
                     <tbody>
                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                           <td><?php echo e($loop->iteration); ?></td>
                           <td>
                              <!-- Course Image with Rounded Corners -->
                              <img src="<?php echo e(asset('storage/' . $course->featured_image)); ?>" class="img-fluid" style="width: 50px; height: 50px; border-radius: 50%; object-fit: cover;"/>
                           </td>
                           <td><?php echo e($course->course_name); ?></td>
                           <td><?php echo e($course->department); ?></td>
                           <td>
                              <!-- Status Button with Color Change -->
                              <form action="<?php echo e(route('admin.courses.updateStatus', $course->id)); ?>" method="POST" style="display:inline;">
                                 <?php echo csrf_field(); ?>
                                 <?php echo method_field('PUT'); ?>
                                 <!-- Button for Active/Inactive Status -->
                                 <button type="submit" class="btn btn-sm" style="border: none; background: none; padding: 5px 10px;">
                                 <?php if($course->status == 'active'): ?>
                                 <span class="badge bg-success">Active</span>
                                 <?php else: ?>
                                 <span class="badge bg-danger">Inactive</span>
                                 <?php endif; ?>
                                 </button>
                              </form>
                           </td>
                           <td>
                              <!-- View Icon -->
                              <a href="#" class="text-info" data-bs-toggle="modal" data-bs-target="#viewModal-<?php echo e($course->id); ?>" style="font-size: 24px; margin-right: 10px;">
                              <i class='bx bx-show' style='color:#009ef7; font-size:24px;'></i>
                              </a>
                              <!-- Edit Icon -->
                              <a href="<?php echo e(route('admin.courses.edit', $course->id)); ?>" class="text-warning" style="font-size: 24px; margin-right: 10px;">
                              <i class='bx bx-edit' style='color:#29e718; font-size:24px;'></i>
                              </a>
                              <!-- Delete Icon -->
                              <form action="<?php echo e(route('admin.courses.delete', $course->id)); ?>" method="POST" style="display:inline;" onsubmit="return confirm('Are you sure?')">
                                 <?php echo csrf_field(); ?>
                                 <?php echo method_field('DELETE'); ?>
                                 <button type="submit" class="btn btn-link text-danger" style="border: none; background: none;">
                                 <i class='bx bx-trash' style='color:red; font-size:24px;'></i>
                                 </button>
                              </form>
                           </td>
                        </tr>
                        <!-- Modal for Viewing Course Details -->
                        <!-- Modal for Viewing Course Details -->
                        <div class="modal fade" id="viewModal-<?php echo e($course->id); ?>" tabindex="-1" aria-labelledby="viewModalLabel" aria-hidden="true">
                           <div class="modal-dialog modal-lg">
                              <div class="modal-content">
                                 <div class="modal-header bg-gradient-info text-white">
                                    <h5 class="modal-title" id="viewModalLabel" style="color: black; font-weight: 600;">Course Details</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                 </div>
                                 <div class="modal-body">
                                    <div class="row">
                                       <!-- Course Name -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Course Name:</strong></h5>
                                          <p><?php echo e($course->course_name); ?></p>
                                       </div>
                        
                                       <!-- Department -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Department:</strong></h5>
                                          <p><?php echo e($course->department); ?></p>
                                       </div>
                        
                                       <!-- Status -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Status:</strong></h5>
                                          <p>
                                             <?php if($course->status == 'active'): ?>
                                             <span class="badge bg-success">Active</span>
                                             <?php else: ?>
                                             <span class="badge bg-danger">Inactive</span>
                                             <?php endif; ?>
                                          </p>
                                       </div>
                        
                                       <!-- Eligibility -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Eligibility:</strong></h5>
                                          <p><?php echo Str::limit(strip_tags($course->eligibility_criteria), 100); ?>...</p>
                                       </div>
                        
                                       <!-- Description -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Description:</strong></h5>
                                          <p><?php echo Str::limit(strip_tags($course->course_description), 100); ?>...</p>
                                       </div>
                        
                                       <!-- Course Type -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Course Type:</strong></h5>
                                          <p><?php echo e($course->course_type); ?></p>
                                       </div>
                        
                                       <!-- Tuition Fees -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Tuition Fees & Currency Type:</strong></h5>
                                          <p><?php echo e($course->currency); ?> <?php echo e($course->tuition_fees); ?></p>
                                       </div>
                        
                                       <!-- Duration -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Duration (Years & Months):</strong></h5>
                                          <p><?php echo e($course->duration_years); ?> years, <?php echo e($course->duration_months); ?> months</p>
                                       </div>
                        
                                       <!-- Start Date -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Start Date:</strong></h5>
                                          <p><?php echo e(\Carbon\Carbon::parse($course->start_date)->format('j F Y')); ?></p>
                                       </div>
                        
                                       <!-- End Date -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>End Date:</strong></h5>
                                          <p><?php echo e(\Carbon\Carbon::parse($course->end_date)->format('j F Y')); ?></p>
                                       </div>
                        
                                       <!-- Featured Image -->
                                       <div class="col-md-6 mb-3">
                                          <h5><strong>Featured Image:</strong></h5>
                                          <img src="<?php echo e(asset('storage/' . $course->featured_image)); ?>" class="img-fluid" style="max-width: 60%;"/>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="modal-footer">
                                    <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Close</button>
                                 </div>
                              </div>
                           </div>
                        </div>
                        
                        <!-- End Modal -->
                        <!-- End Modal -->
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </section>
</main>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script>
   // Handle the button click to toggle status
   $('.btn').on('click', function(event) {
       event.preventDefault(); // Prevent default button submission
       var form = $(this).closest('form'); // Find the closest form to the button
       form.submit(); // Submit the form
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/backend/admin/courses/index.blade.php ENDPATH**/ ?>