

<?php $__env->startSection('content'); ?>

<main id="main" class="main">

<?php if(session('error')): ?>
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <?php echo e(session('error')); ?>

    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif; ?>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Edit University</h5>

                    <form id="quill-form" action="<?php echo e(route('universities.update', $university->id)); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <!-- Your form fields here -->
                    
                        <!-- Row with two columns -->
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="university_name" class="form-label">University Name:</label>
                                <input type="text" class="form-control <?php $__errorArgs = ['university_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="university_name" name="university_name" placeholder="Enter University Name" required value="<?php echo e(old('university_name', $university->university_name)); ?>">
                                <?php $__errorArgs = ['university_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="established" class="form-label">Established:</label>
                                <select class="form-control <?php $__errorArgs = ['established'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="established" name="established" required>
                                    <option value="" disabled>Select Established Year</option>
                                    <?php
                                        $currentYear = date('Y');
                                        $startYear = 1900;  // Set the starting year as per your requirement
                                    ?>
                                    <?php for($year = $currentYear; $year >= $startYear; $year--): ?>
                                        <option value="<?php echo e($year); ?>" <?php echo e(old('established', $university->established) == $year ? 'selected' : ''); ?>><?php echo e($year); ?></option>
                                    <?php endfor; ?>
                                </select>
                                <?php $__errorArgs = ['established'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <!-- Row with two columns -->
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="ownership" class="form-label">Ownership:</label>
                                <select class="form-control <?php $__errorArgs = ['ownership'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="ownership" name="ownership" required>
                                    <option value="" disabled selected>Select Ownership Type</option>
                                    <option value="private" <?php echo e(old('ownership', $university->ownership) == 'private' ? 'selected' : ''); ?>>Private</option>
                                    <option value="autonomous" <?php echo e(old('ownership', $university->ownership) == 'autonomous' ? 'selected' : ''); ?>>Autonomous</option>
                                    <option value="deemed" <?php echo e(old('ownership', $university->ownership) == 'deemed' ? 'selected' : ''); ?>>Deemed University</option>
                                    <option value="partnership" <?php echo e(old('ownership', $university->ownership) == 'partnership' ? 'selected' : ''); ?>>Partnership Model</option>
                                    <option value="government" <?php echo e(old('ownership', $university->ownership) == 'government' ? 'selected' : ''); ?>>Government</option>
                                </select>
                                <?php $__errorArgs = ['ownership'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            
                            <div class="col-md-6">
                                <label for="courses" class="form-label">Select Courses</label>
                                <select name="courses[]" id="courses" class="form-control" multiple="multiple">
                                    <?php 
                                    // Handle both old() data and data from the university model
                                    $selectedCourses = old('courses', isset($university) ? (is_array($university->courses) ? $university->courses : explode(',', $university->courses)) : []);
                                    ?>
                                    <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($course->id); ?>" <?php echo e(in_array($course->id, $selectedCourses) ? 'selected' : ''); ?>>
                                            <?php echo e($course->course_name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            
                            
                        </div>

                        <!-- Row with two columns -->
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="mci_status" class="form-label">MCI Status:</label>
                                <select class="form-control <?php $__errorArgs = ['mci_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="mci_status" name="mci_status" required>
                                    <option value="">Select Status</option>
                                    <option value="Approved" <?php echo e(old('mci_status', $university->mci_status) == 'Approved' ? 'selected' : ''); ?>>Approved</option>
                                    <option value="Not Approved" <?php echo e(old('mci_status', $university->mci_status) == 'Not Approved' ? 'selected' : ''); ?>>Not Approved</option>
                                </select>
                                <?php $__errorArgs = ['mci_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <!-- Row with two columns -->
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="official_website" class="form-label">Official Website:</label>
                                <input type="url" class="form-control <?php $__errorArgs = ['official_website'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="official_website" name="official_website" placeholder="Enter Official Website URL" required value="<?php echo e(old('official_website', $university->official_website)); ?>">
                                <?php $__errorArgs = ['official_website'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="form-group col-md-6">
                              <label for="country_id">Country</label>
                              <select class="form-control <?php $__errorArgs = ['country_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="country_id" name="country_id" required>
                                 <option value="" disabled selected>Choose Country</option>
                                 <?php $__currentLoopData = $countryuniversitiesdetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $country_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                     <option value="<?php echo e($id); ?>" <?php echo e(old('country_id', $university->country_reference_id ?? '') == $id ? 'selected' : ''); ?>>
                                         <?php echo e($country_name); ?>

                                     </option>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             </select>
                             
                              
                              <?php $__errorArgs = ['country_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                  <div class="invalid-feedback"><?php echo e($message); ?></div>
                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                          </div>
                        </div>

                        <div class="row mb-3">
                            <label for="Content">Content:</label>
                            <div class="col-sm-10">
                                <!-- Quill Editor Container -->
                                <div id="quill-editor" class="quill-editor-full">
                                    <?php echo $university->content; ?>

                                </div>
                        
                                <!-- Hidden Textarea for Form Submission -->
                                <textarea name="content" id="hidden-content" style="display: none;" 
                                    class="form-control <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                    <?php echo $university->content; ?>

                                </textarea>
                        
                                <?php $__errorArgs = ['content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        


                       




                        <!-- Images Row with two columns -->
                        <div class="row" style="margin-top:8rem;">
                           <div class="col-md-6">
                               <label for="image" class="form-label">Image:</label>
                               <input type="file" class="form-control <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="image" name="image" accept="image/*" onchange="previewImage(this, '#image_preview')">
                               <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                   <div class="invalid-feedback"><?php echo e($message); ?></div>
                               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                               <!-- Image Preview -->
                               <img id="image_preview" 
                                   src="<?php echo e($university->image ? asset('storage/'.$university->image) : '#'); ?>" 
                                   alt="Selected Image Preview" 
                                   style="display: block; margin-top: 10px; max-width: 100px; height: auto;" 
                               />
                           </div>
                       
                           <div class="col-md-6">
                               <label for="university_logo" class="form-label">University Logo:</label>
                               <input type="file" class="form-control <?php $__errorArgs = ['university_logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="university_logo" name="university_logo" accept="image/*" onchange="previewImage(this, '#logo_preview')">
                               <?php $__errorArgs = ['university_logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                   <div class="invalid-feedback"><?php echo e($message); ?></div>
                               <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                               <!-- Logo Preview -->
                               <img id="logo_preview" 
                                   src="<?php echo e($university->university_logo ? asset('storage/'.$university->university_logo) : '#'); ?>" 
                                   alt="University Logo Preview" 
                                   style="display: block; margin-top: 10px; max-width: 100px; height: auto;" 
                               />
                           </div>
                       </div>



                       <h5 class="card-title">SEO Content</h5>
                       <div class="row mb-3">
                          <!-- Meta Keywords -->
                          <div class="col-md-12">
                             <label for="seoKeywords" class="form-label">SEO Keywords</label>
                             <input id="seoKeywords" name="seo_keywords" placeholder="Type and press space or enter" class="form-control" style="padding: 10px 15px; height: auto;" value="<?php echo e(old('seo_keywords', $university->seo_keywords)); ?>" />
                          </div>
                          <!-- Meta Title -->
                          <div class="col-md-6 mt-3">
                             <label for="seo_title" class="form-label">Meta Title:</label>
                             <input type="text" class="form-control <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_title" name="seo_title" placeholder="Enter SEO Title" required value="<?php echo e(old('seo_title', $university->seo_title)); ?>">
                             <?php $__errorArgs = ['seo_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                             <div class="invalid-feedback"><?php echo e($message); ?></div>
                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                          </div>
                          <!-- Meta Description -->
                          <div class="col-md-6 mt-3">
                             <label for="seo_description" class="form-label">Meta Description:</label>
                             <textarea class="form-control <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="seo_description" name="seo_description" rows="4" placeholder="Enter SEO Description" required><?php echo e(old('seo_description', $university->seo_description)); ?></textarea>
                             <?php $__errorArgs = ['seo_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                             <div class="invalid-feedback"><?php echo e($message); ?></div>
                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                          </div>
                       </div>
                       
                       <h5 class="card-title">FAQ Section</h5>
                       
                       <div class="faq-container">
                        <?php $__currentLoopData = $university->faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="row mb-3 faq-item">
                            <!-- Question Field -->
                            <div class="col-md-5">
                                <label for="question" class="form-label">FAQ Question</label>
                                <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" value="<?php echo e(old('faqs.question', $faq['question'] ?? '')); ?>" required>
                            </div>
                            
                            <!-- Answer Field -->
                            <div class="col-md-6">
                                <label for="answer" class="form-label">FAQ Answer</label>
                                <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required><?php echo e(old('faqs.answer', $faq['answer'] ?? '')); ?></textarea>
                            </div>
                            
                            <!-- Delete Button (X) -->
                            <div class="col-md-1">
                                <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </div>
                    
                    
                     
                       
                       <!-- Button to Add FAQ -->
                       <button type="button" class="btn btn-success" id="add-faq-btn">Add FAQ</button>
                       




                       
                     
                       
                       
                        <!-- Status Dropdown -->
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="status" class="form-label">Status:</label>
                                <select class="form-control <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="status" id="status" required>
                                    <option value="active" <?php echo e(old('status', $university->status) == 'active' ? 'selected' : ''); ?>>Active</option>
                                    <option value="inactive" <?php echo e(old('status', $university->status) == 'inactive' ? 'selected' : ''); ?>>Inactive</option>
                                </select>
                                <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="invalid-feedback"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <!-- Submit Button -->
                        <div class="row mb-3">
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-primary">Update</button>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</section>

</main>

<script>
    $(document).ready(function(){
        var quill = new Quill('#quill-editor', {
            theme: 'snow',
            placeholder: 'Write content here...'
        });
        $(document).on('submit','#quill-form',function(){
            var content = quill.root.innerHTML;
            $('#hidden-content').val(content);
        });
    });

    // Show image preview immediately after selecting an image
    const imageInput = document.getElementById('image');
    const logoInput = document.getElementById('university_logo');
    const imagePreview = document.getElementById('image_preview');
    const logoPreview = document.getElementById('logo_preview');

    imageInput.addEventListener('change', function(event){
        const reader = new FileReader();
        reader.onload = function() {
            imagePreview.src = reader.result;
        };
        reader.readAsDataURL(event.target.files[0]);
    });

    logoInput.addEventListener('change', function(event){
        const reader = new FileReader();
        reader.onload = function() {
            logoPreview.src = reader.result;
        };
        reader.readAsDataURL(event.target.files[0]);
    });
</script>

<!-- JavaScript to Add and Delete FAQ Sections Dynamically -->






<script>
    // Add new FAQ item
document.getElementById('add-faq-btn').addEventListener('click', function () {
    const faqContainer = document.querySelector('.faq-container');
    const newFaqItem = document.createElement('div');
    newFaqItem.classList.add('row', 'mb-3', 'faq-item');
    newFaqItem.innerHTML = `
        <div class="col-md-5">
            <label for="question" class="form-label">FAQ Question</label>
            <input type="text" class="form-control" name="faqs[][question]" placeholder="Enter Question" required>
        </div>
        <div class="col-md-6">
            <label for="answer" class="form-label">FAQ Answer</label>
            <textarea class="form-control" name="faqs[][answer]" rows="4" placeholder="Enter Answer" required></textarea>
        </div>
        <div class="col-md-1">
            <button type="button" class="btn btn-danger delete-faq-btn" style="margin-top: 25px;">X</button>
        </div>
    `;
    faqContainer.appendChild(newFaqItem);
});

// Delete FAQ item
document.querySelector('.faq-container').addEventListener('click', function (e) {
    if (e.target && e.target.classList.contains('delete-faq-btn')) {
        e.target.closest('.faq-item').remove();
    }
});

</script>


<!-- Include Tagify Script -->
<script src="https://cdn.jsdelivr.net/npm/@yaireo/tagify"></script>
<script>
   // The DOM element you wish to replace with Tagify
   var input = document.querySelector('#seoKeywords');
   
   // Initialize Tagify on the input element
   new Tagify(input, {
       enforceWhitelist: false, // Allow any value to be added
       delimiters: ", ", // Tag creation on space or enter
       dropdown: {
           enabled: 0, // Disable dropdown suggestions
       },
       maxTags: Infinity, // Allow unlimited tags
   });
   
   // Adjust CSS for center-aligned tags and balanced padding
   document.querySelector('.tagify').style.cssText += `
       display: flex;
       align-items: center; /* Center-align tags vertically */
       flex-wrap: wrap; /* Enable wrapping of tags */
       min-height: 50px; /* Maintain a minimum height */
       padding: 8px 12px; /* Balanced padding */
       box-sizing: border-box; /* Include padding in height */
   `;
   
   document.querySelector('.tagify__input').style.cssText += `
       margin-top: 0; /* Remove extra top margin */
   `;
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\Universites\laravel-multi-auth-main\resources\views/backend/admin/top_universities/edit.blade.php ENDPATH**/ ?>