

<?php $__env->startSection('title', 'Page Title'); ?>

<?php $__env->startSection('content'); ?>


<style>
    .containerblog {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .left-column {
        width: 65%;
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }

    .right-column {
        width: 30%;
        padding-left: 20px;
    }

    .left-column .item {
        width: 48%;
        box-sizing: border-box;
    }

    .l_blog_item {
        border: 1px solid #ddd;
        border-radius: 8px;
        padding: 20px;
        background-color: #fff;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s;
    }

    .l_blog_item:hover {
        transform: translateY(-10px);
    }

    .img-fluid {
        max-width: 100%;
        height: auto;
        border-radius: 5px;
    }

    .read_more {
        text-decoration: none;
        color: #007bff;
        font-weight: bold;
    }

    .search_box {
        width: 100%;
        margin-bottom: 30px;
    }

    .search_box input {
        width: 100%;
        padding: 12px;
        border-radius: 25px;
        border: 1px solid #ddd;
        font-size: 16px;
    }

    .search_box input::placeholder {
        color: #aaa;
    }

    .latest_blog_area .heading1 {
        font-size: 28px;
        font-weight: 700;
        margin-bottom: 20px;
        color: #333;
    }

    .latest_blog_area .main-tag222 {
        margin-bottom: 30px;
        text-align: center;
    }

    .latest_blog_section .heading1 {
        text-align: center;
        font-size: 22px;
        font-weight: 700;
        margin-bottom: 20px;
    }

    .latest_blog_card {
        background-color: #f9f9f9;
        padding: 15px;
        border-radius: 8px;
        margin-bottom: 20px;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
    }

    .latest_blog_card img {
        width: 10%;
        border-radius: 5px;
        margin-bottom: 10px;
    }

    .img {
        width: 40%;
        border-radius: 5px;
        margin-bottom: 10px;
    }

    .latest_blog_card h4 {
        font-size: 18px;
        font-weight: 700;
        margin-bottom: 10px;
    }

    .latest_blog_card .blog_date {
        font-size: 14px;
        color: #888;
    }

    .pagination-links {
        display: flex;
        justify-content: center;
        margin-top: 20px;
    }

    .pagination-links .page-link {
        color: #007bff;
        margin: 0 5px;
    }

    .pagination-links .page-item.active .page-link {
        background-color: #007bff;
        color: #fff;
        border-color: #007bff;
    }

    /* Responsive Design */
    @media (max-width: 991px) {
        .left-column {
            width: 100%;
            gap: 15px;
        }

        .right-column {
            width: 100%;
            margin-top: 20px;
            padding-left: 0;
        }

        .left-column .item {
            width: 100%; /* Full width for smaller screens */
        }

        .l_blog_item {
            padding: 15px;
        }

        .search_box input {
            font-size: 14px;
        }
    }

    @media (max-width: 768px) {
        .banner_content h2 {
            font-size: 24px;
        }

        .latest_blog_area .heading1 {
            font-size: 24px;
        }

        .latest_blog_section .heading1 {
            font-size: 18px;
        }

        .latest_blog_card h4 {
            font-size: 16px;
        }
    }

    @media (max-width: 576px) {
        .banner_content h2 {
            font-size: 20px;
        }

        .search_box input {
            padding: 10px;
        }

        .pagination-links .page-link {
            margin: 0 2px;
        }

        .blog_content h4 {
            font-size: 14px;
        }

        .blog_content p {
            font-size: 12px;
        }
    }
</style>


<section class="banner_area">
    <div class="banner_inner d-flex align-items-center">
       <div class="overlay2 bg-parallax" data-stellar-ratio="0.9" data-stellar-vertical-offset="0" data-background=""></div>
       <div class="container">
            <div class="banner_content text-center">
                <h2>BLOGS
                </h2>
                
            </div>
        </div>
    </div>
 </section>
 

 <section class="latest_blog_area p_120">
    <div class="container containerblog">
        <div class="left-column">
            <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="item">
                <div class="l_blog_item">
                    <div class="blog_image">
                        <!-- Image wrapped with anchor tag -->
                        <a href="<?php echo e(route('frontend.blog_details', ['slug' => $blog->slug])); ?>">
                            <?php
                            $images = json_decode($blog->images);
                            $firstImage = !empty($images) ? asset('storage/' . $images[0]) : asset('frontend/assets/img/latest-blog/l-blog-2.jpg');
                            ?>
                            <img class="img-fluid" src="<?php echo e($firstImage); ?>" alt="Blog Image"> <!-- Blog Image -->
                        </a>
                        <!-- Additional text and date badge -->
                        <span class="date_badge"><?php echo e(\Carbon\Carbon::parse($blog->publish_date)->format('d F Y')); ?></span>
                    </div>
                    
                    <div class="blog_content">
                        <!-- Blog title is wrapped in a link to the details page -->
                        <h4 ><a href="<?php echo e(route('frontend.blog_details', ['slug' => $blog->slug])); ?>" style="text-decoration: none;"><?php echo e(\Str::words($blog->title, 4)); ?></a></h4>
                        <p><?php echo Str::limit($blog->content, 40); ?>...</p>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        
        
        <div class="right-column">
            <!-- Search Box -->
            <div class="search_box mb-4">
                <input type="text" placeholder="Search blogs..." id="blogsearch" class="form-control">
            </div>
        
            <!-- Latest Blog Section -->    
            <div class="latest_blog_section">
                <div class="heading1 mb-3">Latest Blog Highlights</div>
                <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>


                <div class="all_blog_list here" id="myblog">
                    <a href="<?php echo e(route('frontend.blog_details', ['slug' => $blog->slug])); ?>" class="text-decoration-none text-dark">
                        <div class="latest_blog_card d-flex align-items-center mb-3 p-3 bg-white shadow-sm rounded">
                            <!-- Blog Image -->
                            <?php
                            $images = json_decode($blog->images);
                            $firstImage = !empty($images) ? asset('storage/' . $images[0]) : asset('frontend/assets/img/latest-blog/l-blog-2.jpg');
                            ?>
                            <div class="blog-image me-3">
                                <img src="<?php echo e($firstImage); ?>" alt="<?php echo e(\Str::words($blog->title, 3)); ?>" style="width: 80px; height: 80px; object-fit: cover;" class="rounded">
                            </div>
                
                            <!-- Blog Content -->
                            <div class="blog-content">
                                <h4 class="blog-title mb-1"><?php echo e(\Str::words($blog->title, 3)); ?></h4>
                                <p class="blog-snippet mb-0 text-muted"><?php echo e(\Str::limit(strip_tags($blog->content), 50)); ?></p>
                            </div>
                        </div>
                    </a>
                </div>
               
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            
        </div>
        
    </div>

    <!-- Pagination Links -->
    <div class="pagination-links">
        <?php echo e($blogs->links('pagination::bootstrap-4')); ?>

    </div>
</section>



<script>
    $(document).ready(function(){
      $("#blogsearch").on("keyup", function() {
        var value = $(this).val().toLowerCase();
        $("#myblog*").filter(function() {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
      });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Day User  (VIkas)\Desktop\worlin\worlin-project2 2\worlin-project2 1\laravel-multi-auth-main\resources\views/frontend/frontendpages/blog.blade.php ENDPATH**/ ?>