

<?php $__env->startSection('content'); ?>
<main id="main" class="main">
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Investors List</h5>

                        <a href="<?php echo e(route('investors.create')); ?>" class="btn btn-primary mb-3">Add Investor</a>

                        <?php if(session('success')): ?>
                            <div class="alert alert-success"><?php echo e(session('success')); ?></div>
                        <?php endif; ?>

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Description</th>
                                    <th>PDF</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $investors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $investor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($investor->id); ?></td>
                                    <td>
                                        <?php if($investor->image): ?>
                                            <img src="<?php echo e(asset('storage/' . $investor->image)); ?>" width="100">
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($investor->name); ?></td>
                                    <td><?php echo e($investor->description); ?></td>
                                    <td>
                                        <?php if($investor->pdf): ?>
                                            <a href="<?php echo e(asset('storage/' . $investor->pdf)); ?>" target="_blank" class="btn btn-info">Download PDF</a>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('investors.edit', $investor->id)); ?>" class="btn btn-warning">Edit</a>
                                        <form action="<?php echo e(route('investors.delete', $investor->id)); ?>" method="POST" style="display:inline;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.adminlayouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\worlin-20250301T031444Z-001\worlin\worlinpp\armore\resources\views/backend/admin/investors/index.blade.php ENDPATH**/ ?>